
DROP TABLE IF EXISTS `access`;
CREATE TABLE `access` (
  `aid` int(11) NOT NULL auto_increment,
  `mask` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  `status` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`aid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `actions`;
CREATE TABLE `actions` (
  `aid` varchar(255) NOT NULL default '0',
  `type` varchar(32) NOT NULL default '',
  `callback` varchar(255) NOT NULL default '',
  `parameters` longtext NOT NULL,
  `description` varchar(255) NOT NULL default '0',
  PRIMARY KEY  (`aid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `actions` VALUES ('comment_unpublish_action', 'comment', 'comment_unpublish_action', '', 'Unpublish comment');
INSERT INTO `actions` VALUES ('node_publish_action', 'node', 'node_publish_action', '', 'Publish post');
INSERT INTO `actions` VALUES ('node_unpublish_action', 'node', 'node_unpublish_action', '', 'Unpublish post');
INSERT INTO `actions` VALUES ('node_make_sticky_action', 'node', 'node_make_sticky_action', '', 'Make post sticky');
INSERT INTO `actions` VALUES ('node_make_unsticky_action', 'node', 'node_make_unsticky_action', '', 'Make post unsticky');
INSERT INTO `actions` VALUES ('node_promote_action', 'node', 'node_promote_action', '', 'Promote post to front page');
INSERT INTO `actions` VALUES ('node_unpromote_action', 'node', 'node_unpromote_action', '', 'Remove post from front page');
INSERT INTO `actions` VALUES ('node_save_action', 'node', 'node_save_action', '', 'Save post');
INSERT INTO `actions` VALUES ('user_block_user_action', 'user', 'user_block_user_action', '', 'Block current user');
INSERT INTO `actions` VALUES ('user_block_ip_action', 'user', 'user_block_ip_action', '', 'Ban IP address of current user');
DROP TABLE IF EXISTS `actions_aid`;
CREATE TABLE `actions_aid` (
  `aid` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`aid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `authmap`;
CREATE TABLE `authmap` (
  `aid` int(10) unsigned NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `authname` varchar(128) NOT NULL default '',
  `module` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`aid`),
  UNIQUE KEY `authname` (`authname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `batch`;
CREATE TABLE `batch` (
  `bid` int(10) unsigned NOT NULL auto_increment,
  `token` varchar(64) NOT NULL,
  `timestamp` int(11) NOT NULL,
  `batch` longtext,
  PRIMARY KEY  (`bid`),
  KEY `token` (`token`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;
DROP TABLE IF EXISTS `blocks`;
CREATE TABLE `blocks` (
  `bid` int(11) NOT NULL auto_increment,
  `module` varchar(64) NOT NULL default '',
  `delta` varchar(32) NOT NULL default '0',
  `theme` varchar(64) NOT NULL default '',
  `status` tinyint(4) NOT NULL default '0',
  `weight` tinyint(4) NOT NULL default '0',
  `region` varchar(64) NOT NULL default '',
  `custom` tinyint(4) NOT NULL default '0',
  `throttle` tinyint(4) NOT NULL default '0',
  `visibility` tinyint(4) NOT NULL default '0',
  `pages` text NOT NULL,
  `title` varchar(64) NOT NULL default '',
  `cache` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`bid`),
  UNIQUE KEY `tmd` (`theme`,`module`,`delta`),
  KEY `list` (`theme`,`status`,`region`,`weight`,`module`)
) ENGINE=MyISAM AUTO_INCREMENT=52 DEFAULT CHARSET=utf8 AUTO_INCREMENT=52 ;
INSERT INTO `blocks` VALUES (1, 'user', '0', 'garland', 1, 0, 'left', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (2, 'user', '1', 'garland', 1, 0, 'left', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (3, 'system', '0', 'garland', 1, 10, 'footer', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (4, 'system', '0', 'publisher', 0, -12, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (5, 'user', '0', 'publisher', 1, -6, 'left', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (6, 'user', '1', 'publisher', 1, -8, 'left_menu', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (7, 'blog', '0', 'publisher', 1, -8, 'left', 0, 0, 0, '', '', 1);
INSERT INTO `blocks` VALUES (8, 'comment', '0', 'publisher', 1, -7, 'left', 0, 0, 0, '', '', 1);
INSERT INTO `blocks` VALUES (9, 'menu', 'primary-links', 'publisher', 0, -11, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (10, 'menu', 'secondary-links', 'publisher', 0, -10, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (11, 'node', '0', 'publisher', 0, -9, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (12, 'user', '2', 'publisher', 0, -8, '', 0, 0, 0, '', '', 1);
INSERT INTO `blocks` VALUES (13, 'user', '3', 'publisher', 0, -6, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (15, 'views', 'recentcomments-block_1', 'publisher', 1, -6, 'footer_2', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (14, 'views', 'latestblogentries-block_1', 'publisher', 1, 0, 'footer_1', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (16, 'views', 'advertising-block_1', 'publisher', 1, 0, 'footer_3', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (17, 'views', 'tweets-block', 'publisher', 1, -4, 'left', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (18, 'views', 'tweets-block2', 'publisher', 1, -5, 'left', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (19, 'search', '0', 'publisher', 0, -7, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (20, 'views', 'testimonials-block_1', 'publisher', 1, 0, 'testimonials', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (21, 'views', 'header-block_1', 'publisher', 1, 0, 'home_header', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (22, 'views', 'slider-block_1', 'publisher', 0, -5, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (23, 'views', 'slider_1-block_1', 'publisher', 1, 0, 'home_slider_1', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (24, 'views', 'slider_2-block_1', 'publisher', 1, 0, 'home_slider_2', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (25, 'views', 'slider_3-block_1', 'publisher', 1, -4, 'home_slider_3', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (26, 'views', 'slider_4-block_1', 'publisher', 1, -4, 'home_slider_4', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (27, 'blog', '0', 'businessportfolio', 1, -8, 'left', 0, 0, 0, '', '', 1);
INSERT INTO `blocks` VALUES (28, 'comment', '0', 'businessportfolio', 1, -7, 'left', 0, 0, 0, '', '', 1);
INSERT INTO `blocks` VALUES (29, 'menu', 'primary-links', 'businessportfolio', 0, -10, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (30, 'menu', 'secondary-links', 'businessportfolio', 0, -9, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (31, 'node', '0', 'businessportfolio', 0, -8, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (32, 'search', '0', 'businessportfolio', 0, -6, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (33, 'system', '0', 'businessportfolio', 0, -12, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (34, 'user', '0', 'businessportfolio', 1, -6, 'left', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (35, 'user', '1', 'businessportfolio', 1, -8, 'left_menu', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (36, 'user', '2', 'businessportfolio', 0, -7, '', 0, 0, 0, '', '', 1);
INSERT INTO `blocks` VALUES (37, 'user', '3', 'businessportfolio', 0, -5, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (38, 'views', 'advertising-block_1', 'businessportfolio', 1, 0, 'footer_3', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (39, 'views', 'header-block_1', 'businessportfolio', 1, 0, 'home_header', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (40, 'views', 'latestblogentries-block_1', 'businessportfolio', 1, 0, 'footer_1', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (41, 'views', 'recentcomments-block_1', 'businessportfolio', 1, -6, 'footer_2', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (43, 'views', 'slider_1-block_1', 'businessportfolio', 1, 0, 'home_slider_1', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (44, 'views', 'slider_2-block_1', 'businessportfolio', 1, 0, 'home_slider_2', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (45, 'views', 'slider_3-block_1', 'businessportfolio', 1, -4, 'home_slider_3', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (46, 'views', 'slider_4-block_1', 'businessportfolio', 1, -11, 'home_slider_4', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (47, 'views', 'testimonials-block_1', 'businessportfolio', 1, 0, 'testimonials', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (48, 'views', 'tweets-block', 'businessportfolio', 0, -10, '', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (49, 'views', 'tweets-block2', 'businessportfolio', 1, -11, 'footer_4', 0, 0, 0, '', '', -1);
INSERT INTO `blocks` VALUES (50, 'tweetbacks', 'tweetbacks', 'businessportfolio', 0, -11, '', 0, 0, 0, '', '', 1);
INSERT INTO `blocks` VALUES (51, 'tweetbacks', 'stats', 'businessportfolio', 0, -4, '', 0, 0, 0, '', '', 1);
DROP TABLE IF EXISTS `blocks_roles`;
CREATE TABLE `blocks_roles` (
  `module` varchar(64) NOT NULL,
  `delta` varchar(32) NOT NULL,
  `rid` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`module`,`delta`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `boxes`;
CREATE TABLE `boxes` (
  `bid` int(10) unsigned NOT NULL auto_increment,
  `body` longtext,
  `info` varchar(128) NOT NULL default '',
  `format` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`bid`),
  UNIQUE KEY `info` (`info`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `cache`;
CREATE TABLE `cache` (
  `cid` varchar(255) NOT NULL default '',
  `data` longblob,
  `expire` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `headers` text,
  `serialized` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cid`),
  KEY `expire` (`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `cache_block`;
CREATE TABLE `cache_block` (
  `cid` varchar(255) NOT NULL default '',
  `data` longblob,
  `expire` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `headers` text,
  `serialized` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cid`),
  KEY `expire` (`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `cache_content`;
CREATE TABLE `cache_content` (
  `cid` varchar(255) NOT NULL default '',
  `data` longblob,
  `expire` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `headers` text,
  `serialized` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cid`),
  KEY `expire` (`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `cache_filter`;
CREATE TABLE `cache_filter` (
  `cid` varchar(255) NOT NULL default '',
  `data` longblob,
  `expire` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `headers` text,
  `serialized` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cid`),
  KEY `expire` (`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `cache_form`;
CREATE TABLE `cache_form` (
  `cid` varchar(255) NOT NULL default '',
  `data` longblob,
  `expire` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `headers` text,
  `serialized` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cid`),
  KEY `expire` (`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `cache_menu`;
CREATE TABLE `cache_menu` (
  `cid` varchar(255) NOT NULL default '',
  `data` longblob,
  `expire` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `headers` text,
  `serialized` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cid`),
  KEY `expire` (`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `cache_page`;
CREATE TABLE `cache_page` (
  `cid` varchar(255) NOT NULL default '',
  `data` longblob,
  `expire` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `headers` text,
  `serialized` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cid`),
  KEY `expire` (`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `cache_update`;
CREATE TABLE `cache_update` (
  `cid` varchar(255) NOT NULL default '',
  `data` longblob,
  `expire` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `headers` text,
  `serialized` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cid`),
  KEY `expire` (`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `cache_views`;
CREATE TABLE `cache_views` (
  `cid` varchar(255) NOT NULL default '',
  `data` longblob,
  `expire` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `headers` text,
  `serialized` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cid`),
  KEY `expire` (`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `cache_views_data`;
CREATE TABLE `cache_views_data` (
  `cid` varchar(255) NOT NULL default '',
  `data` longblob,
  `expire` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `headers` text,
  `serialized` smallint(6) NOT NULL default '1',
  PRIMARY KEY  (`cid`),
  KEY `expire` (`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `comments`;
CREATE TABLE `comments` (
  `cid` int(11) NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `nid` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `subject` varchar(64) NOT NULL default '',
  `comment` longtext NOT NULL,
  `hostname` varchar(128) NOT NULL default '',
  `timestamp` int(11) NOT NULL default '0',
  `status` tinyint(3) unsigned NOT NULL default '0',
  `format` smallint(6) NOT NULL default '0',
  `thread` varchar(255) NOT NULL,
  `name` varchar(60) default NULL,
  `mail` varchar(64) default NULL,
  `homepage` varchar(255) default NULL,
  PRIMARY KEY  (`cid`),
  KEY `pid` (`pid`),
  KEY `nid` (`nid`),
  KEY `status` (`status`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;
INSERT INTO `comments` VALUES (1, 0, 2, 1, 'Epsum factorial ', 'Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.', '127.0.0.1', 1259857457, 0, 1, '01/', 'admin', '', '');
INSERT INTO `comments` VALUES (2, 0, 2, 1, 'feline nolo contendre', 'Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.', '127.0.0.1', 1259857482, 0, 1, '02/', 'admin', '', '');
INSERT INTO `comments` VALUES (3, 0, 1, 1, 'Souvlaki ignitus carborundum', 'Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.', '127.0.0.1', 1259857516, 0, 1, '01/', 'admin', '', '');
INSERT INTO `comments` VALUES (4, 2, 2, 1, 'Olypian quarrels et gorilla', 'Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.', '127.0.0.1', 1260343079, 0, 1, '02.00/', 'admin', '', '');
INSERT INTO `comments` VALUES (5, 4, 2, 1, 'These guys are simply', 'These guys are simply awesome. I sent them my brief, they answered within few hours and one week later they deliverd me the best design ever! These guys are simply awesome. I sent them my brief, they answered within few hours and one week later they deliverd me the best design ever!', '127.0.0.1', 1260343136, 0, 1, '02.00.00/', 'admin', '', '');
DROP TABLE IF EXISTS `content_field_big`;
CREATE TABLE `content_field_big` (
  `vid` int(10) unsigned NOT NULL default '0',
  `nid` int(10) unsigned NOT NULL default '0',
  `field_big_value` longtext,
  PRIMARY KEY  (`vid`),
  KEY `nid` (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `content_field_big` VALUES (10, 10, 'Because web design is our passion <br /> and that');
INSERT INTO `content_field_big` VALUES (11, 11, 'Because web design is our passion and\r\nthat');
INSERT INTO `content_field_big` VALUES (12, 12, 'Because web design is our passion and\r\nthat');
INSERT INTO `content_field_big` VALUES (13, 13, 'Because web design is our passion and\r\nthat');
INSERT INTO `content_field_big` VALUES (14, 14, 'Because web design is our passion and\r\nthat');
DROP TABLE IF EXISTS `content_field_image`;
CREATE TABLE `content_field_image` (
  `vid` int(10) unsigned NOT NULL default '0',
  `nid` int(10) unsigned NOT NULL default '0',
  `field_image_fid` int(11) default NULL,
  `field_image_list` tinyint(4) default NULL,
  `field_image_data` text,
  PRIMARY KEY  (`vid`),
  KEY `nid` (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `content_field_image` VALUES (4, 4, 1, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (5, 5, 2, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (6, 6, 3, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (7, 7, 4, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (10, 10, 5, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (11, 11, 6, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (12, 12, 7, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (13, 13, 8, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (14, 14, 9, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (15, 15, 10, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (16, 16, 11, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (17, 17, 13, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
INSERT INTO `content_field_image` VALUES (18, 18, 14, 1, 'a:3:{s:11:"description";s:0:"";s:3:"alt";s:0:"";s:5:"title";s:0:"";}');
DROP TABLE IF EXISTS `content_node_field`;
CREATE TABLE `content_node_field` (
  `field_name` varchar(32) NOT NULL default '',
  `type` varchar(127) NOT NULL default '',
  `global_settings` mediumtext NOT NULL,
  `required` tinyint(4) NOT NULL default '0',
  `multiple` tinyint(4) NOT NULL default '0',
  `db_storage` tinyint(4) NOT NULL default '1',
  `module` varchar(127) NOT NULL default '',
  `db_columns` mediumtext NOT NULL,
  `active` tinyint(4) NOT NULL default '0',
  `locked` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`field_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `content_node_field` VALUES ('field_image', 'filefield', 'a:3:{s:10:"list_field";s:1:"0";s:12:"list_default";i:1;s:17:"description_field";s:1:"0";}', 1, 0, 0, 'filefield', 'a:3:{s:3:"fid";a:3:{s:4:"type";s:3:"int";s:8:"not null";b:0;s:5:"views";b:1;}s:4:"list";a:4:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;s:5:"views";b:1;}s:4:"data";a:3:{s:4:"type";s:4:"text";s:9:"serialize";b:1;s:5:"views";b:1;}}', 1, 0);
INSERT INTO `content_node_field` VALUES ('field_url', 'text', 'a:4:{s:15:"text_processing";s:1:"0";s:10:"max_length";s:0:"";s:14:"allowed_values";s:0:"";s:18:"allowed_values_php";s:0:"";}', 1, 0, 1, 'text', 'a:1:{s:5:"value";a:5:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;s:8:"sortable";b:1;s:5:"views";b:1;}}', 1, 0);
INSERT INTO `content_node_field` VALUES ('field_big', 'text', 'a:4:{s:15:"text_processing";s:1:"0";s:10:"max_length";s:0:"";s:14:"allowed_values";s:0:"";s:18:"allowed_values_php";s:0:"";}', 0, 0, 0, 'text', 'a:1:{s:5:"value";a:5:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;s:8:"sortable";b:1;s:5:"views";b:1;}}', 1, 0);
INSERT INTO `content_node_field` VALUES ('field_block', 'text', 'a:4:{s:15:"text_processing";s:1:"0";s:10:"max_length";s:0:"";s:14:"allowed_values";s:50:"1|Web design\r\n2|Marketing\r\n3|Consulting\r\n4|Support";s:18:"allowed_values_php";s:0:"";}', 0, 0, 1, 'text', 'a:1:{s:5:"value";a:5:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;s:8:"sortable";b:1;s:5:"views";b:1;}}', 1, 0);
INSERT INTO `content_node_field` VALUES ('field_featured', 'text', 'a:4:{s:15:"text_processing";s:1:"0";s:10:"max_length";s:0:"";s:14:"allowed_values";s:17:"Featured|Featured";s:18:"allowed_values_php";s:0:"";}', 0, 0, 1, 'text', 'a:1:{s:5:"value";a:5:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;s:8:"sortable";b:1;s:5:"views";b:1;}}', 1, 0);
DROP TABLE IF EXISTS `content_node_field_instance`;
CREATE TABLE `content_node_field_instance` (
  `field_name` varchar(32) NOT NULL default '',
  `type_name` varchar(32) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  `label` varchar(255) NOT NULL default '',
  `widget_type` varchar(32) NOT NULL default '',
  `widget_settings` mediumtext NOT NULL,
  `display_settings` mediumtext NOT NULL,
  `description` mediumtext NOT NULL,
  `widget_module` varchar(127) NOT NULL default '',
  `widget_active` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`field_name`,`type_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `content_node_field_instance` VALUES ('field_image', 'advertising', -4, 'Image', 'imagefield_widget', 'a:14:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:9:"file_path";s:0:"";s:18:"progress_indicator";s:3:"bar";s:21:"max_filesize_per_file";s:0:"";s:21:"max_filesize_per_node";s:0:"";s:14:"max_resolution";s:1:"0";s:14:"min_resolution";s:1:"0";s:3:"alt";s:0:"";s:10:"custom_alt";i:0;s:5:"title";s:0:"";s:12:"custom_title";i:0;s:10:"title_type";s:9:"textfield";s:13:"default_image";N;s:17:"use_default_image";i:0;}', 'a:4:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:11:"image_plain";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:11:"image_plain";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:11:"image_plain";s:7:"exclude";i:0;}}', '', 'imagefield', 1);
INSERT INTO `content_node_field_instance` VALUES ('field_url', 'advertising', -3, 'URL', 'text_textfield', 'a:4:{s:4:"rows";i:5;s:4:"size";s:2:"60";s:13:"default_value";a:1:{i:0;a:2:{s:5:"value";s:0:"";s:14:"_error_element";s:41:"default_value_widget][field_url][0][value";}}s:17:"default_value_php";N;}', 'a:4:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}}', '', 'text', 1);
INSERT INTO `content_node_field_instance` VALUES ('field_big', 'header', -3, 'Big', 'text_textarea', 'a:4:{s:4:"rows";s:1:"5";s:4:"size";i:60;s:13:"default_value";a:1:{i:0;a:2:{s:5:"value";s:0:"";s:14:"_error_element";s:41:"default_value_widget][field_big][0][value";}}s:17:"default_value_php";N;}', 'a:6:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:2;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:3;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}}', '', 'text', 1);
INSERT INTO `content_node_field_instance` VALUES ('field_image', 'header', -1, 'Image', 'imagefield_widget', 'a:14:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:9:"file_path";s:0:"";s:18:"progress_indicator";s:3:"bar";s:21:"max_filesize_per_file";s:0:"";s:21:"max_filesize_per_node";s:0:"";s:14:"max_resolution";s:1:"0";s:14:"min_resolution";s:1:"0";s:3:"alt";s:0:"";s:10:"custom_alt";i:0;s:5:"title";s:0:"";s:12:"custom_title";i:0;s:10:"title_type";s:9:"textfield";s:13:"default_image";N;s:17:"use_default_image";i:0;}', 'a:4:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:11:"image_plain";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:11:"image_plain";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:11:"image_plain";s:7:"exclude";i:0;}}', '', 'imagefield', 1);
INSERT INTO `content_node_field_instance` VALUES ('field_image', 'slider', -1, 'Image', 'imagefield_widget', 'a:14:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:9:"file_path";s:0:"";s:18:"progress_indicator";s:3:"bar";s:21:"max_filesize_per_file";s:0:"";s:21:"max_filesize_per_node";s:0:"";s:14:"max_resolution";s:1:"0";s:14:"min_resolution";s:1:"0";s:3:"alt";s:0:"";s:10:"custom_alt";i:0;s:5:"title";s:0:"";s:12:"custom_title";i:0;s:10:"title_type";s:9:"textfield";s:13:"default_image";N;s:17:"use_default_image";i:0;}', 'a:4:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:11:"image_plain";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:11:"image_plain";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:11:"image_plain";s:7:"exclude";i:0;}}', '', 'imagefield', 1);
INSERT INTO `content_node_field_instance` VALUES ('field_big', 'slider', -3, 'Big', 'text_textarea', 'a:4:{s:4:"rows";s:1:"5";s:4:"size";i:60;s:13:"default_value";a:1:{i:0;a:2:{s:5:"value";s:0:"";s:14:"_error_element";s:41:"default_value_widget][field_big][0][value";}}s:17:"default_value_php";N;}', 'a:6:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:2;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:3;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}}', '', 'text', 1);
INSERT INTO `content_node_field_instance` VALUES ('field_block', 'slider', 0, 'Block', 'optionwidgets_buttons', 'a:2:{s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:0:"";}}s:17:"default_value_php";N;}', 'a:6:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:2;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:3;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}}', '', 'optionwidgets', 1);
INSERT INTO `content_node_field_instance` VALUES ('field_image', 'portfolio', -3, 'Image', 'imagefield_widget', 'a:14:{s:15:"file_extensions";s:16:"png gif jpg jpeg";s:9:"file_path";s:0:"";s:18:"progress_indicator";s:3:"bar";s:21:"max_filesize_per_file";s:0:"";s:21:"max_filesize_per_node";s:0:"";s:14:"max_resolution";s:1:"0";s:14:"min_resolution";s:1:"0";s:3:"alt";s:0:"";s:10:"custom_alt";i:0;s:5:"title";s:0:"";s:12:"custom_title";i:0;s:10:"title_type";s:9:"textfield";s:13:"default_image";N;s:17:"use_default_image";i:0;}', 'a:6:{s:6:"weight";s:2:"-3";s:6:"parent";s:0:"";s:5:"label";a:1:{s:6:"format";s:6:"hidden";}s:6:"teaser";a:2:{s:6:"format";s:23:"Portfolio_98x98_default";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:23:"Portfolio_610_imagelink";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:11:"image_plain";s:7:"exclude";i:0;}}', '', 'imagefield', 1);
INSERT INTO `content_node_field_instance` VALUES ('field_featured', 'portfolio', -2, 'Featured', 'optionwidgets_buttons', 'a:2:{s:13:"default_value";a:1:{i:0;a:1:{s:5:"value";s:8:"Featured";}}s:17:"default_value_php";N;}', 'a:8:{s:6:"weight";s:2:"-2";s:6:"parent";s:0:"";s:5:"label";a:1:{s:6:"format";s:6:"hidden";}s:6:"teaser";a:2:{s:6:"format";s:6:"hidden";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:6:"hidden";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:2;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:3;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}}', '', 'optionwidgets', 1);
DROP TABLE IF EXISTS `content_type_advertising`;
CREATE TABLE `content_type_advertising` (
  `vid` int(10) unsigned NOT NULL default '0',
  `nid` int(10) unsigned NOT NULL default '0',
  `field_url_value` longtext,
  PRIMARY KEY  (`vid`),
  KEY `nid` (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `content_type_advertising` VALUES (4, 4, 'http://google.com');
INSERT INTO `content_type_advertising` VALUES (5, 5, 'http://google.com');
INSERT INTO `content_type_advertising` VALUES (6, 6, 'http://google.com');
INSERT INTO `content_type_advertising` VALUES (7, 7, 'http://google.com');
DROP TABLE IF EXISTS `content_type_header`;
CREATE TABLE `content_type_header` (
  `vid` int(10) unsigned NOT NULL default '0',
  `nid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`vid`),
  KEY `nid` (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `content_type_header` VALUES (10, 10);
DROP TABLE IF EXISTS `content_type_portfolio`;
CREATE TABLE `content_type_portfolio` (
  `vid` int(10) unsigned NOT NULL default '0',
  `nid` int(10) unsigned NOT NULL default '0',
  `field_featured_value` longtext,
  PRIMARY KEY  (`vid`),
  KEY `nid` (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `content_type_portfolio` VALUES (15, 15, NULL);
INSERT INTO `content_type_portfolio` VALUES (16, 16, NULL);
INSERT INTO `content_type_portfolio` VALUES (17, 17, NULL);
INSERT INTO `content_type_portfolio` VALUES (18, 18, 'Featured');
DROP TABLE IF EXISTS `content_type_slider`;
CREATE TABLE `content_type_slider` (
  `vid` int(10) unsigned NOT NULL default '0',
  `nid` int(10) unsigned NOT NULL default '0',
  `field_block_value` longtext,
  PRIMARY KEY  (`vid`),
  KEY `nid` (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `content_type_slider` VALUES (11, 11, '1');
INSERT INTO `content_type_slider` VALUES (12, 12, '2');
INSERT INTO `content_type_slider` VALUES (13, 13, '3');
INSERT INTO `content_type_slider` VALUES (14, 14, '4');
DROP TABLE IF EXISTS `files`;
CREATE TABLE `files` (
  `fid` int(10) unsigned NOT NULL auto_increment,
  `uid` int(10) unsigned NOT NULL default '0',
  `filename` varchar(255) NOT NULL default '',
  `filepath` varchar(255) NOT NULL default '',
  `filemime` varchar(255) NOT NULL default '',
  `filesize` int(10) unsigned NOT NULL default '0',
  `status` int(11) NOT NULL default '0',
  `timestamp` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`fid`),
  KEY `uid` (`uid`),
  KEY `status` (`status`),
  KEY `timestamp` (`timestamp`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8 AUTO_INCREMENT=15 ;
INSERT INTO `files` VALUES (1, 1, 'ad1.jpg', 'sites/default/files/ad1.jpg', 'image/jpeg', 14282, 1, 1259864358);
INSERT INTO `files` VALUES (2, 1, 'ad2.jpg', 'sites/default/files/ad2.jpg', 'image/jpeg', 11936, 1, 1259864437);
INSERT INTO `files` VALUES (3, 1, 'ad3.jpg', 'sites/default/files/ad3.jpg', 'image/jpeg', 8722, 1, 1259864481);
INSERT INTO `files` VALUES (4, 1, 'ad4.jpg', 'sites/default/files/ad4.jpg', 'image/jpeg', 12364, 1, 1259864514);
INSERT INTO `files` VALUES (5, 1, 'header_images.png', 'sites/default/files/header_images.png', 'image/png', 163289, 1, 1260226371);
INSERT INTO `files` VALUES (6, 1, 'featured_0.jpg', 'sites/default/files/featured_0.jpg', 'image/jpeg', 22936, 1, 1260230371);
INSERT INTO `files` VALUES (7, 1, 'featured_1.jpg', 'sites/default/files/featured_1.jpg', 'image/jpeg', 16721, 1, 1260230979);
INSERT INTO `files` VALUES (8, 1, 'featured_2.jpg', 'sites/default/files/featured_2.jpg', 'image/jpeg', 18317, 1, 1260231037);
INSERT INTO `files` VALUES (9, 1, 'featured_3.jpg', 'sites/default/files/featured_3.jpg', 'image/jpeg', 25516, 1, 1260231088);
INSERT INTO `files` VALUES (10, 1, 'awesome.jpg', 'sites/default/files/awesome.jpg', 'image/jpeg', 12628, 1, 1260307522);
INSERT INTO `files` VALUES (11, 1, 'hello.jpg', 'sites/default/files/hello.jpg', 'image/jpeg', 4918, 1, 1260307805);
INSERT INTO `files` VALUES (14, 1, 'idea.jpg', 'sites/default/files/idea.jpg', 'image/jpeg', 38249, 1, 1260308095);
INSERT INTO `files` VALUES (13, 1, 'pro_design.jpg', 'sites/default/files/pro_design.jpg', 'image/jpeg', 10306, 1, 1260308018);
DROP TABLE IF EXISTS `filter_formats`;
CREATE TABLE `filter_formats` (
  `format` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `roles` varchar(255) NOT NULL default '',
  `cache` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`format`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;
INSERT INTO `filter_formats` VALUES (1, 'Filtered HTML', ',1,2,', 1);
INSERT INTO `filter_formats` VALUES (2, 'Full HTML', '', 1);
DROP TABLE IF EXISTS `filters`;
CREATE TABLE `filters` (
  `fid` int(11) NOT NULL auto_increment,
  `format` int(11) NOT NULL default '0',
  `module` varchar(64) NOT NULL default '',
  `delta` tinyint(4) NOT NULL default '0',
  `weight` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`fid`),
  UNIQUE KEY `fmd` (`format`,`module`,`delta`),
  KEY `list` (`format`,`weight`,`module`,`delta`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;
INSERT INTO `filters` VALUES (1, 1, 'filter', 2, 0);
INSERT INTO `filters` VALUES (2, 1, 'filter', 0, 1);
INSERT INTO `filters` VALUES (3, 1, 'filter', 1, 2);
INSERT INTO `filters` VALUES (4, 1, 'filter', 3, 10);
INSERT INTO `filters` VALUES (5, 2, 'filter', 2, 0);
INSERT INTO `filters` VALUES (6, 2, 'filter', 1, 1);
INSERT INTO `filters` VALUES (7, 2, 'filter', 3, 10);
DROP TABLE IF EXISTS `flood`;
CREATE TABLE `flood` (
  `fid` int(11) NOT NULL auto_increment,
  `event` varchar(64) NOT NULL default '',
  `hostname` varchar(128) NOT NULL default '',
  `timestamp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`fid`),
  KEY `allow` (`event`,`hostname`,`timestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `history`;
CREATE TABLE `history` (
  `uid` int(11) NOT NULL default '0',
  `nid` int(11) NOT NULL default '0',
  `timestamp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `history` VALUES (1, 1, 1259861611);
INSERT INTO `history` VALUES (1, 2, 1260455325);
INSERT INTO `history` VALUES (1, 3, 1259860582);
INSERT INTO `history` VALUES (1, 4, 1259864411);
INSERT INTO `history` VALUES (1, 5, 1259864456);
INSERT INTO `history` VALUES (1, 6, 1259864487);
INSERT INTO `history` VALUES (1, 7, 1259864520);
INSERT INTO `history` VALUES (1, 8, 1260211704);
INSERT INTO `history` VALUES (1, 9, 1260211859);
INSERT INTO `history` VALUES (1, 10, 1260226391);
INSERT INTO `history` VALUES (1, 11, 1260230961);
INSERT INTO `history` VALUES (1, 12, 1260230986);
INSERT INTO `history` VALUES (1, 13, 1260231044);
INSERT INTO `history` VALUES (1, 14, 1260231095);
INSERT INTO `history` VALUES (1, 15, 1260308642);
INSERT INTO `history` VALUES (1, 16, 1260307822);
INSERT INTO `history` VALUES (1, 17, 1279443569);
INSERT INTO `history` VALUES (1, 18, 1260479855);
DROP TABLE IF EXISTS `imagecache_action`;
CREATE TABLE `imagecache_action` (
  `actionid` int(10) unsigned NOT NULL auto_increment,
  `presetid` int(10) unsigned NOT NULL default '0',
  `weight` int(11) NOT NULL default '0',
  `module` varchar(255) NOT NULL,
  `action` varchar(255) NOT NULL,
  `data` longtext NOT NULL,
  PRIMARY KEY  (`actionid`),
  KEY `presetid` (`presetid`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;
INSERT INTO `imagecache_action` VALUES (1, 1, 0, 'imagecache', 'imagecache_scale_and_crop', 'a:2:{s:5:"width";s:2:"88";s:6:"height";s:2:"88";}');
INSERT INTO `imagecache_action` VALUES (2, 2, 0, 'imagecache', 'imagecache_scale_and_crop', 'a:2:{s:5:"width";s:3:"471";s:6:"height";s:3:"370";}');
INSERT INTO `imagecache_action` VALUES (3, 3, 0, 'imagecache', 'imagecache_scale_and_crop', 'a:2:{s:5:"width";s:3:"392";s:6:"height";s:3:"218";}');
INSERT INTO `imagecache_action` VALUES (4, 4, 0, 'imagecache', 'imagecache_scale_and_crop', 'a:2:{s:5:"width";s:2:"98";s:6:"height";s:2:"98";}');
INSERT INTO `imagecache_action` VALUES (5, 5, 0, 'imagecache', 'imagecache_scale_and_crop', 'a:2:{s:5:"width";s:3:"280";s:6:"height";s:3:"220";}');
INSERT INTO `imagecache_action` VALUES (6, 6, 0, 'imagecache', 'imagecache_scale', 'a:3:{s:5:"width";s:3:"610";s:6:"height";s:0:"";s:7:"upscale";i:1;}');
DROP TABLE IF EXISTS `imagecache_preset`;
CREATE TABLE `imagecache_preset` (
  `presetid` int(10) unsigned NOT NULL auto_increment,
  `presetname` varchar(255) NOT NULL,
  PRIMARY KEY  (`presetid`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;
INSERT INTO `imagecache_preset` VALUES (1, 'Advertising_88x88');
INSERT INTO `imagecache_preset` VALUES (2, 'Header_471x370');
INSERT INTO `imagecache_preset` VALUES (3, 'Slider_392x218');
INSERT INTO `imagecache_preset` VALUES (4, 'Portfolio_98x98');
INSERT INTO `imagecache_preset` VALUES (5, 'Portfolio_280x220');
INSERT INTO `imagecache_preset` VALUES (6, 'Portfolio_610');
DROP TABLE IF EXISTS `menu_custom`;
CREATE TABLE `menu_custom` (
  `menu_name` varchar(32) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `description` text,
  PRIMARY KEY  (`menu_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `menu_custom` VALUES ('navigation', 'Navigation', 'The navigation menu is provided by Drupal and is the main interactive menu for any site. It is usually the only menu that contains personalized links for authenticated users, and is often not even visible to anonymous users.');
INSERT INTO `menu_custom` VALUES ('primary-links', 'Primary links', 'Primary links are often used at the theme layer to show the major sections of a site. A typical representation for primary links would be tabs along the top.');
INSERT INTO `menu_custom` VALUES ('secondary-links', 'Secondary links', 'Secondary links are often used for pages like legal notices, contact details, and other secondary navigation items that play a lesser role than primary links');
DROP TABLE IF EXISTS `menu_links`;
CREATE TABLE `menu_links` (
  `menu_name` varchar(32) NOT NULL default '',
  `mlid` int(10) unsigned NOT NULL auto_increment,
  `plid` int(10) unsigned NOT NULL default '0',
  `link_path` varchar(255) NOT NULL default '',
  `router_path` varchar(255) NOT NULL default '',
  `link_title` varchar(255) NOT NULL default '',
  `options` text,
  `module` varchar(255) NOT NULL default 'system',
  `hidden` smallint(6) NOT NULL default '0',
  `external` smallint(6) NOT NULL default '0',
  `has_children` smallint(6) NOT NULL default '0',
  `expanded` smallint(6) NOT NULL default '0',
  `weight` int(11) NOT NULL default '0',
  `depth` smallint(6) NOT NULL default '0',
  `customized` smallint(6) NOT NULL default '0',
  `p1` int(10) unsigned NOT NULL default '0',
  `p2` int(10) unsigned NOT NULL default '0',
  `p3` int(10) unsigned NOT NULL default '0',
  `p4` int(10) unsigned NOT NULL default '0',
  `p5` int(10) unsigned NOT NULL default '0',
  `p6` int(10) unsigned NOT NULL default '0',
  `p7` int(10) unsigned NOT NULL default '0',
  `p8` int(10) unsigned NOT NULL default '0',
  `p9` int(10) unsigned NOT NULL default '0',
  `updated` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`mlid`),
  KEY `path_menu` (`link_path`(128),`menu_name`),
  KEY `menu_plid_expand_child` (`menu_name`,`plid`,`expanded`,`has_children`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `router_path` (`router_path`(128))
) ENGINE=MyISAM AUTO_INCREMENT=1150 DEFAULT CHARSET=utf8 AUTO_INCREMENT=1150 ;
INSERT INTO `menu_links` VALUES ('navigation', 1, 0, 'batch', 'batch', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 2, 0, 'admin', 'admin', 'Administer', 'a:0:{}', 'system', 0, 0, 1, 0, 9, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 3, 0, 'node', 'node', 'Content', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 4, 0, 'logout', 'logout', 'Log out', 'a:0:{}', 'system', 0, 0, 0, 0, 10, 1, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 5, 0, 'rss.xml', 'rss.xml', 'RSS feed', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 6, 0, 'user', 'user', 'User account', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 7, 0, 'node/%', 'node/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 8, 2, 'admin/compact', 'admin/compact', 'Compact mode', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 2, 0, 2, 8, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 9, 0, 'filter/tips', 'filter/tips', 'Compose tips', 'a:0:{}', 'system', 1, 0, 0, 0, 0, 1, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 10, 2, 'admin/content', 'admin/content', 'Content management', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:27:"Manage your site''s content.";}}', 'system', 0, 0, 1, 0, -49, 2, 1, 2, 10, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 11, 2, 'node/add', 'node/add', 'Create content', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'system', 0, 0, 1, 0, -50, 2, 1, 2, 11, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1148, 1145, 'admin/content/node-type/testimonials/display/search', 'admin/content/node-type/testimonials/display/search', 'Search', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 384, 1145, 1148, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 14, 0, 'system/files', 'system/files', 'File download', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 14, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 15, 2, 'admin/help', 'admin', 'Help', 'a:0:{}', 'system', 0, 0, 0, 0, -44, 2, 1, 2, 15, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 16, 2, 'admin/reports', 'admin/reports', 'Reports', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:59:"View reports from system logs and other status information.";}}', 'system', 0, 0, 1, 0, -45, 2, 1, 2, 16, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 17, 2, 'admin/build', 'admin/build', 'Site building', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:38:"Control how your site looks and feels.";}}', 'system', 0, 0, 1, 0, -48, 2, 1, 2, 17, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 18, 2, 'admin/settings', 'admin/settings', 'Site configuration', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:40:"Adjust basic site configuration options.";}}', 'system', 0, 0, 1, 0, -47, 2, 1, 2, 18, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 19, 0, 'user/autocomplete', 'user/autocomplete', 'User autocomplete', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 19, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 20, 2, 'admin/user', 'admin/user', 'User management', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:61:"Manage your site''s users, groups and access to site features.";}}', 'system', 0, 0, 1, 0, -46, 2, 1, 2, 20, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 21, 0, 'user/%', 'user/%', 'My account', 'a:0:{}', 'system', 0, 0, 0, 0, 0, 1, 0, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 22, 20, 'admin/user/rules', 'admin/user/rules', 'Access rules', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:80:"List and create rules to disallow usernames, e-mail addresses, and IP addresses.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 20, 22, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 23, 18, 'admin/settings/actions', 'admin/settings/actions', 'Actions', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:41:"Manage the actions defined for your site.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 23, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 24, 18, 'admin/settings/admin', 'admin/settings/admin', 'Administration theme', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:55:"Settings for how your administrative pages should look.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 24, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 25, 17, 'admin/build/block', 'admin/build/block', 'Blocks', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:79:"Configure what block content appears in your site''s sidebars and other regions.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 17, 25, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 26, 18, 'admin/settings/clean-urls', 'admin/settings/clean-urls', 'Clean URLs', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Enable or disable clean URLs for your site.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 26, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 28, 10, 'admin/content/node', 'admin/content/node', 'Content', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"View, edit, and delete your site''s content.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 10, 28, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 29, 10, 'admin/content/types', 'admin/content/types', 'Content types', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:82:"Manage posts by content type, including default status, front page promotion, etc.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 10, 29, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 30, 18, 'admin/settings/date-time', 'admin/settings/date-time', 'Date and time', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:89:"Settings for how Drupal displays date and time, as well as the system''s default timezone.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 30, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 31, 0, 'node/%/delete', 'node/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, 1, 1, 0, 31, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 32, 21, 'user/%/delete', 'user/%/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 2, 0, 21, 32, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 33, 18, 'admin/settings/error-reporting', 'admin/settings/error-reporting', 'Error reporting', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:93:"Control how Drupal deals with errors including 403/404 errors as well as PHP error reporting.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 33, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 34, 18, 'admin/settings/file-system', 'admin/settings/file-system', 'File system', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:68:"Tell Drupal where to store uploaded files and how they are accessed.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 34, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 35, 18, 'admin/settings/image-toolkit', 'admin/settings/image-toolkit', 'Image toolkit', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:74:"Choose which image toolkit to use if you have installed optional toolkits.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 35, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 36, 18, 'admin/settings/filters', 'admin/settings/filters', 'Input formats', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:127:"Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 36, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 37, 18, 'admin/settings/logging', 'admin/settings/logging', 'Logging and alerts', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:156:"Settings for logging and alerts modules. Various modules can route Drupal''s system events to different destination, such as syslog, database, email, ...etc.";}}', 'system', 0, 0, 1, 0, 0, 3, 0, 2, 18, 37, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1031, 1029, 'admin/build/views/tools/convert', 'admin/build/views/tools/convert', 'Convert', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 4, 0, 130, 1011, 1029, 1031, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1030, 1015, 'admin/settings/imageapi/config/imageapi_gd', 'admin/settings/imageapi/config/imageapi_gd', '@name', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 131, 1001, 1015, 1030, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 39, 17, 'admin/build/modules', 'admin/build/modules', 'Modules', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:47:"Enable or disable add-on modules for your site.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 17, 39, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 40, 18, 'admin/settings/performance', 'admin/settings/performance', 'Performance', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:101:"Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 40, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 41, 20, 'admin/user/permissions', 'admin/user/permissions', 'Permissions', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:64:"Determine access to features by selecting permissions for roles.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 20, 41, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 42, 10, 'admin/content/node-settings', 'admin/content/node-settings', 'Post settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:126:"Control posting behavior, such as teaser length, requiring previews before posting, and the number of posts on the front page.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 10, 42, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 43, 10, 'admin/content/rss-publishing', 'admin/content/rss-publishing', 'RSS publishing', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:92:"Configure the number of items per feed and whether feeds should be titles/teasers/full-text.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 10, 43, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 45, 20, 'admin/user/roles', 'admin/user/roles', 'Roles', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:30:"List, edit, or add user roles.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 20, 45, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 46, 18, 'admin/settings/site-information', 'admin/settings/site-information', 'Site information', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:107:"Change basic site information, such as the site name, slogan, e-mail address, mission, front page and more.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 46, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 47, 18, 'admin/settings/site-maintenance', 'admin/settings/site-maintenance', 'Site maintenance', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:63:"Take the site off-line for maintenance or bring it back online.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 47, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 48, 16, 'admin/reports/status', 'admin/reports/status', 'Status report', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:74:"Get a status report about your site''s operation and any detected problems.";}}', 'system', 0, 0, 0, 0, 10, 3, 0, 2, 16, 48, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 49, 17, 'admin/build/themes', 'admin/build/themes', 'Themes', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:57:"Change which theme your site uses or allows users to set.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 17, 49, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 50, 20, 'admin/user/settings', 'admin/user/settings', 'User settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:101:"Configure default behavior of users, including registration requirements, e-mails, and user pictures.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 20, 50, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 51, 20, 'admin/user/user', 'admin/user/user', 'Users', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:26:"List, add, and edit users.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 20, 51, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1029, 1011, 'admin/build/views/tools', 'admin/build/views/tools', 'Tools', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 3, 0, 130, 1011, 1029, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1028, 999, 'admin/reports/updates/settings', 'admin/reports/updates/settings', 'Settings', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 129, 999, 1028, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1027, 1003, 'admin/build/menu/settings', 'admin/build/menu/settings', 'Settings', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 5, 3, 0, 130, 1003, 1027, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1026, 1011, 'admin/build/views/list', 'admin/build/views/list', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -1, 3, 0, 130, 1011, 1026, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 61, 36, 'admin/settings/filters/%', 'admin/settings/filters/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 18, 36, 61, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 62, 26, 'admin/settings/clean-urls/check', 'admin/settings/clean-urls/check', 'Clean URL check', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 18, 26, 62, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 63, 23, 'admin/settings/actions/configure', 'admin/settings/actions/configure', 'Configure an advanced action', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 18, 23, 63, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 64, 25, 'admin/build/block/configure', 'admin/build/block/configure', 'Configure block', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 25, 64, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 66, 30, 'admin/settings/date-time/lookup', 'admin/settings/date-time/lookup', 'Date and time lookup', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 18, 30, 66, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 67, 25, 'admin/build/block/delete', 'admin/build/block/delete', 'Delete block', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 25, 67, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 68, 36, 'admin/settings/filters/delete', 'admin/settings/filters/delete', 'Delete input format', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 18, 36, 68, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 69, 22, 'admin/user/rules/delete', 'admin/user/rules/delete', 'Delete rule', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 20, 22, 69, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 70, 45, 'admin/user/roles/edit', 'admin/user/roles/edit', 'Edit role', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 20, 45, 70, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 71, 22, 'admin/user/rules/edit', 'admin/user/rules/edit', 'Edit rule', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 20, 22, 71, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 72, 48, 'admin/reports/status/php', 'admin/reports/status/php', 'PHP', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 16, 48, 72, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 73, 42, 'admin/content/node-settings/rebuild', 'admin/content/node-settings/rebuild', 'Rebuild permissions', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 10, 42, 73, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 74, 23, 'admin/settings/actions/orphan', 'admin/settings/actions/orphan', 'Remove orphans', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 18, 23, 74, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 75, 48, 'admin/reports/status/run-cron', 'admin/reports/status/run-cron', 'Run cron', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 16, 48, 75, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 76, 48, 'admin/reports/status/sql', 'admin/reports/status/sql', 'SQL', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 16, 48, 76, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 77, 23, 'admin/settings/actions/delete/%', 'admin/settings/actions/delete/%', 'Delete action', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:17:"Delete an action.";}}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 18, 23, 77, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 79, 25, 'admin/build/block/list/js', 'admin/build/block/list/js', 'JavaScript List Form', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 25, 79, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 80, 39, 'admin/build/modules/list/confirm', 'admin/build/modules/list/confirm', 'List', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 39, 80, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 81, 0, 'user/reset/%/%/%', 'user/reset/%/%/%', 'Reset password', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 81, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 82, 39, 'admin/build/modules/uninstall/confirm', 'admin/build/modules/uninstall/confirm', 'Uninstall', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 39, 82, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 83, 0, 'node/%/revisions/%/delete', 'node/%/revisions/%/delete', 'Delete earlier revision', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 83, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 84, 0, 'node/%/revisions/%/revert', 'node/%/revisions/%/revert', 'Revert to earlier revision', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 84, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 85, 0, 'node/%/revisions/%/view', 'node/%/revisions/%/view', 'Revisions', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 85, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1147, 1145, 'admin/content/node-type/testimonials/display/rss', 'admin/content/node-type/testimonials/display/rss', 'RSS', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 384, 1145, 1147, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1138, 1136, 'admin/content/node-type/slider/fields/field_block', 'admin/content/node-type/slider/fields/field_block', 'Block', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 438, 1136, 1138, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1139, 1136, 'admin/content/node-type/slider/fields/field_image', 'admin/content/node-type/slider/fields/field_image', 'Image', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 438, 1136, 1139, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1140, 217, 'admin/content/node-type/story/display', 'admin/content/node-type/story/display', 'Display fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 2, 4, 0, 127, 141, 217, 1140, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1141, 1140, 'admin/content/node-type/story/display/basic', 'admin/content/node-type/story/display/basic', 'Basic', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 217, 1140, 1141, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1142, 1140, 'admin/content/node-type/story/display/rss', 'admin/content/node-type/story/display/rss', 'RSS', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 217, 1140, 1142, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1137, 1136, 'admin/content/node-type/slider/fields/field_big', 'admin/content/node-type/slider/fields/field_big', 'Big', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 438, 1136, 1137, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1136, 438, 'admin/content/node-type/slider/fields', 'admin/content/node-type/slider/fields', 'Manage fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 1, 4, 0, 127, 141, 438, 1136, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 953, 0, 'sites/default/files/imagecache', 'sites/default/files/imagecache', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 953, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 954, 17, 'admin/build/views1/convert', 'admin/build/views1/convert', 'Convert view', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 17, 954, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 955, 17, 'admin/build/views1/delete', 'admin/build/views1/delete', 'Delete view', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 17, 955, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 956, 17, 'admin/build/menu-customize/%', 'admin/build/menu-customize/%', 'Customize menu', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 17, 956, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 957, 37, 'admin/settings/logging/dblog', 'admin/settings/logging/dblog', 'Database logging', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:169:"Settings for logging to the Drupal database logs. This is the most common method for small to medium sites on shared hosting. The logs are viewable from the admin pages.";}}', 'system', 0, 0, 0, 0, 0, 4, 0, 2, 18, 37, 957, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 958, 16, 'admin/reports/event/%', 'admin/reports/event/%', 'Details', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 16, 958, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 959, 926, 'admin/content/taxonomy/%', 'admin/content/taxonomy/%', 'List terms', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 10, 926, 959, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 952, 925, 'admin/settings/search/wipe', 'admin/settings/search/wipe', 'Clear index', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 18, 925, 952, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 105, 11, 'node/add/page', 'node/add/page', 'Page', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:296:"A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an "About us" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site''s initial home page.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 11, 105, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 106, 11, 'node/add/story', 'node/add/story', 'Story', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:392:"A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site''s initial home page, and provides the ability to post comments.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 11, 106, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 107, 10, 'admin/content/node-type/page', 'admin/content/node-type/page', 'Page', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 10, 107, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 108, 10, 'admin/content/node-type/story', 'admin/content/node-type/story', 'Story', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 10, 108, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 109, 0, 'admin/content/node-type/page/delete', 'admin/content/node-type/page/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 109, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 110, 0, 'admin/content/node-type/story/delete', 'admin/content/node-type/story/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 110, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('primary-links', 111, 0, '<front>', '', 'Home', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 1, 0, 0, -50, 1, 1, 111, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('primary-links', 112, 0, 'blog', 'blog', 'Blogs', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'system', 0, 0, 0, 0, -49, 1, 1, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 987, 939, 'admin/build/views/%/preview/%', 'admin/build/views/%/preview/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 939, 987, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('primary-links', 114, 112, 'blog/%', 'blog/%', 'My blog', 'a:0:{}', 'system', 1, 0, 0, 0, 0, 2, 1, 112, 114, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 115, 11, 'node/add/blog', 'node/add/blog', 'Blog entry', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:78:"A <em>blog entry</em> is a single post to an online journal, or <em>blog</em>.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 11, 115, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1025, 1000, 'admin/content/comment/new', 'admin/content/comment/new', 'Published comments', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -10, 3, 0, 127, 1000, 1025, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 118, 10, 'admin/content/node-type/blog', 'admin/content/node-type/blog', 'Blog entry', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 10, 118, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 119, 0, 'admin/content/node-type/blog/delete', 'admin/content/node-type/blog/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 119, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 951, 921, 'admin/build/imagecache/%', 'admin/build/imagecache/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 921, 951, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 950, 15, 'admin/help/views_ui', 'admin/help/views_ui', 'views_ui', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 950, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 949, 15, 'admin/help/imagecache_ui', 'admin/help/imagecache_ui', 'imagecache_ui', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 949, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 124, 0, '<front>', '', '<img class="admin-menu-icon" src="/misc/favicon.ico" width="16" height="16" alt="Home" />', 'a:3:{s:11:"extra class";s:15:"admin-menu-icon";s:4:"html";b:1;s:5:"alter";b:1;}', 'admin_menu', 0, 1, 1, 0, -100, 1, 0, 124, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 125, 0, 'logout', 'logout', 'Log out @username', 'a:3:{s:11:"extra class";s:35:"admin-menu-action admin-menu-logout";s:1:"t";a:0:{}s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -100, 1, 0, 125, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 126, 0, 'user', 'user', 'icon_users', 'a:3:{s:11:"extra class";s:50:"admin-menu-action admin-menu-icon admin-menu-users";s:4:"html";b:1;s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -90, 1, 0, 126, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 127, 0, 'admin/content', 'admin/content', 'Content management', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, -10, 1, 0, 127, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 948, 15, 'admin/help/help', 'admin/help/help', 'help', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 948, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 129, 0, 'admin/reports', 'admin/reports', 'Reports', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 5, 1, 0, 129, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 130, 0, 'admin/build', 'admin/build', 'Site building', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, -10, 1, 0, 130, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 131, 0, 'admin/settings', 'admin/settings', 'Site configuration', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, -5, 1, 0, 131, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 132, 0, 'admin/user', 'admin/user', 'User management', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 1, 0, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 133, 132, 'admin/user/rules', 'admin/user/rules', 'Access rules', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 132, 133, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 134, 131, 'admin/settings/actions', 'admin/settings/actions', 'Actions', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 131, 134, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 986, 939, 'admin/build/views/%/details/%', 'admin/build/views/%/details/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 939, 986, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 136, 131, 'admin/settings/admin', 'admin/settings/admin', 'Administration theme', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 136, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 137, 130, 'admin/build/block', 'admin/build/block', 'Blocks', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 130, 137, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 138, 131, 'admin/settings/clean-urls', 'admin/settings/clean-urls', 'Clean URLs', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 138, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 140, 127, 'admin/content/node', 'admin/content/node', 'Content', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 127, 140, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 141, 127, 'admin/content/types', 'admin/content/types', 'Content types', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 127, 141, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 142, 131, 'admin/settings/date-time', 'admin/settings/date-time', 'Date and time', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 142, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 143, 131, 'admin/settings/error-reporting', 'admin/settings/error-reporting', 'Error reporting', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 143, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 144, 131, 'admin/settings/file-system', 'admin/settings/file-system', 'File system', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 144, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 145, 131, 'admin/settings/image-toolkit', 'admin/settings/image-toolkit', 'Image toolkit', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 145, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 146, 131, 'admin/settings/filters', 'admin/settings/filters', 'Input formats', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 131, 146, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 147, 131, 'admin/settings/logging', 'admin/settings/logging', 'Logging and alerts', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 131, 147, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 985, 939, 'admin/build/views/%/analyze/%', 'admin/build/views/%/analyze/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 939, 985, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 149, 130, 'admin/build/modules', 'admin/build/modules', 'Modules', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 130, 149, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 150, 131, 'admin/settings/performance', 'admin/settings/performance', 'Performance', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 150, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 151, 132, 'admin/user/permissions', 'admin/user/permissions', 'Permissions', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 132, 151, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 152, 127, 'admin/content/node-settings', 'admin/content/node-settings', 'Post settings', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 127, 152, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 153, 127, 'admin/content/rss-publishing', 'admin/content/rss-publishing', 'RSS publishing', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 127, 153, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 984, 939, 'admin/build/views/%/%/%', 'admin/build/views/%/%/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 939, 984, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 155, 132, 'admin/user/roles', 'admin/user/roles', 'Roles', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 132, 155, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 156, 131, 'admin/settings/site-information', 'admin/settings/site-information', 'Site information', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 156, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 157, 131, 'admin/settings/site-maintenance', 'admin/settings/site-maintenance', 'Site maintenance', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 157, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 158, 129, 'admin/reports/status', 'admin/reports/status', 'Status report', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 10, 2, 0, 129, 158, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 160, 130, 'admin/build/themes', 'admin/build/themes', 'Themes', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 130, 160, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 983, 939, 'admin/build/views/%/add-display/%', 'admin/build/views/%/add-display/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 939, 983, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 982, 922, 'admin/build/menu/item/%/reset', 'admin/build/menu/item/%/reset', 'Reset menu item', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 922, 982, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 163, 132, 'admin/user/settings', 'admin/user/settings', 'User settings', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 132, 163, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 164, 132, 'admin/user/user', 'admin/user/user', 'Users', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 132, 164, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 165, 137, 'admin/build/block/add', 'admin/build/block/add', 'Add block', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 130, 137, 165, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 166, 141, 'admin/content/types/add', 'admin/content/types/add', 'Add content type', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 141, 166, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 167, 146, 'admin/settings/filters/add', 'admin/settings/filters/add', 'Add input format', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 3, 0, 131, 146, 167, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1024, 1011, 'admin/build/views/import', 'admin/build/views/import', 'Import', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 130, 1011, 1024, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 169, 133, 'admin/user/rules/add', 'admin/user/rules/add', 'Add rule', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 132, 133, 169, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 170, 164, 'admin/user/user/create', 'admin/user/user/create', 'Add user', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 132, 164, 170, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1023, 1011, 'admin/build/views/add', 'admin/build/views/add', 'Add', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 130, 1011, 1023, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 172, 133, 'admin/user/rules/check', 'admin/user/rules/check', 'Check rules', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 132, 133, 172, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 173, 160, 'admin/build/themes/settings', 'admin/build/themes/settings', 'Configure', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 3, 0, 130, 160, 173, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1022, 1003, 'admin/build/menu/list', 'admin/build/menu/list', 'List menus', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -10, 3, 0, 130, 1003, 1022, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 175, 137, 'admin/build/block/list', 'admin/build/block/list', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, -10, 3, 0, 130, 137, 175, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 176, 140, 'admin/content/node/overview', 'admin/content/node/overview', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -10, 3, 0, 127, 140, 176, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1021, 999, 'admin/reports/updates/list', 'admin/reports/updates/list', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 129, 999, 1021, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 178, 141, 'admin/content/types/list', 'admin/content/types/list', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -10, 3, 0, 127, 141, 178, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 179, 133, 'admin/user/rules/list', 'admin/user/rules/list', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -10, 3, 0, 132, 133, 179, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 180, 164, 'admin/user/user/list', 'admin/user/user/list', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -10, 3, 0, 132, 164, 180, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 181, 149, 'admin/build/modules/list', 'admin/build/modules/list', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 130, 149, 181, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 182, 160, 'admin/build/themes/select', 'admin/build/themes/select', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -1, 3, 0, 130, 160, 182, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 183, 146, 'admin/settings/filters/list', 'admin/settings/filters/list', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 131, 146, 183, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 185, 134, 'admin/settings/actions/manage', 'admin/settings/actions/manage', 'Manage actions', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -2, 3, 0, 131, 134, 185, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 981, 926, 'admin/content/taxonomy/edit/vocabulary/%', 'admin/content/taxonomy/edit/vocabulary/%', 'Edit vocabulary', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 10, 926, 981, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 188, 149, 'admin/build/modules/uninstall', 'admin/build/modules/uninstall', 'Uninstall', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 130, 149, 188, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 189, 175, 'admin/build/block/list/bluemarine', 'admin/build/block/list/bluemarine', 'Bluemarine', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 137, 175, 189, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 190, 173, 'admin/build/themes/settings/bluemarine', 'admin/build/themes/settings/bluemarine', 'Bluemarine', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 160, 173, 190, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 191, 175, 'admin/build/block/list/chameleon', 'admin/build/block/list/chameleon', 'Chameleon', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 137, 175, 191, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 192, 173, 'admin/build/themes/settings/chameleon', 'admin/build/themes/settings/chameleon', 'Chameleon', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 160, 173, 192, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 193, 175, 'admin/build/block/list/garland', 'admin/build/block/list/garland', 'Garland', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 137, 175, 193, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 194, 173, 'admin/build/themes/settings/garland', 'admin/build/themes/settings/garland', 'Garland', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 160, 173, 194, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 195, 173, 'admin/build/themes/settings/global', 'admin/build/themes/settings/global', 'Global settings', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -1, 4, 0, 130, 160, 173, 195, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 196, 175, 'admin/build/block/list/marvin', 'admin/build/block/list/marvin', 'Marvin', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 137, 175, 196, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 197, 173, 'admin/build/themes/settings/marvin', 'admin/build/themes/settings/marvin', 'Marvin', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 160, 173, 197, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 198, 175, 'admin/build/block/list/minnelli', 'admin/build/block/list/minnelli', 'Minnelli', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 137, 175, 198, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 199, 173, 'admin/build/themes/settings/minnelli', 'admin/build/themes/settings/minnelli', 'Minnelli', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 160, 173, 199, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 500, 173, 'admin/build/themes/settings/businessportfolio', 'admin/build/themes/settings/businessportfolio', 'Business Portfolio', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 160, 173, 500, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 202, 175, 'admin/build/block/list/pushbutton', 'admin/build/block/list/pushbutton', 'Pushbutton', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 137, 175, 202, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 203, 173, 'admin/build/themes/settings/pushbutton', 'admin/build/themes/settings/pushbutton', 'Pushbutton', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 4, 0, 130, 160, 173, 203, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 980, 922, 'admin/build/menu/item/%/edit', 'admin/build/menu/item/%/edit', 'Edit menu item', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 922, 980, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 205, 124, 'admin/reports/status/run-cron', 'admin/reports/status/run-cron', 'Run cron', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 50, 2, 0, 124, 205, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 979, 922, 'admin/build/menu/item/%/delete', 'admin/build/menu/item/%/delete', 'Delete menu item', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 922, 979, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 207, 131, 'admin/by-module', 'admin/by-module', 'By module', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -10, 2, 0, 131, 207, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 208, 124, 'http://drupal.org', '', 'Drupal.org', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 1, 0, 100, 2, 0, 124, 208, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 209, 208, 'http://drupal.org/project/issues/drupal', '', 'Drupal issue queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 0, 0, -10, 3, 0, 124, 208, 209, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 210, 208, 'http://drupal.org/project/issues/admin_menu', '', 'Administration menu issue queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 0, 0, 0, 3, 0, 124, 208, 210, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 211, 127, 'node/add', 'node/add', 'Create content', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 127, 211, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 212, 211, 'node/add/blog', 'node/add/blog', 'Blog entry', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 211, 212, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 213, 211, 'node/add/page', 'node/add/page', 'Page', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 211, 213, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 214, 211, 'node/add/story', 'node/add/story', 'Story', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 211, 214, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 215, 141, 'admin/content/node-type/blog', 'admin/content/node-type/blog', 'Edit !content-type', 'a:2:{s:1:"t";a:1:{s:13:"!content-type";s:10:"Blog entry";}s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 3, 0, 127, 141, 215, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 216, 141, 'admin/content/node-type/page', 'admin/content/node-type/page', 'Edit !content-type', 'a:2:{s:1:"t";a:1:{s:13:"!content-type";s:4:"Page";}s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 3, 0, 127, 141, 216, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 217, 141, 'admin/content/node-type/story', 'admin/content/node-type/story', 'Edit !content-type', 'a:2:{s:1:"t";a:1:{s:13:"!content-type";s:5:"Story";}s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 3, 0, 127, 141, 217, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 947, 15, 'admin/help/filter', 'admin/help/filter', 'filter', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 947, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 945, 15, 'admin/help/content', 'admin/help/content', 'content', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 945, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 946, 15, 'admin/help/dblog', 'admin/help/dblog', 'dblog', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 946, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 944, 15, 'admin/help/comment', 'admin/help/comment', 'comment', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 944, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 942, 15, 'admin/help/blog', 'admin/help/blog', 'blog', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 942, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 943, 15, 'admin/help/color', 'admin/help/color', 'color', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 943, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 941, 15, 'admin/help/block', 'admin/help/block', 'block', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 941, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 940, 15, 'admin/help/admin_menu', 'admin/help/admin_menu', 'admin_menu', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 940, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 929, 16, 'admin/reports/page-not-found', 'admin/reports/page-not-found', 'Top ''page not found'' errors', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:36:"View ''page not found'' errors (404s).";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 16, 929, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 930, 16, 'admin/reports/search', 'admin/reports/search', 'Top search phrases', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:33:"View most popular search phrases.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 16, 930, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 931, 18, 'admin/settings/twitter', 'admin/settings/twitter', 'Twitter setup', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:23:"Twitter module settings";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 931, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 932, 15, 'admin/help/menu', 'admin/help/menu', 'menu', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 932, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 933, 15, 'admin/help/node', 'admin/help/node', 'node', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 933, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 934, 15, 'admin/help/search', 'admin/help/search', 'search', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 934, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 935, 15, 'admin/help/system', 'admin/help/system', 'system', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 935, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 936, 15, 'admin/help/taxonomy', 'admin/help/taxonomy', 'taxonomy', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 936, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 937, 15, 'admin/help/update', 'admin/help/update', 'update', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 937, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 938, 15, 'admin/help/user', 'admin/help/user', 'user', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 15, 938, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 939, 17, 'admin/build/views', 'admin/build/views', 'Views', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:144:"Views are customized lists of content on your system; they are highly configurable and give you control over how lists of content are presented.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 17, 939, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 923, 16, 'admin/reports/dblog', 'admin/reports/dblog', 'Recent log entries', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"View events that have recently been logged.";}}', 'system', 0, 0, 0, 0, -1, 3, 0, 2, 16, 923, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 924, 0, 'comment/reply/%', 'comment/reply/%', 'Reply to comment', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 924, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 925, 18, 'admin/settings/search', 'admin/settings/search', 'Search settings', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:66:"Configure relevance settings for search and other indexing options";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 925, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 926, 10, 'admin/content/taxonomy', 'admin/content/taxonomy', 'Taxonomy', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:67:"Manage tagging, categorization, and classification of your content.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 10, 926, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 927, 0, 'taxonomy/term/%', 'taxonomy/term/%', 'Taxonomy term', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 927, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 928, 16, 'admin/reports/access-denied', 'admin/reports/access-denied', 'Top ''access denied'' errors', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:35:"View ''access denied'' errors (403s).";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 16, 928, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 922, 17, 'admin/build/menu', 'admin/build/menu', 'Menus', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:116:"Control your site''s navigation menu, primary links and secondary links. as well as rename and reorganize menu items.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 17, 922, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 255, 208, 'http://drupal.org/project/issues/views', '', 'Views issue queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 0, 0, 0, 3, 0, 124, 208, 255, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 285, 11, 'node/add/advertising', 'node/add/advertising', 'Advertising', 'a:0:{}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 11, 285, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 286, 10, 'admin/content/node-type/advertising', 'admin/content/node-type/advertising', 'Advertising', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 10, 286, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 287, 0, 'admin/content/node-type/advertising/delete', 'admin/content/node-type/advertising/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 287, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 289, 211, 'node/add/advertising', 'node/add/advertising', 'Advertising', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 211, 289, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 290, 141, 'admin/content/node-type/advertising', 'admin/content/node-type/advertising', 'Edit !content-type', 'a:2:{s:1:"t";a:1:{s:13:"!content-type";s:11:"Advertising";}s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 3, 0, 127, 141, 290, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1020, 1001, 'admin/settings/imageapi/list', 'admin/settings/imageapi/list', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -1, 3, 0, 131, 1001, 1020, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 295, 208, 'http://drupal.org/project/issues/cck', '', 'Content issue queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 0, 0, 0, 3, 0, 124, 208, 295, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1127, 1125, 'admin/content/node-type/portfolio/display/rss', 'admin/content/node-type/portfolio/display/rss', 'RSS', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 475, 1125, 1127, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1128, 1125, 'admin/content/node-type/portfolio/display/search', 'admin/content/node-type/portfolio/display/search', 'Search', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 475, 1125, 1128, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1129, 475, 'admin/content/node-type/portfolio/fields', 'admin/content/node-type/portfolio/fields', 'Manage fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 1, 4, 0, 127, 141, 475, 1129, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1130, 1129, 'admin/content/node-type/portfolio/fields/field_featured', 'admin/content/node-type/portfolio/fields/field_featured', 'Featured', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 475, 1129, 1130, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1131, 1129, 'admin/content/node-type/portfolio/fields/field_image', 'admin/content/node-type/portfolio/fields/field_image', 'Image', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 475, 1129, 1131, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1132, 438, 'admin/content/node-type/slider/display', 'admin/content/node-type/slider/display', 'Display fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 2, 4, 0, 127, 141, 438, 1132, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1133, 1132, 'admin/content/node-type/slider/display/basic', 'admin/content/node-type/slider/display/basic', 'Basic', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 438, 1132, 1133, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1134, 1132, 'admin/content/node-type/slider/display/rss', 'admin/content/node-type/slider/display/rss', 'RSS', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 438, 1132, 1134, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1135, 1132, 'admin/content/node-type/slider/display/search', 'admin/content/node-type/slider/display/search', 'Search', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 438, 1132, 1135, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1124, 216, 'admin/content/node-type/page/fields', 'admin/content/node-type/page/fields', 'Manage fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 4, 0, 127, 141, 216, 1124, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1125, 475, 'admin/content/node-type/portfolio/display', 'admin/content/node-type/portfolio/display', 'Display fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 2, 4, 0, 127, 141, 475, 1125, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1126, 1125, 'admin/content/node-type/portfolio/display/basic', 'admin/content/node-type/portfolio/display/basic', 'Basic', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 475, 1125, 1126, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1019, 1006, 'admin/content/taxonomy/list', 'admin/content/taxonomy/list', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -10, 3, 0, 127, 1006, 1019, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1018, 1002, 'admin/build/imagecache/list', 'admin/build/imagecache/list', 'List', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -10, 3, 0, 130, 1002, 1018, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 317, 208, 'http://drupal.org/project/issues/filefield', '', 'FileField issue queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 0, 0, 0, 3, 0, 124, 208, 317, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 318, 208, 'http://drupal.org/project/issues/imagefield', '', 'ImageField issue queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 0, 0, 0, 3, 0, 124, 208, 318, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1017, 141, 'admin/content/types/fields', 'admin/content/types/fields', 'Fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 141, 1017, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1016, 147, 'admin/settings/logging/dblog', 'admin/settings/logging/dblog', 'Database logging', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 131, 147, 1016, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1015, 1001, 'admin/settings/imageapi/config', 'admin/settings/imageapi/config', 'Configure', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 3, 0, 131, 1001, 1015, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1014, 1000, 'admin/content/comment/approval', 'admin/content/comment/approval', 'Approval queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 1000, 1014, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1012, 1003, 'admin/build/menu/add', 'admin/build/menu/add', 'Add menu', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 130, 1003, 1012, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1013, 1002, 'admin/build/imagecache/add', 'admin/build/imagecache/add', 'Add new preset', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 130, 1002, 1013, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 921, 17, 'admin/build/imagecache', 'admin/build/imagecache', 'ImageCache', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:42:"Administer imagecache presets and actions.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 17, 921, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('primary-links', 918, 114, 'blog/%/feed', 'blog/%/feed', 'Blogs', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 112, 114, 918, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 919, 10, 'admin/content/comment', 'admin/content/comment', 'Comments', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:61:"List and edit site comments and the comment moderation queue.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 10, 919, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 920, 18, 'admin/settings/imageapi', 'admin/settings/imageapi', 'ImageAPI', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:19:"Configure ImageAPI.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 920, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 337, 208, 'http://drupal.org/project/issues/imageapi', '', 'ImageAPI issue queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 0, 0, 0, 3, 0, 124, 208, 337, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 338, 208, 'http://drupal.org/project/issues/imagecache', '', 'ImageCache issue queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 0, 0, 0, 3, 0, 124, 208, 338, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 978, 0, 'admin/build/imagecache/%/%/delete', 'admin/build/imagecache/%/%/delete', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 978, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 975, 926, 'admin/content/taxonomy/edit/term', 'admin/content/taxonomy/edit/term', 'Edit term', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 10, 926, 975, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 976, 939, 'admin/build/views/enable/%', 'admin/build/views/enable/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 939, 976, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 977, 0, 'admin/build/imagecache/%/add/%', 'admin/build/imagecache/%/add/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 977, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 917, 16, 'admin/reports/updates', 'admin/reports/updates', 'Available updates', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:82:"Get a status report about available updates for your installed modules and themes.";}}', 'system', 0, 0, 0, 0, 10, 3, 0, 2, 16, 917, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 914, 0, 'views/ajax', 'views/ajax', 'Views', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:31:"Ajax callback for view loading.";}}', 'system', -1, 0, 0, 0, 0, 1, 0, 914, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 915, 0, 'system/files/imagecache', 'system/files/imagecache', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 915, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 916, 18, 'admin/settings/admin_menu', 'admin/settings/admin_menu', 'Administration menu', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:36:"Adjust administration menu settings.";}}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 18, 916, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 366, 208, 'http://drupal.org/project/issues/twitter', '', 'Twitter issue queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 0, 0, 0, 3, 0, 124, 208, 366, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1011, 130, 'admin/build/views', 'admin/build/views', 'Views', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 130, 1011, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1010, 131, 'admin/settings/twitter', 'admin/settings/twitter', 'Twitter setup', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 1010, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1009, 129, 'admin/reports/search', 'admin/reports/search', 'Top search phrases', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 129, 1009, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1007, 129, 'admin/reports/access-denied', 'admin/reports/access-denied', 'Top ''access denied'' errors', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 129, 1007, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1008, 129, 'admin/reports/page-not-found', 'admin/reports/page-not-found', 'Top ''page not found'' errors', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 129, 1008, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 409, 11, 'node/add/header', 'node/add/header', 'Header', 'a:0:{}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 11, 409, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1145, 384, 'admin/content/node-type/testimonials/display', 'admin/content/node-type/testimonials/display', 'Display fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 2, 4, 0, 127, 141, 384, 1145, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1123, 1120, 'admin/content/node-type/page/display/search', 'admin/content/node-type/page/display/search', 'Search', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 216, 1120, 1123, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 379, 11, 'node/add/testimonials', 'node/add/testimonials', 'Testimonials', 'a:0:{}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 11, 379, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 380, 10, 'admin/content/node-type/testimonials', 'admin/content/node-type/testimonials', 'Testimonials', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 10, 380, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 381, 0, 'admin/content/node-type/testimonials/delete', 'admin/content/node-type/testimonials/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 381, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 383, 211, 'node/add/testimonials', 'node/add/testimonials', 'Testimonials', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 211, 383, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 384, 141, 'admin/content/node-type/testimonials', 'admin/content/node-type/testimonials', 'Edit !content-type', 'a:2:{s:1:"t";a:1:{s:13:"!content-type";s:12:"Testimonials";}s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 3, 0, 127, 141, 384, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1143, 1140, 'admin/content/node-type/story/display/search', 'admin/content/node-type/story/display/search', 'Search', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 217, 1140, 1143, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1120, 216, 'admin/content/node-type/page/display', 'admin/content/node-type/page/display', 'Display fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 2, 4, 0, 127, 141, 216, 1120, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1121, 1120, 'admin/content/node-type/page/display/basic', 'admin/content/node-type/page/display/basic', 'Basic', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 216, 1120, 1121, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1122, 1120, 'admin/content/node-type/page/display/rss', 'admin/content/node-type/page/display/rss', 'RSS', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 216, 1120, 1122, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 499, 175, 'admin/build/block/list/businessportfolio', 'admin/build/block/list/businessportfolio', 'Business Portfolio', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -10, 4, 0, 130, 137, 175, 499, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 410, 10, 'admin/content/node-type/header', 'admin/content/node-type/header', 'Header', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 10, 410, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 411, 0, 'admin/content/node-type/header/delete', 'admin/content/node-type/header/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 411, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 413, 211, 'node/add/header', 'node/add/header', 'Header', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 211, 413, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 414, 141, 'admin/content/node-type/header', 'admin/content/node-type/header', 'Edit !content-type', 'a:2:{s:1:"t";a:1:{s:13:"!content-type";s:6:"Header";}s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 3, 0, 127, 141, 414, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1146, 1145, 'admin/content/node-type/testimonials/display/basic', 'admin/content/node-type/testimonials/display/basic', 'Basic', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 384, 1145, 1146, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1115, 1113, 'admin/content/node-type/header/display/rss', 'admin/content/node-type/header/display/rss', 'RSS', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 414, 1113, 1115, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1116, 1113, 'admin/content/node-type/header/display/search', 'admin/content/node-type/header/display/search', 'Search', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 414, 1113, 1116, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1117, 414, 'admin/content/node-type/header/fields', 'admin/content/node-type/header/fields', 'Manage fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 1, 4, 0, 127, 141, 414, 1117, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1118, 1117, 'admin/content/node-type/header/fields/field_big', 'admin/content/node-type/header/fields/field_big', 'Big', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 414, 1117, 1118, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1119, 1117, 'admin/content/node-type/header/fields/field_image', 'admin/content/node-type/header/fields/field_image', 'Image', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 414, 1117, 1119, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1111, 1110, 'admin/content/node-type/advertising/fields/field_image', 'admin/content/node-type/advertising/fields/field_image', 'Image', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 290, 1110, 1111, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1112, 1110, 'admin/content/node-type/advertising/fields/field_url', 'admin/content/node-type/advertising/fields/field_url', 'URL', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 290, 1110, 1112, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 433, 11, 'node/add/slider', 'node/add/slider', 'Slider', 'a:0:{}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 11, 433, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 434, 10, 'admin/content/node-type/slider', 'admin/content/node-type/slider', 'Slider', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 10, 434, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 435, 0, 'admin/content/node-type/slider/delete', 'admin/content/node-type/slider/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 435, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 437, 211, 'node/add/slider', 'node/add/slider', 'Slider', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 211, 437, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 438, 141, 'admin/content/node-type/slider', 'admin/content/node-type/slider', 'Edit !content-type', 'a:2:{s:1:"t";a:1:{s:13:"!content-type";s:6:"Slider";}s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 3, 0, 127, 141, 438, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1113, 414, 'admin/content/node-type/header/display', 'admin/content/node-type/header/display', 'Display fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 2, 4, 0, 127, 141, 414, 1113, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1114, 1113, 'admin/content/node-type/header/display/basic', 'admin/content/node-type/header/display/basic', 'Basic', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 414, 1113, 1114, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1032, 1029, 'admin/build/views/tools/basic', 'admin/build/views/tools/basic', 'Basic', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -10, 4, 0, 130, 1011, 1029, 1032, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1033, 1006, 'admin/content/taxonomy/add/vocabulary', 'admin/content/taxonomy/add/vocabulary', 'Add vocabulary', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 1006, 1033, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1100, 124, 'update.php', '', 'Run updates', 'a:2:{s:8:"external";b:1;s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 50, 2, 0, 124, 1100, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1101, 215, 'admin/content/node-type/blog/display', 'admin/content/node-type/blog/display', 'Display fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 2, 4, 0, 127, 141, 215, 1101, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1006, 127, 'admin/content/taxonomy', 'admin/content/taxonomy', 'Taxonomy', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 127, 1006, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1005, 131, 'admin/settings/search', 'admin/settings/search', 'Search settings', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 1005, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 912, 0, 'comment/delete', 'comment/delete', 'Delete comment', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 912, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 913, 0, 'comment/edit', 'comment/edit', 'Edit comment', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 913, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 910, 0, 'taxonomy/autocomplete', 'taxonomy/autocomplete', 'Autocomplete taxonomy', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 910, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('primary-links', 911, 112, 'blog/feed', 'blog/feed', 'Blogs', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 2, 0, 112, 911, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 470, 11, 'node/add/portfolio', 'node/add/portfolio', 'Portfolio', 'a:0:{}', 'system', 0, 0, 0, 0, 0, 3, 0, 2, 11, 470, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 471, 10, 'admin/content/node-type/portfolio', 'admin/content/node-type/portfolio', 'Portfolio', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 3, 0, 2, 10, 471, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 472, 0, 'admin/content/node-type/portfolio/delete', 'admin/content/node-type/portfolio/delete', 'Delete', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 472, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 474, 211, 'node/add/portfolio', 'node/add/portfolio', 'Portfolio', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 127, 211, 474, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 475, 141, 'admin/content/node-type/portfolio', 'admin/content/node-type/portfolio', 'Edit !content-type', 'a:2:{s:1:"t";a:1:{s:13:"!content-type";s:9:"Portfolio";}s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 3, 0, 127, 141, 475, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1004, 129, 'admin/reports/dblog', 'admin/reports/dblog', 'Recent log entries', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, -1, 2, 0, 129, 1004, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 971, 2, 'admin/views/ajax/autocomplete/tag', 'admin/views/ajax/autocomplete/tag', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 2, 0, 2, 971, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 972, 939, 'admin/build/views/clone/%', 'admin/build/views/clone/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 939, 972, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 973, 939, 'admin/build/views/break-lock/%', 'admin/build/views/break-lock/%', 'Delete view', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 939, 973, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 974, 939, 'admin/build/views/disable/%', 'admin/build/views/disable/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 939, 974, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 909, 0, 'filefield/progress', 'filefield/progress', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 909, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 908, 0, 'content/js_add_more', 'content/js_add_more', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 908, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 907, 0, 'admin_menu/toggle-modules', 'admin_menu/toggle-modules', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 907, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 906, 0, 'admin_menu/flush-cache', 'admin_menu/flush-cache', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 906, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 905, 0, 'testimonials', 'testimonials', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 905, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 904, 0, 'portfolio', 'portfolio', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 904, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 903, 0, 'search', 'search', 'Search', 'a:0:{}', 'system', 1, 0, 0, 0, 0, 1, 0, 903, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('primary-links', 493, 0, 'portfolio', 'portfolio', 'Portfolio', 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:0:"";}}', 'menu', 0, 0, 0, 0, -48, 1, 1, 493, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 970, 939, 'admin/build/views/delete/%', 'admin/build/views/delete/%', 'Delete view', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 939, 970, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 505, 208, 'http://drupal.org/project/issues/wp_comments', '', 'WordPress Comments issue queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 0, 0, 0, 3, 0, 124, 208, 505, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 509, 208, 'http://drupal.org/project/issues/tweetbacks', '', 'Tweetbacks issue queue', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 1, 0, 0, 0, 3, 0, 124, 208, 509, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1001, 131, 'admin/settings/imageapi', 'admin/settings/imageapi', 'ImageAPI', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 131, 1001, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1002, 130, 'admin/build/imagecache', 'admin/build/imagecache', 'ImageCache', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 130, 1002, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1003, 130, 'admin/build/menu', 'admin/build/menu', 'Menus', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 130, 1003, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1000, 127, 'admin/content/comment', 'admin/content/comment', 'Comments', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 0, 2, 0, 127, 1000, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 1091, 0, 'admin/content/node-type/advertising/fields/field_image/remove', 'admin/content/node-type/advertising/fields/field_image/remove', 'Remove field', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 1091, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 997, 0, 'admin/help', 'admin/help', 'Help', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 9, 1, 0, 997, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 998, 131, 'admin/settings/admin_menu', 'admin/settings/admin_menu', 'Administration menu', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 2, 0, 131, 998, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 999, 129, 'admin/reports/updates', 'admin/reports/updates', 'Available updates', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 10, 2, 0, 129, 999, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 1092, 0, 'admin/content/node-type/advertising/fields/field_url/remove', 'admin/content/node-type/advertising/fields/field_url/remove', 'Remove field', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 1092, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 1093, 0, 'admin/content/node-type/header/fields/field_big/remove', 'admin/content/node-type/header/fields/field_big/remove', 'Remove field', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 1093, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 1094, 0, 'admin/content/node-type/header/fields/field_image/remove', 'admin/content/node-type/header/fields/field_image/remove', 'Remove field', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 1094, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 1095, 0, 'admin/content/node-type/portfolio/fields/field_featured/remove', 'admin/content/node-type/portfolio/fields/field_featured/remove', 'Remove field', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 1095, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 1096, 0, 'admin/content/node-type/portfolio/fields/field_image/remove', 'admin/content/node-type/portfolio/fields/field_image/remove', 'Remove field', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 1096, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 1097, 0, 'admin/content/node-type/slider/fields/field_big/remove', 'admin/content/node-type/slider/fields/field_big/remove', 'Remove field', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 1097, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 1098, 0, 'admin/content/node-type/slider/fields/field_block/remove', 'admin/content/node-type/slider/fields/field_block/remove', 'Remove field', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 1098, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 1099, 0, 'admin/content/node-type/slider/fields/field_image/remove', 'admin/content/node-type/slider/fields/field_image/remove', 'Remove field', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 1099, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 961, 0, 'admin/build/imagecache/%/delete', 'admin/build/imagecache/%/delete', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 961, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 962, 0, 'admin/build/imagecache/%/export', 'admin/build/imagecache/%/export', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 962, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 963, 0, 'admin/build/imagecache/%/flush', 'admin/build/imagecache/%/flush', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 963, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 964, 0, 'admin/build/imagecache/%/override', 'admin/build/imagecache/%/override', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 964, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 965, 0, 'admin/build/imagecache/%/%', 'admin/build/imagecache/%/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 965, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 966, 0, 'admin/build/menu-customize/%/delete', 'admin/build/menu-customize/%/delete', 'Delete menu', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 966, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 967, 939, 'admin/build/views/export/%', 'admin/build/views/export/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 17, 939, 967, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 968, 0, 'filefield/ahah/%/%/%', 'filefield/ahah/%/%/%', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 1, 0, 968, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 969, 2, 'admin/views/ajax/autocomplete/user', 'admin/views/ajax/autocomplete/user', '', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 2, 0, 2, 969, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('navigation', 960, 917, 'admin/reports/updates/check', 'admin/reports/updates/check', 'Manual update check', 'a:0:{}', 'system', -1, 0, 0, 0, 0, 4, 0, 2, 16, 917, 960, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1149, 384, 'admin/content/node-type/testimonials/fields', 'admin/content/node-type/testimonials/fields', 'Manage fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 4, 0, 127, 141, 384, 1149, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1144, 217, 'admin/content/node-type/story/fields', 'admin/content/node-type/story/fields', 'Manage fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 4, 0, 127, 141, 217, 1144, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1108, 1106, 'admin/content/node-type/advertising/display/rss', 'admin/content/node-type/advertising/display/rss', 'RSS', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 290, 1106, 1108, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1109, 1106, 'admin/content/node-type/advertising/display/search', 'admin/content/node-type/advertising/display/search', 'Search', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 290, 1106, 1109, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1110, 290, 'admin/content/node-type/advertising/fields', 'admin/content/node-type/advertising/fields', 'Manage fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 1, 4, 0, 127, 141, 290, 1110, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1107, 1106, 'admin/content/node-type/advertising/display/basic', 'admin/content/node-type/advertising/display/basic', 'Basic', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 290, 1106, 1107, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1103, 1101, 'admin/content/node-type/blog/display/rss', 'admin/content/node-type/blog/display/rss', 'RSS', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 215, 1101, 1103, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1104, 1101, 'admin/content/node-type/blog/display/search', 'admin/content/node-type/blog/display/search', 'Search', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 5, 0, 127, 141, 215, 1101, 1104, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1105, 215, 'admin/content/node-type/blog/fields', 'admin/content/node-type/blog/fields', 'Manage fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 1, 4, 0, 127, 141, 215, 1105, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1106, 290, 'admin/content/node-type/advertising/display', 'admin/content/node-type/advertising/display', 'Display fields', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 1, 0, 2, 4, 0, 127, 141, 290, 1106, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1102, 1101, 'admin/content/node-type/blog/display/basic', 'admin/content/node-type/blog/display/basic', 'Basic', 'a:1:{s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 0, 5, 0, 127, 141, 215, 1101, 1102, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1084, 124, 'admin_menu/flush-cache', 'admin_menu/flush-cache', 'Flush all caches', 'a:2:{s:5:"alter";b:1;s:5:"query";s:11:"destination";}', 'admin_menu', 0, 0, 1, 0, 20, 2, 0, 124, 1084, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1085, 1084, 'admin_menu/flush-cache/admin_menu', 'admin_menu/flush-cache', 'Administration menu', 'a:2:{s:5:"alter";b:1;s:5:"query";s:11:"destination";}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 124, 1084, 1085, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1086, 1084, 'admin_menu/flush-cache/cache', 'admin_menu/flush-cache', 'Cache tables', 'a:2:{s:5:"alter";b:1;s:5:"query";s:11:"destination";}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 124, 1084, 1086, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1087, 1084, 'admin_menu/flush-cache/menu', 'admin_menu/flush-cache', 'Menu', 'a:2:{s:5:"alter";b:1;s:5:"query";s:11:"destination";}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 124, 1084, 1087, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1088, 1084, 'admin_menu/flush-cache/requisites', 'admin_menu/flush-cache', 'Page requisites', 'a:2:{s:5:"alter";b:1;s:5:"query";s:11:"destination";}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 124, 1084, 1088, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1089, 1084, 'admin_menu/flush-cache/theme', 'admin_menu/flush-cache', 'Theme registry', 'a:2:{s:5:"alter";b:1;s:5:"query";s:11:"destination";}', 'admin_menu', 0, 0, 0, 0, 0, 3, 0, 124, 1084, 1089, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `menu_links` VALUES ('admin_menu', 1090, 124, 'admin_menu/toggle-modules', 'admin_menu/toggle-modules', 'Disable developer modules', 'a:2:{s:5:"query";s:11:"destination";s:5:"alter";b:1;}', 'admin_menu', 0, 0, 0, 0, 88, 2, 0, 124, 1090, 0, 0, 0, 0, 0, 0, 0, 0);
DROP TABLE IF EXISTS `menu_router`;
CREATE TABLE `menu_router` (
  `path` varchar(255) NOT NULL default '',
  `load_functions` text NOT NULL,
  `to_arg_functions` text NOT NULL,
  `access_callback` varchar(255) NOT NULL default '',
  `access_arguments` text,
  `page_callback` varchar(255) NOT NULL default '',
  `page_arguments` text,
  `fit` int(11) NOT NULL default '0',
  `number_parts` smallint(6) NOT NULL default '0',
  `tab_parent` varchar(255) NOT NULL default '',
  `tab_root` varchar(255) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `title_callback` varchar(255) NOT NULL default '',
  `title_arguments` varchar(255) NOT NULL default '',
  `type` int(11) NOT NULL default '0',
  `block_callback` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `position` varchar(255) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  `file` mediumtext,
  PRIMARY KEY  (`path`),
  KEY `fit` (`fit`),
  KEY `tab_parent` (`tab_parent`),
  KEY `tab_root_weight_title` (`tab_root`(64),`weight`,`title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `menu_router` VALUES ('node', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'node_page_default', 'a:0:{}', 1, 1, '', 'node', 'Content', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('rss.xml', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'node_feed', 'a:0:{}', 1, 1, '', 'rss.xml', 'RSS feed', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_main_admin_page', 'a:0:{}', 1, 1, '', 'admin', 'Administer', 't', '', 6, '', '', '', 9, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('blog', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'blog_page_last', 'a:0:{}', 1, 1, '', 'blog', 'Blogs', 't', '', 20, '', '', '', 0, 'modules/blog/blog.pages.inc');
INSERT INTO `menu_router` VALUES ('logout', '', '', 'user_is_logged_in', 'a:0:{}', 'user_logout', 'a:0:{}', 1, 1, '', 'logout', 'Log out', 't', '', 6, '', '', '', 10, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('search', '', '', 'user_access', 'a:1:{i:0;s:14:"search content";}', 'search_view', 'a:0:{}', 1, 1, '', 'search', 'Search', 't', '', 20, '', '', '', 0, 'modules/search/search.pages.inc');
INSERT INTO `menu_router` VALUES ('batch', '', '', '1', 'a:0:{}', 'system_batch_page', 'a:0:{}', 1, 1, '', 'batch', '', 't', '', 4, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('user', '', '', '1', 'a:0:{}', 'user_page', 'a:0:{}', 1, 1, '', 'user', 'User account', 't', '', 4, '', '', '', 0, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('portfolio', '', '', 'views_access', 'a:1:{i:0;b:1;}', 'views_page', 'a:2:{i:0;s:9:"portfolio";i:1;s:6:"page_1";}', 1, 1, '', 'portfolio', '', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('testimonials', '', '', 'views_access', 'a:1:{i:0;b:1;}', 'views_page', 'a:2:{i:0;s:16:"testimonialslist";i:1;s:6:"page_1";}', 1, 1, '', 'testimonials', '', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('user/login', '', '', 'user_is_anonymous', 'a:0:{}', 'user_page', 'a:0:{}', 3, 2, 'user', 'user', 'Log in', 't', '', 136, '', '', '', 0, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('filefield/progress', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'filefield_progress', 'a:0:{}', 3, 2, '', 'filefield/progress', '', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('system/files', '', '', '1', 'a:0:{}', 'file_download', 'a:0:{}', 3, 2, '', 'system/files', 'File download', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin_menu/flush-cache', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'admin_menu_flush_cache', 'a:0:{}', 3, 2, '', 'admin_menu/flush-cache', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/admin_menu/admin_menu.inc');
INSERT INTO `menu_router` VALUES ('admin_menu/toggle-modules', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'admin_menu_toggle_modules', 'a:0:{}', 3, 2, '', 'admin_menu/toggle-modules', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/admin_menu/admin_menu.inc');
INSERT INTO `menu_router` VALUES ('taxonomy/autocomplete', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'taxonomy_autocomplete', 'a:0:{}', 3, 2, '', 'taxonomy/autocomplete', 'Autocomplete taxonomy', 't', '', 4, '', '', '', 0, 'modules/taxonomy/taxonomy.pages.inc');
INSERT INTO `menu_router` VALUES ('blog/feed', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'blog_feed_last', 'a:0:{}', 3, 2, '', 'blog/feed', 'Blogs', 't', '', 4, '', '', '', 0, 'modules/blog/blog.pages.inc');
INSERT INTO `menu_router` VALUES ('content/js_add_more', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'content_add_more_js', 'a:0:{}', 3, 2, '', 'content/js_add_more', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/cck/includes/content.node_form.inc');
INSERT INTO `menu_router` VALUES ('admin/by-module', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_by_module', 'a:0:{}', 3, 2, 'admin', 'admin', 'By module', 't', '', 128, '', '', '', 2, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/by-task', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_main_admin_page', 'a:0:{}', 3, 2, 'admin', 'admin', 'By task', 't', '', 136, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/compact', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_compact_page', 'a:0:{}', 3, 2, '', 'admin/compact', 'Compact mode', 't', '', 4, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('filter/tips', '', '', '1', 'a:0:{}', 'filter_tips_long', 'a:0:{}', 3, 2, '', 'filter/tips', 'Compose tips', 't', '', 20, '', '', '', 0, 'modules/filter/filter.pages.inc');
INSERT INTO `menu_router` VALUES ('node/add', '', '', '_node_add_access', 'a:0:{}', 'node_add_page', 'a:0:{}', 3, 2, '', 'node/add', 'Create content', 't', '', 6, '', '', '', 1, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('comment/delete', '', '', 'user_access', 'a:1:{i:0;s:19:"administer comments";}', 'comment_delete', 'a:0:{}', 3, 2, '', 'comment/delete', 'Delete comment', 't', '', 4, '', '', '', 0, 'modules/comment/comment.admin.inc');
INSERT INTO `menu_router` VALUES ('comment/edit', '', '', 'user_access', 'a:1:{i:0;s:13:"post comments";}', 'comment_edit', 'a:0:{}', 3, 2, '', 'comment/edit', 'Edit comment', 't', '', 4, '', '', '', 0, 'modules/comment/comment.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/help', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_main', 'a:0:{}', 3, 2, '', 'admin/help', 'Help', 't', '', 6, '', '', '', 9, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('user/register', '', '', 'user_register_access', 'a:0:{}', 'drupal_get_form', 'a:1:{i:0;s:13:"user_register";}', 3, 2, 'user', 'user', 'Create new account', 't', '', 128, '', '', '', 0, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('user/password', '', '', 'user_is_anonymous', 'a:0:{}', 'drupal_get_form', 'a:1:{i:0;s:9:"user_pass";}', 3, 2, 'user', 'user', 'Request new password', 't', '', 128, '', '', '', 0, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('user/autocomplete', '', '', 'user_access', 'a:1:{i:0;s:20:"access user profiles";}', 'user_autocomplete', 'a:0:{}', 3, 2, '', 'user/autocomplete', 'User autocomplete', 't', '', 4, '', '', '', 0, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('views/ajax', '', '', '1', 'a:0:{}', 'views_ajax', 'a:0:{}', 3, 2, '', 'views/ajax', 'Views', 't', '', 4, '', 'Ajax callback for view loading.', '', 0, 'sites/all/modules/views/includes/ajax.inc');
INSERT INTO `menu_router` VALUES ('admin/content', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', 3, 2, '', 'admin/content', 'Content management', 't', '', 6, '', 'Manage your site''s content.', 'left', -10, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('blog/%', 'a:1:{i:1;s:22:"user_uid_optional_load";}', 'a:1:{i:1;s:24:"user_uid_optional_to_arg";}', 'blog_page_user_access', 'a:1:{i:0;i:1;}', 'blog_page_user', 'a:1:{i:0;i:1;}', 2, 2, '', 'blog/%', 'My blog', 't', '', 6, '', '', '', 0, 'modules/blog/blog.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/reports', '', '', 'user_access', 'a:1:{i:0;s:19:"access site reports";}', 'system_admin_menu_block_page', 'a:0:{}', 3, 2, '', 'admin/reports', 'Reports', 't', '', 6, '', 'View reports from system logs and other status information.', 'left', 5, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', 3, 2, '', 'admin/build', 'Site building', 't', '', 6, '', 'Control how your site looks and feels.', 'right', -10, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_settings_overview', 'a:0:{}', 3, 2, '', 'admin/settings', 'Site configuration', 't', '', 6, '', 'Adjust basic site configuration options.', 'right', -5, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('node/%', 'a:1:{i:1;s:9:"node_load";}', '', 'node_access', 'a:2:{i:0;s:4:"view";i:1;i:1;}', 'node_page_view', 'a:1:{i:0;i:1;}', 2, 2, '', 'node/%', '', 'node_page_title', 'a:1:{i:0;i:1;}', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/user', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'system_admin_menu_block_page', 'a:0:{}', 3, 2, '', 'admin/user', 'User management', 't', '', 6, '', 'Manage your site''s users, groups and access to site features.', 'left', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('user/%', 'a:1:{i:1;s:22:"user_uid_optional_load";}', 'a:1:{i:1;s:24:"user_uid_optional_to_arg";}', 'user_view_access', 'a:1:{i:0;i:1;}', 'user_view', 'a:1:{i:0;i:1;}', 2, 2, '', 'user/%', 'My account', 'user_page_title', 'a:1:{i:0;i:1;}', 6, '', '', '', 0, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('node/%/view', 'a:1:{i:1;s:9:"node_load";}', '', 'node_access', 'a:2:{i:0;s:4:"view";i:1;i:1;}', 'node_page_view', 'a:1:{i:0;i:1;}', 5, 3, 'node/%', 'node/%', 'View', 't', '', 136, '', '', '', -10, '');
INSERT INTO `menu_router` VALUES ('user/%/view', 'a:1:{i:1;s:9:"user_load";}', '', 'user_view_access', 'a:1:{i:0;i:1;}', 'user_view', 'a:1:{i:0;i:1;}', 5, 3, 'user/%', 'user/%', 'View', 't', '', 136, '', '', '', -10, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('system/files/imagecache', '', '', '1', 'a:0:{}', 'imagecache_cache_private', 'a:0:{}', 7, 3, '', 'system/files/imagecache', '', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/settings/actions', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'system_actions_manage', 'a:0:{}', 7, 3, '', 'admin/settings/actions', 'Actions', 't', '', 6, '', 'Manage the actions defined for your site.', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/user/rules', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'user_admin_access', 'a:0:{}', 7, 3, '', 'admin/user/rules', 'Access rules', 't', '', 6, '', 'List and create rules to disallow usernames, e-mail addresses, and IP addresses.', '', 0, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/updates', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'update_status', 'a:0:{}', 7, 3, '', 'admin/reports/updates', 'Available updates', 't', '', 6, '', 'Get a status report about available updates for your installed modules and themes.', '', 10, 'modules/update/update.report.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'block_admin_display', 'a:0:{}', 7, 3, '', 'admin/build/block', 'Blocks', 't', '', 6, '', 'Configure what block content appears in your site''s sidebars and other regions.', '', 0, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/comment', '', '', 'user_access', 'a:1:{i:0;s:19:"administer comments";}', 'comment_admin', 'a:0:{}', 7, 3, '', 'admin/content/comment', 'Comments', 't', '', 6, '', 'List and edit site comments and the comment moderation queue.', '', 0, 'modules/comment/comment.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/imageapi', '', '', 'user_access', 'a:1:{i:0;s:19:"administer imageapi";}', 'drupal_get_form', 'a:1:{i:0;s:17:"imageapi_settings";}', 7, 3, '', 'admin/settings/imageapi', 'ImageAPI', 't', '', 6, '', 'Configure ImageAPI.', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/build/imagecache', '', '', 'user_access', 'a:1:{i:0;s:21:"administer imagecache";}', 'imagecache_ui_preset_overview', 'a:0:{}', 7, 3, '', 'admin/build/imagecache', 'ImageCache', 't', '', 6, '', 'Administer imagecache presets and actions.', '', 0, 'sites/all/modules/imagecache/imagecache_ui.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/logging', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_logging_overview', 'a:0:{}', 7, 3, '', 'admin/settings/logging', 'Logging and alerts', 't', '', 6, '', 'Settings for logging and alerts modules. Various modules can route Drupal''s system events to different destination, such as syslog, database, email, ...etc.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/dblog', '', '', 'user_access', 'a:1:{i:0;s:19:"access site reports";}', 'dblog_overview', 'a:0:{}', 7, 3, '', 'admin/reports/dblog', 'Recent log entries', 't', '', 6, '', 'View events that have recently been logged.', '', -1, 'modules/dblog/dblog.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/status', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_status', 'a:0:{}', 7, 3, '', 'admin/reports/status', 'Status report', 't', '', 6, '', 'Get a status report about your site''s operation and any detected problems.', '', 10, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('taxonomy/term/%', 'a:1:{i:2;N;}', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'taxonomy_term_page', 'a:1:{i:0;i:2;}', 6, 3, '', 'taxonomy/term/%', 'Taxonomy term', 't', '', 4, '', '', '', 0, 'modules/taxonomy/taxonomy.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/help/admin_menu', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/admin_menu', 'admin_menu', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/block', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/block', 'block', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/blog', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/blog', 'blog', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/color', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/color', 'color', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/comment', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/comment', 'comment', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/content', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/content', 'content', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/dblog', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/dblog', 'dblog', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/filter', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/filter', 'filter', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/help', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/help', 'help', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/imagecache_ui', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/imagecache_ui', 'imagecache_ui', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/menu', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/menu', 'menu', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/node', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/node', 'node', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/search', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/search', 'search', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/system', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/system', 'system', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/taxonomy', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/taxonomy', 'taxonomy', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/update', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/update', 'update', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/user', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/user', 'user', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/help/views_ui', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'help_page', 'a:1:{i:0;i:2;}', 7, 3, '', 'admin/help/views_ui', 'views_ui', 't', '', 4, '', '', '', 0, 'modules/help/help.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/admin_menu', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:25:"admin_menu_theme_settings";}', 7, 3, '', 'admin/settings/admin_menu', 'Administration menu', 't', '', 6, '', 'Adjust administration menu settings.', '', 0, 'sites/all/modules/admin_menu/admin_menu.inc');
INSERT INTO `menu_router` VALUES ('blog/%/feed', 'a:1:{i:1;s:9:"user_load";}', '', 'blog_page_user_access', 'a:1:{i:0;i:1;}', 'blog_feed_user', 'a:1:{i:0;i:1;}', 5, 3, '', 'blog/%/feed', 'Blogs', 't', '', 4, '', '', '', 0, 'modules/blog/blog.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/clean-urls', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:25:"system_clean_url_settings";}', 7, 3, '', 'admin/settings/clean-urls', 'Clean URLs', 't', '', 6, '', 'Enable or disable clean URLs for your site.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node', '', '', 'user_access', 'a:1:{i:0;s:16:"administer nodes";}', 'drupal_get_form', 'a:1:{i:0;s:18:"node_admin_content";}', 7, 3, '', 'admin/content/node', 'Content', 't', '', 6, '', 'View, edit, and delete your site''s content.', '', 0, 'modules/node/node.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/types', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'content_types_overview', 'a:0:{}', 7, 3, '', 'admin/content/types', 'Content types', 't', '', 6, '', 'Manage posts by content type, including default status, front page promotion, etc.', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/date-time', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:25:"system_date_time_settings";}', 7, 3, '', 'admin/settings/date-time', 'Date and time', 't', '', 6, '', 'Settings for how Drupal displays date and time, as well as the system''s default timezone.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('node/%/delete', 'a:1:{i:1;s:9:"node_load";}', '', 'node_access', 'a:2:{i:0;s:6:"delete";i:1;i:1;}', 'drupal_get_form', 'a:2:{i:0;s:19:"node_delete_confirm";i:1;i:1;}', 5, 3, '', 'node/%/delete', 'Delete', 't', '', 4, '', '', '', 1, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('user/%/delete', 'a:1:{i:1;s:9:"user_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'drupal_get_form', 'a:2:{i:0;s:19:"user_confirm_delete";i:1;i:1;}', 5, 3, '', 'user/%/delete', 'Delete', 't', '', 4, '', '', '', 0, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('node/%/edit', 'a:1:{i:1;s:9:"node_load";}', '', 'node_access', 'a:2:{i:0;s:6:"update";i:1;i:1;}', 'node_page_edit', 'a:1:{i:0;i:1;}', 5, 3, 'node/%', 'node/%', 'Edit', 't', '', 128, '', '', '', 1, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/error-reporting', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:31:"system_error_reporting_settings";}', 7, 3, '', 'admin/settings/error-reporting', 'Error reporting', 't', '', 6, '', 'Control how Drupal deals with errors including 403/404 errors as well as PHP error reporting.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/file-system', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:27:"system_file_system_settings";}', 7, 3, '', 'admin/settings/file-system', 'File system', 't', '', 6, '', 'Tell Drupal where to store uploaded files and how they are accessed.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/image-toolkit', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:29:"system_image_toolkit_settings";}', 7, 3, '', 'admin/settings/image-toolkit', 'Image toolkit', 't', '', 6, '', 'Choose which image toolkit to use if you have installed optional toolkits.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/filters', '', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'drupal_get_form', 'a:1:{i:0;s:21:"filter_admin_overview";}', 7, 3, '', 'admin/settings/filters', 'Input formats', 't', '', 6, '', 'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.', '', 0, 'modules/filter/filter.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/menu', '', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'menu_overview_page', 'a:0:{}', 7, 3, '', 'admin/build/menu', 'Menus', 't', '', 6, '', 'Control your site''s navigation menu, primary links and secondary links. as well as rename and reorganize menu items.', '', 0, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/modules', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:14:"system_modules";}', 7, 3, '', 'admin/build/modules', 'Modules', 't', '', 6, '', 'Enable or disable add-on modules for your site.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/performance', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:27:"system_performance_settings";}', 7, 3, '', 'admin/settings/performance', 'Performance', 't', '', 6, '', 'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/user/permissions', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'drupal_get_form', 'a:1:{i:0;s:15:"user_admin_perm";}', 7, 3, '', 'admin/user/permissions', 'Permissions', 't', '', 6, '', 'Determine access to features by selecting permissions for roles.', '', 0, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-settings', '', '', 'user_access', 'a:1:{i:0;s:16:"administer nodes";}', 'drupal_get_form', 'a:1:{i:0;s:14:"node_configure";}', 7, 3, '', 'admin/content/node-settings', 'Post settings', 't', '', 6, '', 'Control posting behavior, such as teaser length, requiring previews before posting, and the number of posts on the front page.', '', 0, 'modules/node/node.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/rss-publishing', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:25:"system_rss_feeds_settings";}', 7, 3, '', 'admin/content/rss-publishing', 'RSS publishing', 't', '', 6, '', 'Configure the number of items per feed and whether feeds should be titles/teasers/full-text.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('comment/reply/%', 'a:1:{i:2;s:9:"node_load";}', '', 'node_access', 'a:2:{i:0;s:4:"view";i:1;i:2;}', 'comment_reply', 'a:1:{i:0;i:2;}', 6, 3, '', 'comment/reply/%', 'Reply to comment', 't', '', 4, '', '', '', 0, 'modules/comment/comment.pages.inc');
INSERT INTO `menu_router` VALUES ('node/%/revisions', 'a:1:{i:1;s:9:"node_load";}', '', '_node_revision_access', 'a:1:{i:0;i:1;}', 'node_revision_overview', 'a:1:{i:0;i:1;}', 5, 3, 'node/%', 'node/%', 'Revisions', 't', '', 128, '', '', '', 2, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/user/roles', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'drupal_get_form', 'a:1:{i:0;s:19:"user_admin_new_role";}', 7, 3, '', 'admin/user/roles', 'Roles', 't', '', 6, '', 'List, edit, or add user roles.', '', 0, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/search', '', '', 'user_access', 'a:1:{i:0;s:17:"administer search";}', 'drupal_get_form', 'a:1:{i:0;s:21:"search_admin_settings";}', 7, 3, '', 'admin/settings/search', 'Search settings', 't', '', 6, '', 'Configure relevance settings for search and other indexing options', '', 0, 'modules/search/search.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/site-information', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:32:"system_site_information_settings";}', 7, 3, '', 'admin/settings/site-information', 'Site information', 't', '', 6, '', 'Change basic site information, such as the site name, slogan, e-mail address, mission, front page and more.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/site-maintenance', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:32:"system_site_maintenance_settings";}', 7, 3, '', 'admin/settings/site-maintenance', 'Site maintenance', 't', '', 6, '', 'Take the site off-line for maintenance or bring it back online.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/taxonomy', '', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:1:{i:0;s:30:"taxonomy_overview_vocabularies";}', 7, 3, '', 'admin/content/taxonomy', 'Taxonomy', 't', '', 6, '', 'Manage tagging, categorization, and classification of your content.', '', 0, 'modules/taxonomy/taxonomy.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/themes', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:2:{i:0;s:18:"system_themes_form";i:1;N;}', 7, 3, '', 'admin/build/themes', 'Themes', 't', '', 6, '', 'Change which theme your site uses or allows users to set.', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/access-denied', '', '', 'user_access', 'a:1:{i:0;s:19:"access site reports";}', 'dblog_top', 'a:1:{i:0;s:13:"access denied";}', 7, 3, '', 'admin/reports/access-denied', 'Top ''access denied'' errors', 't', '', 6, '', 'View ''access denied'' errors (403s).', '', 0, 'modules/dblog/dblog.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/page-not-found', '', '', 'user_access', 'a:1:{i:0;s:19:"access site reports";}', 'dblog_top', 'a:1:{i:0;s:14:"page not found";}', 7, 3, '', 'admin/reports/page-not-found', 'Top ''page not found'' errors', 't', '', 6, '', 'View ''page not found'' errors (404s).', '', 0, 'modules/dblog/dblog.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/twitter', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:18:"twitter_admin_form";}', 7, 3, '', 'admin/settings/twitter', 'Twitter setup', 't', '', 6, '', 'Twitter module settings', '', 0, 'sites/all/modules/twitter/twitter.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/user/settings', '', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'drupal_get_form', 'a:1:{i:0;s:19:"user_admin_settings";}', 7, 3, '', 'admin/user/settings', 'User settings', 't', '', 6, '', 'Configure default behavior of users, including registration requirements, e-mails, and user pictures.', '', 0, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/user/user', '', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'user_admin', 'a:1:{i:0;s:4:"list";}', 7, 3, '', 'admin/user/user', 'Users', 't', '', 6, '', 'List, add, and edit users.', '', 0, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_list_views', 'a:0:{}', 7, 3, '', 'admin/build/views', 'Views', 't', '', 6, '', 'Views are customized lists of content on your system; they are highly configurable and give you control over how lists of content are presented.', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('user/%/tweets', 'a:1:{i:1;a:1:{s:14:"views_arg_load";a:3:{i:0;s:6:"tweets";i:1;s:4:"page";i:2;s:6:"%index";}}}', '', 'views_access', 'a:1:{i:0;b:1;}', 'views_page', 'a:3:{i:0;s:6:"tweets";i:1;s:4:"page";i:2;i:1;}', 5, 3, 'user/%', 'user/%', 'Twitter', 't', '', 128, '', '', '', 1, '');
INSERT INTO `menu_router` VALUES ('user/%/edit', 'a:1:{i:1;a:1:{s:18:"user_category_load";a:2:{i:0;s:4:"%map";i:1;s:6:"%index";}}}', '', 'user_edit_access', 'a:1:{i:0;i:1;}', 'user_edit', 'a:1:{i:0;i:1;}', 5, 3, 'user/%', 'user/%', 'Edit', 't', '', 128, '', '', '', 0, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/search', '', '', 'user_access', 'a:1:{i:0;s:19:"access site reports";}', 'dblog_top', 'a:1:{i:0;s:6:"search";}', 7, 3, '', 'admin/reports/search', 'Top search phrases', 't', '', 6, '', 'View most popular search phrases.', '', 0, 'modules/dblog/dblog.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/admin', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:27:"system_admin_theme_settings";}', 7, 3, '', 'admin/settings/admin', 'Administration theme', 't', '', 6, 'system_admin_theme_settings', 'Settings for how your administrative pages should look.', 'left', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('node/add/advertising', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:11:"advertising";}', 'node_add', 'a:1:{i:0;i:2;}', 7, 3, '', 'node/add/advertising', 'Advertising', 'check_plain', '', 6, '', '', '', 0, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('node/add/blog', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:4:"blog";}', 'node_add', 'a:1:{i:0;i:2;}', 7, 3, '', 'node/add/blog', 'Blog entry', 'check_plain', '', 6, '', 'A <em>blog entry</em> is a single post to an online journal, or <em>blog</em>.', '', 0, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('node/add/header', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:6:"header";}', 'node_add', 'a:1:{i:0;i:2;}', 7, 3, '', 'node/add/header', 'Header', 'check_plain', '', 6, '', '', '', 0, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('node/add/page', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:4:"page";}', 'node_add', 'a:1:{i:0;i:2;}', 7, 3, '', 'node/add/page', 'Page', 'check_plain', '', 6, '', 'A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an "About us" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site''s initial home page.', '', 0, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('node/add/portfolio', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:9:"portfolio";}', 'node_add', 'a:1:{i:0;i:2;}', 7, 3, '', 'node/add/portfolio', 'Portfolio', 'check_plain', '', 6, '', '', '', 0, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('node/add/slider', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:6:"slider";}', 'node_add', 'a:1:{i:0;i:2;}', 7, 3, '', 'node/add/slider', 'Slider', 'check_plain', '', 6, '', '', '', 0, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('node/add/story', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:5:"story";}', 'node_add', 'a:1:{i:0;i:2;}', 7, 3, '', 'node/add/story', 'Story', 'check_plain', '', 6, '', 'A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site''s initial home page, and provides the ability to post comments.', '', 0, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('node/add/testimonials', '', '', 'node_access', 'a:2:{i:0;s:6:"create";i:1;s:12:"testimonials";}', 'node_add', 'a:1:{i:0;i:2;}', 7, 3, '', 'node/add/testimonials', 'Testimonials', 'check_plain', '', 6, '', '', '', 0, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('search/node/%', 'a:1:{i:2;N;}', 'a:1:{i:2;s:16:"menu_tail_to_arg";}', '_search_menu', 'a:1:{i:0;s:4:"node";}', 'search_view', 'a:1:{i:0;s:4:"node";}', 6, 3, 'search', 'search', '', 'module_invoke', 'a:4:{i:0;s:4:"node";i:1;s:6:"search";i:2;s:4:"name";i:3;b:1;}', 128, '', '', '', 0, 'modules/search/search.pages.inc');
INSERT INTO `menu_router` VALUES ('search/user/%', 'a:1:{i:2;N;}', 'a:1:{i:2;s:16:"menu_tail_to_arg";}', '_search_menu', 'a:1:{i:0;s:4:"user";}', 'search_view', 'a:1:{i:0;s:4:"user";}', 6, 3, 'search', 'search', '', 'module_invoke', 'a:4:{i:0;s:4:"user";i:1;s:6:"search";i:2;s:4:"name";i:3;b:1;}', 128, '', '', '', 0, 'modules/search/search.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block/list', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'block_admin_display', 'a:0:{}', 15, 4, 'admin/build/block', 'admin/build/block', 'List', 't', '', 136, '', '', '', -10, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/types/list', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'content_types_overview', 'a:0:{}', 15, 4, 'admin/content/types', 'admin/content/types', 'List', 't', '', 136, '', '', '', -10, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/user/rules/list', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'user_admin_access', 'a:0:{}', 15, 4, 'admin/user/rules', 'admin/user/rules', 'List', 't', '', 136, '', '', '', -10, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/user/user/list', '', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'user_admin', 'a:1:{i:0;s:4:"list";}', 15, 4, 'admin/user/user', 'admin/user/user', 'List', 't', '', 136, '', '', '', -10, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/filters/list', '', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'drupal_get_form', 'a:1:{i:0;s:21:"filter_admin_overview";}', 15, 4, 'admin/settings/filters', 'admin/settings/filters', 'List', 't', '', 136, '', '', '', 0, 'modules/filter/filter.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/imagecache/list', '', '', 'user_access', 'a:1:{i:0;s:21:"administer imagecache";}', 'imagecache_ui_preset_overview', 'a:0:{}', 15, 4, 'admin/build/imagecache', 'admin/build/imagecache', 'List', 't', '', 136, '', '', '', -10, 'sites/all/modules/imagecache/imagecache_ui.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node/overview', '', '', 'user_access', 'a:1:{i:0;s:16:"administer nodes";}', 'drupal_get_form', 'a:1:{i:0;s:18:"node_admin_content";}', 15, 4, 'admin/content/node', 'admin/content/node', 'List', 't', '', 136, '', '', '', -10, 'modules/node/node.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/taxonomy/list', '', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:1:{i:0;s:30:"taxonomy_overview_vocabularies";}', 15, 4, 'admin/content/taxonomy', 'admin/content/taxonomy', 'List', 't', '', 136, '', '', '', -10, 'modules/taxonomy/taxonomy.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/imageapi/list', '', '', 'user_access', 'a:1:{i:0;s:19:"administer imageapi";}', 'drupal_get_form', 'a:1:{i:0;s:17:"imageapi_settings";}', 15, 4, 'admin/settings/imageapi', 'admin/settings/imageapi', 'List', 't', '', 136, '', '', '', -1, '');
INSERT INTO `menu_router` VALUES ('admin/build/modules/list', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:14:"system_modules";}', 15, 4, 'admin/build/modules', 'admin/build/modules', 'List', 't', '', 136, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/comment/new', '', '', 'user_access', 'a:1:{i:0;s:19:"administer comments";}', 'comment_admin', 'a:0:{}', 15, 4, 'admin/content/comment', 'admin/content/comment', 'Published comments', 't', '', 136, '', '', '', -10, 'modules/comment/comment.admin.inc');
INSERT INTO `menu_router` VALUES ('user/%/edit/account', 'a:1:{i:1;a:1:{s:18:"user_category_load";a:2:{i:0;s:4:"%map";i:1;s:6:"%index";}}}', '', 'user_edit_access', 'a:1:{i:0;i:1;}', 'user_edit', 'a:1:{i:0;i:1;}', 11, 4, 'user/%/edit', 'user/%', 'Account', 't', '', 136, '', '', '', 0, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/build/themes/select', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:2:{i:0;s:18:"system_themes_form";i:1;N;}', 15, 4, 'admin/build/themes', 'admin/build/themes', 'List', 't', '', 136, '', 'Select the default theme.', '', -1, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/menu/list', '', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'menu_overview_page', 'a:0:{}', 15, 4, 'admin/build/menu', 'admin/build/menu', 'List menus', 't', '', 136, '', '', '', -10, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('sites/default/files/imagecache', '', '', '1', 'a:0:{}', 'imagecache_cache', 'a:0:{}', 15, 4, '', 'sites/default/files/imagecache', '', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/build/themes/settings', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:21:"system_theme_settings";}', 15, 4, 'admin/build/themes', 'admin/build/themes', 'Configure', 't', '', 128, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/actions/manage', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'system_actions_manage', 'a:0:{}', 15, 4, 'admin/settings/actions', 'admin/settings/actions', 'Manage actions', 't', '', 136, '', 'Manage the actions defined for your site.', '', -2, '');
INSERT INTO `menu_router` VALUES ('admin/settings/actions/orphan', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'system_actions_remove_orphans', 'a:0:{}', 15, 4, '', 'admin/settings/actions/orphan', 'Remove orphans', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/build/modules/uninstall', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:24:"system_modules_uninstall";}', 15, 4, 'admin/build/modules', 'admin/build/modules', 'Uninstall', 't', '', 128, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/filters/add', '', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'filter_admin_format_page', 'a:0:{}', 15, 4, 'admin/settings/filters', 'admin/settings/filters', 'Add input format', 't', '', 128, '', '', '', 1, 'modules/filter/filter.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/user/rules/add', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'user_admin_access_add', 'a:0:{}', 15, 4, 'admin/user/rules', 'admin/user/rules', 'Add rule', 't', '', 128, '', '', '', 0, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/user/user/create', '', '', 'user_access', 'a:1:{i:0;s:16:"administer users";}', 'user_admin', 'a:1:{i:0;s:6:"create";}', 15, 4, 'admin/user/user', 'admin/user/user', 'Add user', 't', '', 128, '', '', '', 0, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/comment/approval', '', '', 'user_access', 'a:1:{i:0;s:19:"administer comments";}', 'comment_admin', 'a:1:{i:0;s:8:"approval";}', 15, 4, 'admin/content/comment', 'admin/content/comment', 'Approval queue', 't', '', 128, '', '', '', 0, 'modules/comment/comment.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/user/rules/check', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'user_admin_access_check', 'a:0:{}', 15, 4, 'admin/user/rules', 'admin/user/rules', 'Check rules', 't', '', 128, '', '', '', 0, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/clean-urls/check', '', '', '1', 'a:0:{}', 'drupal_json', 'a:1:{i:0;a:1:{s:6:"status";b:1;}}', 15, 4, '', 'admin/settings/clean-urls/check', 'Clean URL check', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/settings/imageapi/config', '', '', 'user_access', 'a:1:{i:0;s:19:"administer imageapi";}', 'drupal_get_form', 'a:1:{i:0;s:25:"imageapi_gd_settings_form";}', 15, 4, 'admin/settings/imageapi', 'admin/settings/imageapi', 'Configure', 't', '', 128, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/settings/actions/configure', '', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'drupal_get_form', 'a:1:{i:0;s:24:"system_actions_configure";}', 15, 4, '', 'admin/settings/actions/configure', 'Configure an advanced action', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/settings/date-time/lookup', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_date_time_lookup', 'a:0:{}', 15, 4, '', 'admin/settings/date-time/lookup', 'Date and time lookup', 't', '', 4, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/user/roles/edit', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'drupal_get_form', 'a:1:{i:0;s:15:"user_admin_role";}', 15, 4, '', 'admin/user/roles/edit', 'Edit role', 't', '', 4, '', '', '', 0, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/user/rules/edit', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'user_admin_access_edit', 'a:0:{}', 15, 4, '', 'admin/user/rules/edit', 'Edit rule', 't', '', 4, '', '', '', 0, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/types/fields', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'content_fields_list', 'a:0:{}', 15, 4, 'admin/content/types', 'admin/content/types', 'Fields', 't', '', 128, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/updates/list', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'update_status', 'a:0:{}', 15, 4, 'admin/reports/updates', 'admin/reports/updates', 'List', 't', '', 136, '', '', '', 0, 'modules/update/update.report.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/updates/check', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'update_manual_status', 'a:0:{}', 15, 4, '', 'admin/reports/updates/check', 'Manual update check', 't', '', 4, '', '', '', 0, 'modules/update/update.fetch.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/status/php', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_php', 'a:0:{}', 15, 4, '', 'admin/reports/status/php', 'PHP', 't', '', 4, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-settings/rebuild', '', '', 'user_access', 'a:1:{i:0;s:27:"access administration pages";}', 'drupal_get_form', 'a:1:{i:0;s:30:"node_configure_rebuild_confirm";}', 15, 4, '', 'admin/content/node-settings/rebuild', 'Rebuild permissions', 't', '', 4, '', '', '', 0, 'modules/node/node.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/status/run-cron', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_run_cron', 'a:0:{}', 15, 4, '', 'admin/reports/status/run-cron', 'Run cron', 't', '', 4, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/status/sql', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'system_sql', 'a:0:{}', 15, 4, '', 'admin/reports/status/sql', 'SQL', 't', '', 4, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block/add', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:1:{i:0;s:20:"block_add_block_form";}', 15, 4, 'admin/build/block', 'admin/build/block', 'Add block', 't', '', 128, '', '', '', 0, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/types/add', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:1:{i:0;s:14:"node_type_form";}', 15, 4, 'admin/content/types', 'admin/content/types', 'Add content type', 't', '', 128, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/build/menu/add', '', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:2:{i:0;s:14:"menu_edit_menu";i:1;s:3:"add";}', 15, 4, 'admin/build/menu', 'admin/build/menu', 'Add menu', 't', '', 128, '', '', '', 0, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/imagecache/add', '', '', 'user_access', 'a:1:{i:0;s:21:"administer imagecache";}', 'drupal_get_form', 'a:1:{i:0;s:25:"imagecache_ui_preset_form";}', 15, 4, 'admin/build/imagecache', 'admin/build/imagecache', 'Add new preset', 't', '', 128, '', '', '', 0, 'sites/all/modules/imagecache/imagecache_ui.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:11:"advertising";s:4:"name";s:11:"Advertising";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:11:"Description";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 15, 4, '', 'admin/content/node-type/advertising', 'Advertising', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/blog', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:4:"blog";s:4:"name";s:10:"Blog entry";s:6:"module";s:4:"blog";s:11:"description";s:78:"A <em>blog entry</em> is a single post to an online journal, or <em>blog</em>.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"0";s:8:"modified";s:1:"1";s:6:"locked";s:1:"1";s:9:"orig_type";s:4:"blog";}}', 15, 4, '', 'admin/content/node-type/blog', 'Blog entry', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/search/wipe', '', '', 'user_access', 'a:1:{i:0;s:17:"administer search";}', 'drupal_get_form', 'a:1:{i:0;s:19:"search_wipe_confirm";}', 15, 4, '', 'admin/settings/search/wipe', 'Clear index', 't', '', 4, '', '', '', 0, 'modules/search/search.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block/configure', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:1:{i:0;s:21:"block_admin_configure";}', 15, 4, '', 'admin/build/block/configure', 'Configure block', 't', '', 4, '', '', '', 0, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block/delete', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'drupal_get_form', 'a:1:{i:0;s:16:"block_box_delete";}', 15, 4, '', 'admin/build/block/delete', 'Delete block', 't', '', 4, '', '', '', 0, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/filters/delete', '', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'drupal_get_form', 'a:1:{i:0;s:19:"filter_admin_delete";}', 15, 4, '', 'admin/settings/filters/delete', 'Delete input format', 't', '', 4, '', '', '', 0, 'modules/filter/filter.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/user/rules/delete', '', '', 'user_access', 'a:1:{i:0;s:22:"administer permissions";}', 'drupal_get_form', 'a:1:{i:0;s:32:"user_admin_access_delete_confirm";}', 15, 4, '', 'admin/user/rules/delete', 'Delete rule', 't', '', 4, '', '', '', 0, 'modules/user/user.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/event/%', 'a:1:{i:3;N;}', '', 'user_access', 'a:1:{i:0;s:19:"access site reports";}', 'dblog_event', 'a:1:{i:0;i:3;}', 14, 4, '', 'admin/reports/event/%', 'Details', 't', '', 4, '', '', '', 0, 'modules/dblog/dblog.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:6:"header";s:4:"name";s:6:"Header";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 15, 4, '', 'admin/content/node-type/header', 'Header', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/taxonomy/%', 'a:1:{i:3;s:24:"taxonomy_vocabulary_load";}', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:2:{i:0;s:23:"taxonomy_overview_terms";i:1;i:3;}', 14, 4, '', 'admin/content/taxonomy/%', 'List terms', 't', '', 4, '', '', '', 0, 'modules/taxonomy/taxonomy.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/page', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:4:"page";s:4:"name";s:4:"Page";s:6:"module";s:4:"node";s:11:"description";s:296:"A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an "About us" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site''s initial home page.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:4:"page";}}', 15, 4, '', 'admin/content/node-type/page', 'Page', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:9:"portfolio";s:4:"name";s:9:"Portfolio";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 15, 4, '', 'admin/content/node-type/portfolio', 'Portfolio', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/build/menu/settings', '', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:1:{i:0;s:14:"menu_configure";}', 15, 4, 'admin/build/menu', 'admin/build/menu', 'Settings', 't', '', 128, '', '', '', 5, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/add', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_add_page', 'a:0:{}', 15, 4, 'admin/build/views', 'admin/build/views', 'Add', 't', '', 128, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/reports/updates/settings', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:15:"update_settings";}', 15, 4, 'admin/reports/updates', 'admin/reports/updates', 'Settings', 't', '', 128, '', '', '', 0, 'modules/update/update.settings.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:6:"slider";s:4:"name";s:6:"Slider";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 15, 4, '', 'admin/content/node-type/slider', 'Slider', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/story', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:5:"story";s:4:"name";s:5:"Story";s:6:"module";s:4:"node";s:11:"description";s:392:"A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site''s initial home page, and provides the ability to post comments.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:5:"story";}}', 15, 4, '', 'admin/content/node-type/story', 'Story', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/testimonials', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:12:"testimonials";s:4:"name";s:12:"Testimonials";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 15, 4, '', 'admin/content/node-type/testimonials', 'Testimonials', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/list', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_list_views', 'a:0:{}', 15, 4, 'admin/build/views', 'admin/build/views', 'List', 't', '', 136, '', '', '', -1, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/logging/dblog', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:20:"dblog_admin_settings";}', 15, 4, '', 'admin/settings/logging/dblog', 'Database logging', 't', '', 6, '', 'Settings for logging to the Drupal database logs. This is the most common method for small to medium sites on shared hosting. The logs are viewable from the admin pages.', '', 0, 'modules/dblog/dblog.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views1/convert', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_convert1', 'a:1:{i:0;i:4;}', 15, 4, '', 'admin/build/views1/convert', 'Convert view', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/convert.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views1/delete', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:2:{i:0;s:24:"views_ui_delete1_confirm";i:1;i:4;}', 15, 4, '', 'admin/build/views1/delete', 'Delete view', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/convert.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/import', '', '', 'views_import_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:1:{i:0;s:20:"views_ui_import_page";}', 15, 4, 'admin/build/views', 'admin/build/views', 'Import', 't', '', 128, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/tools', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:1:{i:0;s:20:"views_ui_admin_tools";}', 15, 4, 'admin/build/views', 'admin/build/views', 'Tools', 't', '', 128, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('user/%/edit/twitter', 'a:1:{i:1;a:1:{s:18:"user_category_load";a:2:{i:0;s:4:"%map";i:1;s:6:"%index";}}}', '', 'user_access', 'a:1:{i:0;s:20:"add twitter accounts";}', 'twitter_user_settings', 'a:1:{i:0;i:1;}', 11, 4, 'user/%/edit', 'user/%', 'Twitter accounts', 't', '', 128, '', '', '', 10, 'sites/all/modules/twitter/twitter.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/filters/%', 'a:1:{i:3;s:18:"filter_format_load";}', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'filter_admin_format_page', 'a:1:{i:0;i:3;}', 14, 4, '', 'admin/settings/filters/%', '', 'filter_admin_format_title', 'a:1:{i:0;i:3;}', 4, '', '', '', 0, 'modules/filter/filter.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/imagecache/%', 'a:1:{i:3;s:25:"imagecache_ui_preset_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer imagecache";}', 'drupal_get_form', 'a:2:{i:0;s:25:"imagecache_ui_preset_form";i:1;i:3;}', 14, 4, '', 'admin/build/imagecache/%', '', 'imagecache_preset_title_callback', 'a:2:{i:0;s:24:"Edit preset: !presetname";i:1;i:3;}', 4, '', '', '', 0, 'sites/all/modules/imagecache/imagecache_ui.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/build/menu-customize/%', 'a:1:{i:3;s:9:"menu_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:2:{i:0;s:18:"menu_overview_form";i:1;i:3;}', 14, 4, '', 'admin/build/menu-customize/%', 'Customize menu', 'menu_overview_title', 'a:1:{i:0;i:3;}', 4, '', '', '', 0, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising/edit', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:11:"advertising";s:4:"name";s:11:"Advertising";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:11:"Description";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 31, 5, 'admin/content/node-type/advertising', 'admin/content/node-type/advertising', 'Edit', 't', '', 136, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/blog/edit', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:4:"blog";s:4:"name";s:10:"Blog entry";s:6:"module";s:4:"blog";s:11:"description";s:78:"A <em>blog entry</em> is a single post to an online journal, or <em>blog</em>.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"0";s:8:"modified";s:1:"1";s:6:"locked";s:1:"1";s:9:"orig_type";s:4:"blog";}}', 31, 5, 'admin/content/node-type/blog', 'admin/content/node-type/blog', 'Edit', 't', '', 136, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header/edit', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:6:"header";s:4:"name";s:6:"Header";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 31, 5, 'admin/content/node-type/header', 'admin/content/node-type/header', 'Edit', 't', '', 136, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/page/edit', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:4:"page";s:4:"name";s:4:"Page";s:6:"module";s:4:"node";s:11:"description";s:296:"A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an "About us" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site''s initial home page.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:4:"page";}}', 31, 5, 'admin/content/node-type/page', 'admin/content/node-type/page', 'Edit', 't', '', 136, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio/edit', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:9:"portfolio";s:4:"name";s:9:"Portfolio";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 31, 5, 'admin/content/node-type/portfolio', 'admin/content/node-type/portfolio', 'Edit', 't', '', 136, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/edit', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:6:"slider";s:4:"name";s:6:"Slider";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 31, 5, 'admin/content/node-type/slider', 'admin/content/node-type/slider', 'Edit', 't', '', 136, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/story/edit', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:5:"story";s:4:"name";s:5:"Story";s:6:"module";s:4:"node";s:11:"description";s:392:"A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site''s initial home page, and provides the ability to post comments.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:5:"story";}}', 31, 5, 'admin/content/node-type/story', 'admin/content/node-type/story', 'Edit', 't', '', 136, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/testimonials/edit', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:12:"testimonials";s:4:"name";s:12:"Testimonials";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 31, 5, 'admin/content/node-type/testimonials', 'admin/content/node-type/testimonials', 'Edit', 't', '', 136, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/build/themes/settings/global', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:21:"system_theme_settings";}', 31, 5, 'admin/build/themes/settings', 'admin/build/themes', 'Global settings', 't', '', 136, '', '', '', -1, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/taxonomy/%/list', 'a:1:{i:3;s:24:"taxonomy_vocabulary_load";}', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:2:{i:0;s:23:"taxonomy_overview_terms";i:1;i:3;}', 29, 5, 'admin/content/taxonomy/%', 'admin/content/taxonomy/%', 'List', 't', '', 136, '', '', '', -10, 'modules/taxonomy/taxonomy.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/filters/%/edit', 'a:1:{i:3;s:18:"filter_format_load";}', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'filter_admin_format_page', 'a:1:{i:0;i:3;}', 29, 5, 'admin/settings/filters/%', 'admin/settings/filters/%', 'Edit', 't', '', 136, '', '', '', 0, 'modules/filter/filter.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/modules/list/confirm', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:14:"system_modules";}', 31, 5, '', 'admin/build/modules/list/confirm', 'List', 't', '', 4, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/menu-customize/%/list', 'a:1:{i:3;s:9:"menu_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:2:{i:0;s:18:"menu_overview_form";i:1;i:3;}', 29, 5, 'admin/build/menu-customize/%', 'admin/build/menu-customize/%', 'List items', 't', '', 136, '', '', '', -10, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/modules/uninstall/confirm', '', '', 'user_access', 'a:1:{i:0;s:29:"administer site configuration";}', 'drupal_get_form', 'a:1:{i:0;s:24:"system_modules_uninstall";}', 31, 5, '', 'admin/build/modules/uninstall/confirm', 'Uninstall', 't', '', 4, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/themes/settings/bluemarine', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:33:"themes/bluemarine/bluemarine.info";s:4:"name";s:10:"bluemarine";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:10:"Bluemarine";s:11:"description";s:66:"Table-based multi-column theme with a marine and ash color scheme.";s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/bluemarine/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/bluemarine/script.js";}s:10:"screenshot";s:32:"themes/bluemarine/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/bluemarine/style.css";}}s:6:"engine";s:11:"phptemplate";}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:10:"bluemarine";}', 31, 5, 'admin/build/themes/settings', 'admin/build/themes', 'Bluemarine', 't', '', 128, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/themes/settings/businessportfolio', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:57:"sites/all/themes/businessportfolio/businessportfolio.info";s:4:"name";s:17:"businessportfolio";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:12:{s:4:"name";s:18:"Business Portfolio";s:11:"description";s:19:"Multi-column theme.";s:7:"version";s:4:"6.14";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:13:{s:9:"left_menu";s:9:"Left Menu";s:4:"left";s:4:"Left";s:7:"content";s:7:"Content";s:12:"testimonials";s:12:"Testimonials";s:8:"footer_1";s:15:"Footer 1 Column";s:8:"footer_2";s:15:"Footer 2 Column";s:8:"footer_3";s:15:"Footer 3 Column";s:8:"footer_4";s:15:"Footer 4 Column";s:11:"home_header";s:11:"Home Header";s:13:"home_slider_1";s:13:"Home Slider 1";s:13:"home_slider_2";s:13:"Home Slider 2";s:13:"home_slider_3";s:13:"Home Slider 3";s:13:"home_slider_4";s:13:"Home Slider 4";}s:9:"datestamp";s:10:"1253130027";s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:44:"sites/all/themes/businessportfolio/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:44:"sites/all/themes/businessportfolio/script.js";}s:10:"screenshot";s:49:"sites/all/themes/businessportfolio/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:44:"sites/all/themes/businessportfolio/style.css";}}s:6:"engine";s:11:"phptemplate";}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:17:"businessportfolio";}', 31, 5, 'admin/build/themes/settings', 'admin/build/themes', 'Business Portfolio', 't', '', 128, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/themes/settings/chameleon', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:31:"themes/chameleon/chameleon.info";s:4:"name";s:9:"chameleon";s:4:"type";s:5:"theme";s:5:"owner";s:32:"themes/chameleon/chameleon.theme";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:12:{s:4:"name";s:9:"Chameleon";s:11:"description";s:42:"Minimalist tabled theme with light colors.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:8:"features";a:4:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";}s:11:"stylesheets";a:1:{s:3:"all";a:2:{s:9:"style.css";s:26:"themes/chameleon/style.css";s:10:"common.css";s:27:"themes/chameleon/common.css";}}s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:7:"scripts";a:1:{s:9:"script.js";s:26:"themes/chameleon/script.js";}s:10:"screenshot";s:31:"themes/chameleon/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:2:{s:9:"style.css";s:26:"themes/chameleon/style.css";s:10:"common.css";s:27:"themes/chameleon/common.css";}}}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:9:"chameleon";}', 31, 5, 'admin/build/themes/settings', 'admin/build/themes', 'Chameleon', 't', '', 128, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising/delete', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;O:8:"stdClass":14:{s:4:"type";s:11:"advertising";s:4:"name";s:11:"Advertising";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:11:"Description";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 31, 5, '', 'admin/content/node-type/advertising/delete', 'Delete', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/blog/delete', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;O:8:"stdClass":14:{s:4:"type";s:4:"blog";s:4:"name";s:10:"Blog entry";s:6:"module";s:4:"blog";s:11:"description";s:78:"A <em>blog entry</em> is a single post to an online journal, or <em>blog</em>.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"0";s:8:"modified";s:1:"1";s:6:"locked";s:1:"1";s:9:"orig_type";s:4:"blog";}}', 31, 5, '', 'admin/content/node-type/blog/delete', 'Delete', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header/delete', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;O:8:"stdClass":14:{s:4:"type";s:6:"header";s:4:"name";s:6:"Header";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 31, 5, '', 'admin/content/node-type/header/delete', 'Delete', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/page/delete', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;O:8:"stdClass":14:{s:4:"type";s:4:"page";s:4:"name";s:4:"Page";s:6:"module";s:4:"node";s:11:"description";s:296:"A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an "About us" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site''s initial home page.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:4:"page";}}', 31, 5, '', 'admin/content/node-type/page/delete', 'Delete', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio/delete', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;O:8:"stdClass":14:{s:4:"type";s:9:"portfolio";s:4:"name";s:9:"Portfolio";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 31, 5, '', 'admin/content/node-type/portfolio/delete', 'Delete', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/delete', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;O:8:"stdClass":14:{s:4:"type";s:6:"slider";s:4:"name";s:6:"Slider";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 31, 5, '', 'admin/content/node-type/slider/delete', 'Delete', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/story/delete', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;O:8:"stdClass":14:{s:4:"type";s:5:"story";s:4:"name";s:5:"Story";s:6:"module";s:4:"node";s:11:"description";s:392:"A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site''s initial home page, and provides the ability to post comments.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:5:"story";}}', 31, 5, '', 'admin/content/node-type/story/delete', 'Delete', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/testimonials/delete', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;O:8:"stdClass":14:{s:4:"type";s:12:"testimonials";s:4:"name";s:12:"Testimonials";s:6:"module";s:4:"node";s:11:"description";s:0:"";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:5:"Title";s:8:"has_body";s:1:"1";s:10:"body_label";s:4:"Body";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"1";s:8:"modified";s:1:"1";s:6:"locked";s:1:"0";s:9:"orig_type";s:0:"";}}', 31, 5, '', 'admin/content/node-type/testimonials/delete', 'Delete', 't', '', 4, '', '', '', 0, 'modules/node/content_types.inc');
INSERT INTO `menu_router` VALUES ('admin/content/taxonomy/edit/term', '', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'taxonomy_admin_term_edit', 'a:0:{}', 31, 5, '', 'admin/content/taxonomy/edit/term', 'Edit term', 't', '', 4, '', '', '', 0, 'modules/taxonomy/taxonomy.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/themes/settings/garland', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:27:"themes/garland/garland.info";s:4:"name";s:7:"garland";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:7:"Garland";s:11:"description";s:66:"Tableless, recolorable, multi-column, fluid width theme (default).";s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:24:"themes/garland/script.js";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:6:"engine";s:11:"phptemplate";}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:7:"garland";}', 31, 5, 'admin/build/themes/settings', 'admin/build/themes', 'Garland', 't', '', 128, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block/list/js', '', '', 'user_access', 'a:1:{i:0;s:17:"administer blocks";}', 'block_admin_display_js', 'a:0:{}', 31, 5, '', 'admin/build/block/list/js', 'JavaScript List Form', 't', '', 4, '', '', '', 0, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/themes/settings/marvin', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:35:"themes/chameleon/marvin/marvin.info";s:4:"name";s:6:"marvin";s:4:"type";s:5:"theme";s:5:"owner";s:0:"";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:6:"Marvin";s:11:"description";s:31:"Boxy tabled theme in all grays.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:10:"base theme";s:9:"chameleon";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:33:"themes/chameleon/marvin/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/chameleon/marvin/script.js";}s:10:"screenshot";s:38:"themes/chameleon/marvin/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:33:"themes/chameleon/marvin/style.css";}}s:10:"base_theme";s:9:"chameleon";}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:6:"marvin";}', 31, 5, 'admin/build/themes/settings', 'admin/build/themes', 'Marvin', 't', '', 128, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/themes/settings/minnelli', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":13:{s:8:"filename";s:37:"themes/garland/minnelli/minnelli.info";s:4:"name";s:8:"minnelli";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:14:{s:4:"name";s:8:"Minnelli";s:11:"description";s:56:"Tableless, recolorable, multi-column, fixed width theme.";s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:10:"base theme";s:7:"garland";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:12:"minnelli.css";s:36:"themes/garland/minnelli/minnelli.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/garland/minnelli/script.js";}s:10:"screenshot";s:38:"themes/garland/minnelli/screenshot.png";s:3:"php";s:5:"4.3.5";s:6:"engine";s:11:"phptemplate";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:12:"minnelli.css";s:36:"themes/garland/minnelli/minnelli.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"garland";}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:8:"minnelli";}', 31, 5, 'admin/build/themes/settings', 'admin/build/themes', 'Minnelli', 't', '', 128, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/themes/settings/pushbutton', '', '', '_system_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:33:"themes/pushbutton/pushbutton.info";s:4:"name";s:10:"pushbutton";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:10:"Pushbutton";s:11:"description";s:52:"Tabled, multi-column theme in blue and orange tones.";s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/pushbutton/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/pushbutton/script.js";}s:10:"screenshot";s:32:"themes/pushbutton/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/pushbutton/style.css";}}s:6:"engine";s:11:"phptemplate";}}', 'drupal_get_form', 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:10:"pushbutton";}', 31, 5, 'admin/build/themes/settings', 'admin/build/themes', 'Pushbutton', 't', '', 128, '', '', '', 0, 'modules/system/system.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/imageapi/config/imageapi_gd', '', '', 'user_access', 'a:1:{i:0;s:19:"administer imageapi";}', 'drupal_get_form', 'a:1:{i:0;s:25:"imageapi_gd_settings_form";}', 31, 5, 'admin/settings/imageapi/config', 'admin/settings/imageapi', '@name', 't', 'a:1:{s:5:"@name";s:12:"ImageAPI GD2";}', 136, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/build/menu-customize/%/add', 'a:1:{i:3;s:9:"menu_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:4:{i:0;s:14:"menu_edit_item";i:1;s:3:"add";i:2;N;i:3;i:3;}', 29, 5, 'admin/build/menu-customize/%', 'admin/build/menu-customize/%', 'Add item', 't', '', 128, '', '', '', 0, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/views/ajax/autocomplete/user', '', '', 'user_access', 'a:1:{i:0;s:14:"access content";}', 'views_ajax_autocomplete_user', 'a:0:{}', 31, 5, '', 'admin/views/ajax/autocomplete/user', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/ajax.inc');
INSERT INTO `menu_router` VALUES ('admin/views/ajax/autocomplete/tag', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_autocomplete_tag', 'a:0:{}', 31, 5, '', 'admin/views/ajax/autocomplete/tag', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block/list/bluemarine', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:33:"themes/bluemarine/bluemarine.info";s:4:"name";s:10:"bluemarine";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:10:"Bluemarine";s:11:"description";s:66:"Table-based multi-column theme with a marine and ash color scheme.";s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/bluemarine/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/bluemarine/script.js";}s:10:"screenshot";s:32:"themes/bluemarine/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/bluemarine/style.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_display', 'a:1:{i:0;s:10:"bluemarine";}', 31, 5, 'admin/build/block/list', 'admin/build/block', 'Bluemarine', 't', '', 128, '', '', '', 0, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block/list/businessportfolio', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:57:"sites/all/themes/businessportfolio/businessportfolio.info";s:4:"name";s:17:"businessportfolio";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:12:{s:4:"name";s:18:"Business Portfolio";s:11:"description";s:19:"Multi-column theme.";s:7:"version";s:4:"6.14";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:13:{s:9:"left_menu";s:9:"Left Menu";s:4:"left";s:4:"Left";s:7:"content";s:7:"Content";s:12:"testimonials";s:12:"Testimonials";s:8:"footer_1";s:15:"Footer 1 Column";s:8:"footer_2";s:15:"Footer 2 Column";s:8:"footer_3";s:15:"Footer 3 Column";s:8:"footer_4";s:15:"Footer 4 Column";s:11:"home_header";s:11:"Home Header";s:13:"home_slider_1";s:13:"Home Slider 1";s:13:"home_slider_2";s:13:"Home Slider 2";s:13:"home_slider_3";s:13:"Home Slider 3";s:13:"home_slider_4";s:13:"Home Slider 4";}s:9:"datestamp";s:10:"1253130027";s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:44:"sites/all/themes/businessportfolio/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:44:"sites/all/themes/businessportfolio/script.js";}s:10:"screenshot";s:49:"sites/all/themes/businessportfolio/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:44:"sites/all/themes/businessportfolio/style.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_display', 'a:1:{i:0;s:17:"businessportfolio";}', 31, 5, 'admin/build/block/list', 'admin/build/block', 'Business Portfolio', 't', '', 136, '', '', '', -10, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block/list/chameleon', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:31:"themes/chameleon/chameleon.info";s:4:"name";s:9:"chameleon";s:4:"type";s:5:"theme";s:5:"owner";s:32:"themes/chameleon/chameleon.theme";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:12:{s:4:"name";s:9:"Chameleon";s:11:"description";s:42:"Minimalist tabled theme with light colors.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:8:"features";a:4:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";}s:11:"stylesheets";a:1:{s:3:"all";a:2:{s:9:"style.css";s:26:"themes/chameleon/style.css";s:10:"common.css";s:27:"themes/chameleon/common.css";}}s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:7:"scripts";a:1:{s:9:"script.js";s:26:"themes/chameleon/script.js";}s:10:"screenshot";s:31:"themes/chameleon/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:2:{s:9:"style.css";s:26:"themes/chameleon/style.css";s:10:"common.css";s:27:"themes/chameleon/common.css";}}}}', 'block_admin_display', 'a:1:{i:0;s:9:"chameleon";}', 31, 5, 'admin/build/block/list', 'admin/build/block', 'Chameleon', 't', '', 128, '', '', '', 0, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/filters/%/configure', 'a:1:{i:3;s:18:"filter_format_load";}', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'filter_admin_configure_page', 'a:1:{i:0;i:3;}', 29, 5, 'admin/settings/filters/%', 'admin/settings/filters/%', 'Configure', 't', '', 128, '', '', '', 1, 'modules/filter/filter.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/actions/delete/%', 'a:1:{i:4;s:12:"actions_load";}', '', 'user_access', 'a:1:{i:0;s:18:"administer actions";}', 'drupal_get_form', 'a:2:{i:0;s:26:"system_actions_delete_form";i:1;i:4;}', 30, 5, '', 'admin/settings/actions/delete/%', 'Delete action', 't', '', 4, '', 'Delete an action.', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/build/menu-customize/%/delete', 'a:1:{i:3;s:9:"menu_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'menu_delete_menu_page', 'a:1:{i:0;i:3;}', 29, 5, '', 'admin/build/menu-customize/%/delete', 'Delete menu', 't', '', 4, '', '', '', 0, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising/display', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:11:"advertising";}', 31, 5, 'admin/content/node-type/advertising', 'admin/content/node-type/advertising', 'Display fields', 't', '', 128, '', '', '', 2, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/blog/display', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:4:"blog";}', 31, 5, 'admin/content/node-type/blog', 'admin/content/node-type/blog', 'Display fields', 't', '', 128, '', '', '', 2, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header/display', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:6:"header";}', 31, 5, 'admin/content/node-type/header', 'admin/content/node-type/header', 'Display fields', 't', '', 128, '', '', '', 2, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/page/display', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:4:"page";}', 31, 5, 'admin/content/node-type/page', 'admin/content/node-type/page', 'Display fields', 't', '', 128, '', '', '', 2, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio/display', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:9:"portfolio";}', 31, 5, 'admin/content/node-type/portfolio', 'admin/content/node-type/portfolio', 'Display fields', 't', '', 128, '', '', '', 2, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/display', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:6:"slider";}', 31, 5, 'admin/content/node-type/slider', 'admin/content/node-type/slider', 'Display fields', 't', '', 128, '', '', '', 2, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/story/display', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:5:"story";}', 31, 5, 'admin/content/node-type/story', 'admin/content/node-type/story', 'Display fields', 't', '', 128, '', '', '', 2, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/testimonials/display', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:12:"testimonials";}', 31, 5, 'admin/content/node-type/testimonials', 'admin/content/node-type/testimonials', 'Display fields', 't', '', 128, '', '', '', 2, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/menu-customize/%/edit', 'a:1:{i:3;s:9:"menu_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:3:{i:0;s:14:"menu_edit_menu";i:1;s:4:"edit";i:2;i:3;}', 29, 5, 'admin/build/menu-customize/%', 'admin/build/menu-customize/%', 'Edit menu', 't', '', 128, '', '', '', 0, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block/list/garland', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:27:"themes/garland/garland.info";s:4:"name";s:7:"garland";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:7:"Garland";s:11:"description";s:66:"Tableless, recolorable, multi-column, fluid width theme (default).";s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:24:"themes/garland/script.js";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_display', 'a:1:{i:0;s:7:"garland";}', 31, 5, 'admin/build/block/list', 'admin/build/block', 'Garland', 't', '', 128, '', '', '', 0, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising/fields', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:11:"advertising";}', 31, 5, 'admin/content/node-type/advertising', 'admin/content/node-type/advertising', 'Manage fields', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/blog/fields', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:4:"blog";}', 31, 5, 'admin/content/node-type/blog', 'admin/content/node-type/blog', 'Manage fields', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header/fields', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:6:"header";}', 31, 5, 'admin/content/node-type/header', 'admin/content/node-type/header', 'Manage fields', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/page/fields', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:4:"page";}', 31, 5, 'admin/content/node-type/page', 'admin/content/node-type/page', 'Manage fields', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio/fields', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:9:"portfolio";}', 31, 5, 'admin/content/node-type/portfolio', 'admin/content/node-type/portfolio', 'Manage fields', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/fields', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:6:"slider";}', 31, 5, 'admin/content/node-type/slider', 'admin/content/node-type/slider', 'Manage fields', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/story/fields', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:5:"story";}', 31, 5, 'admin/content/node-type/story', 'admin/content/node-type/story', 'Manage fields', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/testimonials/fields', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:12:"testimonials";}', 31, 5, 'admin/content/node-type/testimonials', 'admin/content/node-type/testimonials', 'Manage fields', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block/list/marvin', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:35:"themes/chameleon/marvin/marvin.info";s:4:"name";s:6:"marvin";s:4:"type";s:5:"theme";s:5:"owner";s:0:"";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:6:"Marvin";s:11:"description";s:31:"Boxy tabled theme in all grays.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:10:"base theme";s:9:"chameleon";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:33:"themes/chameleon/marvin/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/chameleon/marvin/script.js";}s:10:"screenshot";s:38:"themes/chameleon/marvin/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:33:"themes/chameleon/marvin/style.css";}}s:10:"base_theme";s:9:"chameleon";}}', 'block_admin_display', 'a:1:{i:0;s:6:"marvin";}', 31, 5, 'admin/build/block/list', 'admin/build/block', 'Marvin', 't', '', 128, '', '', '', 0, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('filefield/ahah/%/%/%', 'a:3:{i:2;N;i:3;N;i:4;N;}', '', 'filefield_edit_access', 'a:2:{i:0;i:2;i:1;i:3;}', 'filefield_js', 'a:3:{i:0;i:2;i:1;i:3;i:2;i:4;}', 24, 5, '', 'filefield/ahah/%/%/%', '', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/build/block/list/minnelli', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":13:{s:8:"filename";s:37:"themes/garland/minnelli/minnelli.info";s:4:"name";s:8:"minnelli";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:14:{s:4:"name";s:8:"Minnelli";s:11:"description";s:56:"Tableless, recolorable, multi-column, fixed width theme.";s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:10:"base theme";s:7:"garland";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:12:"minnelli.css";s:36:"themes/garland/minnelli/minnelli.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/garland/minnelli/script.js";}s:10:"screenshot";s:38:"themes/garland/minnelli/screenshot.png";s:3:"php";s:5:"4.3.5";s:6:"engine";s:11:"phptemplate";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:12:"minnelli.css";s:36:"themes/garland/minnelli/minnelli.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"garland";}}', 'block_admin_display', 'a:1:{i:0;s:8:"minnelli";}', 31, 5, 'admin/build/block/list', 'admin/build/block', 'Minnelli', 't', '', 128, '', '', '', 0, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/block/list/pushbutton', '', '', '_block_themes_access', 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:33:"themes/pushbutton/pushbutton.info";s:4:"name";s:10:"pushbutton";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:10:"Pushbutton";s:11:"description";s:52:"Tabled, multi-column theme in blue and orange tones.";s:7:"version";s:4:"6.16";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1267662008";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/pushbutton/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/pushbutton/script.js";}s:10:"screenshot";s:32:"themes/pushbutton/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/pushbutton/style.css";}}s:6:"engine";s:11:"phptemplate";}}', 'block_admin_display', 'a:1:{i:0;s:10:"pushbutton";}', 31, 5, 'admin/build/block/list', 'admin/build/block', 'Pushbutton', 't', '', 128, '', '', '', 0, 'modules/block/block.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/settings/filters/%/order', 'a:1:{i:3;s:18:"filter_format_load";}', '', 'user_access', 'a:1:{i:0;s:18:"administer filters";}', 'filter_admin_order_page', 'a:1:{i:0;i:3;}', 29, 5, 'admin/settings/filters/%', 'admin/settings/filters/%', 'Rearrange', 't', '', 128, '', '', '', 2, 'modules/filter/filter.admin.inc');
INSERT INTO `menu_router` VALUES ('user/reset/%/%/%', 'a:3:{i:2;N;i:3;N;i:4;N;}', '', '1', 'a:0:{}', 'drupal_get_form', 'a:4:{i:0;s:15:"user_pass_reset";i:1;i:2;i:2;i:3;i:3;i:4;}', 24, 5, '', 'user/reset/%/%/%', 'Reset password', 't', '', 4, '', '', '', 0, 'modules/user/user.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/content/taxonomy/add/vocabulary', '', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'drupal_get_form', 'a:1:{i:0;s:24:"taxonomy_form_vocabulary";}', 31, 5, 'admin/content/taxonomy', 'admin/content/taxonomy', 'Add vocabulary', 't', '', 128, '', '', '', 0, 'modules/taxonomy/taxonomy.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/delete/%', 'a:1:{i:4;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:2:{i:0;s:23:"views_ui_delete_confirm";i:1;i:4;}', 30, 5, '', 'admin/build/views/delete/%', 'Delete view', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('node/%/revisions/%/view', 'a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}', '', '_node_revision_access', 'a:1:{i:0;i:1;}', 'node_show', 'a:3:{i:0;i:1;i:1;N;i:2;b:1;}', 21, 5, '', 'node/%/revisions/%/view', 'Revisions', 't', '', 4, '', '', '', 0, '');
INSERT INTO `menu_router` VALUES ('admin/build/views/tools/basic', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:1:{i:0;s:20:"views_ui_admin_tools";}', 31, 5, 'admin/build/views/tools', 'admin/build/views', 'Basic', 't', '', 136, '', '', '', -10, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/break-lock/%', 'a:1:{i:4;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:2:{i:0;s:27:"views_ui_break_lock_confirm";i:1;i:4;}', 30, 5, '', 'admin/build/views/break-lock/%', 'Delete view', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/export/%', 'a:1:{i:4;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'drupal_get_form', 'a:2:{i:0;s:20:"views_ui_export_page";i:1;i:4;}', 30, 5, '', 'admin/build/views/export/%', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/clone/%', 'a:1:{i:4;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_clone_page', 'a:1:{i:0;i:4;}', 30, 5, '', 'admin/build/views/clone/%', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/disable/%', 'a:1:{i:4;s:21:"views_ui_default_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_disable_page', 'a:1:{i:0;i:4;}', 30, 5, '', 'admin/build/views/disable/%', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/enable/%', 'a:1:{i:4;s:21:"views_ui_default_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_enable_page', 'a:1:{i:0;i:4;}', 30, 5, '', 'admin/build/views/enable/%', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/edit/%', 'a:1:{i:4;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_edit_page', 'a:1:{i:0;i:4;}', 30, 5, 'admin/build/views', 'admin/build/views', 'Edit', 't', '', 128, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/tools/convert', '', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_admin_convert', 'a:0:{}', 31, 5, 'admin/build/views/tools', 'admin/build/views', 'Convert', 't', '', 128, '', 'Convert stored Views 1 views.', '', 1, 'sites/all/modules/views/includes/convert.inc');
INSERT INTO `menu_router` VALUES ('admin/build/imagecache/%/delete', 'a:1:{i:3;s:25:"imagecache_ui_preset_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer imagecache";}', 'drupal_get_form', 'a:2:{i:0;s:32:"imagecache_ui_preset_delete_form";i:1;i:3;}', 29, 5, '', 'admin/build/imagecache/%/delete', '', 'imagecache_preset_title_callback', 'a:2:{i:0;s:26:"Delete preset: !presetname";i:1;i:3;}', 4, '', '', '', 0, 'sites/all/modules/imagecache/imagecache_ui.pages.inc');
INSERT INTO `menu_router` VALUES ('node/%/revisions/%/delete', 'a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}', '', '_node_revision_access', 'a:2:{i:0;i:1;i:1;s:6:"delete";}', 'drupal_get_form', 'a:2:{i:0;s:28:"node_revision_delete_confirm";i:1;i:1;}', 21, 5, '', 'node/%/revisions/%/delete', 'Delete earlier revision', 't', '', 4, '', '', '', 0, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('node/%/revisions/%/revert', 'a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}', '', '_node_revision_access', 'a:2:{i:0;i:1;i:1;s:6:"update";}', 'drupal_get_form', 'a:2:{i:0;s:28:"node_revision_revert_confirm";i:1;i:1;}', 21, 5, '', 'node/%/revisions/%/revert', 'Revert to earlier revision', 't', '', 4, '', '', '', 0, 'modules/node/node.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/build/imagecache/%/export', 'a:1:{i:3;s:25:"imagecache_ui_preset_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer imagecache";}', 'drupal_get_form', 'a:2:{i:0;s:32:"imagecache_ui_preset_export_form";i:1;i:3;}', 29, 5, '', 'admin/build/imagecache/%/export', '', 'imagecache_preset_title_callback', 'a:2:{i:0;s:26:"Export preset: !presetname";i:1;i:3;}', 4, '', '', '', 0, 'sites/all/modules/imagecache/imagecache_ui.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/build/imagecache/%/flush', 'a:1:{i:3;s:25:"imagecache_ui_preset_load";}', '', 'user_access', 'a:1:{i:0;s:16:"flush imagecache";}', 'drupal_get_form', 'a:2:{i:0;s:31:"imagecache_ui_preset_flush_form";i:1;i:3;}', 29, 5, '', 'admin/build/imagecache/%/flush', '', 'imagecache_preset_title_callback', 'a:2:{i:0;s:25:"Flush preset: !presetname";i:1;i:3;}', 4, '', '', '', 0, 'sites/all/modules/imagecache/imagecache_ui.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/build/imagecache/%/override', 'a:1:{i:3;s:25:"imagecache_ui_preset_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer imagecache";}', 'drupal_get_form', 'a:3:{i:0;s:25:"imagecache_ui_preset_form";i:1;i:3;i:2;b:1;}', 29, 5, '', 'admin/build/imagecache/%/override', '', 'imagecache_preset_title_callback', 'a:2:{i:0;s:28:"Override preset: !presetname";i:1;i:3;}', 4, '', '', '', 0, 'sites/all/modules/imagecache/imagecache_ui.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/build/imagecache/%/%', 'a:2:{i:3;s:25:"imagecache_ui_preset_load";i:4;s:22:"imagecache_action_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer imagecache";}', 'drupal_get_form', 'a:3:{i:0;s:25:"imagecache_ui_action_form";i:1;i:3;i:2;i:4;}', 28, 5, '', 'admin/build/imagecache/%/%', '', 'imagecache_preset_title_callback', 'a:3:{i:0;s:30:"!action for preset !presetname";i:1;i:3;i:2;i:4;}', 4, '', '', '', 0, 'sites/all/modules/imagecache/imagecache_ui.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising/display/basic', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:11:"advertising";i:2;s:5:"basic";}', 63, 6, 'admin/content/node-type/advertising/display', 'admin/content/node-type/advertising', 'Basic', 't', '', 136, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/blog/display/basic', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"blog";i:2;s:5:"basic";}', 63, 6, 'admin/content/node-type/blog/display', 'admin/content/node-type/blog', 'Basic', 't', '', 136, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header/display/basic', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:6:"header";i:2;s:5:"basic";}', 63, 6, 'admin/content/node-type/header/display', 'admin/content/node-type/header', 'Basic', 't', '', 136, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/page/display/basic', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"page";i:2;s:5:"basic";}', 63, 6, 'admin/content/node-type/page/display', 'admin/content/node-type/page', 'Basic', 't', '', 136, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio/display/basic', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:9:"portfolio";i:2;s:5:"basic";}', 63, 6, 'admin/content/node-type/portfolio/display', 'admin/content/node-type/portfolio', 'Basic', 't', '', 136, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/display/basic', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:6:"slider";i:2;s:5:"basic";}', 63, 6, 'admin/content/node-type/slider/display', 'admin/content/node-type/slider', 'Basic', 't', '', 136, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/story/display/basic', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:5:"story";i:2;s:5:"basic";}', 63, 6, 'admin/content/node-type/story/display', 'admin/content/node-type/story', 'Basic', 't', '', 136, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/testimonials/display/basic', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:12:"testimonials";i:2;s:5:"basic";}', 63, 6, 'admin/content/node-type/testimonials/display', 'admin/content/node-type/testimonials', 'Basic', 't', '', 136, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising/display/rss', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:11:"advertising";i:2;s:3:"rss";}', 63, 6, 'admin/content/node-type/advertising/display', 'admin/content/node-type/advertising', 'RSS', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/blog/display/rss', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"blog";i:2;s:3:"rss";}', 63, 6, 'admin/content/node-type/blog/display', 'admin/content/node-type/blog', 'RSS', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header/display/rss', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:6:"header";i:2;s:3:"rss";}', 63, 6, 'admin/content/node-type/header/display', 'admin/content/node-type/header', 'RSS', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/page/display/rss', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"page";i:2;s:3:"rss";}', 63, 6, 'admin/content/node-type/page/display', 'admin/content/node-type/page', 'RSS', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio/display/rss', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:9:"portfolio";i:2;s:3:"rss";}', 63, 6, 'admin/content/node-type/portfolio/display', 'admin/content/node-type/portfolio', 'RSS', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/display/rss', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:6:"slider";i:2;s:3:"rss";}', 63, 6, 'admin/content/node-type/slider/display', 'admin/content/node-type/slider', 'RSS', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/story/display/rss', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:5:"story";i:2;s:3:"rss";}', 63, 6, 'admin/content/node-type/story/display', 'admin/content/node-type/story', 'RSS', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/testimonials/display/rss', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:12:"testimonials";i:2;s:3:"rss";}', 63, 6, 'admin/content/node-type/testimonials/display', 'admin/content/node-type/testimonials', 'RSS', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising/display/search', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:11:"advertising";i:2;s:6:"search";}', 63, 6, 'admin/content/node-type/advertising/display', 'admin/content/node-type/advertising', 'Search', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/blog/display/search', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"blog";i:2;s:6:"search";}', 63, 6, 'admin/content/node-type/blog/display', 'admin/content/node-type/blog', 'Search', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header/display/search', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:6:"header";i:2;s:6:"search";}', 63, 6, 'admin/content/node-type/header/display', 'admin/content/node-type/header', 'Search', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/page/display/search', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"page";i:2;s:6:"search";}', 63, 6, 'admin/content/node-type/page/display', 'admin/content/node-type/page', 'Search', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio/display/search', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:9:"portfolio";i:2;s:6:"search";}', 63, 6, 'admin/content/node-type/portfolio/display', 'admin/content/node-type/portfolio', 'Search', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/display/search', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:6:"slider";i:2;s:6:"search";}', 63, 6, 'admin/content/node-type/slider/display', 'admin/content/node-type/slider', 'Search', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/story/display/search', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:5:"story";i:2;s:6:"search";}', 63, 6, 'admin/content/node-type/story/display', 'admin/content/node-type/story', 'Search', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/testimonials/display/search', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:12:"testimonials";i:2;s:6:"search";}', 63, 6, 'admin/content/node-type/testimonials/display', 'admin/content/node-type/testimonials', 'Search', 't', '', 128, '', '', '', 1, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header/fields/field_big', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:6:"header";i:2;s:9:"field_big";}', 63, 6, 'admin/content/node-type/header/fields', 'admin/content/node-type/header', 'Big', 't', '', 128, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/fields/field_big', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:6:"slider";i:2;s:9:"field_big";}', 63, 6, 'admin/content/node-type/slider/fields', 'admin/content/node-type/slider', 'Big', 't', '', 128, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/fields/field_block', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:6:"slider";i:2;s:11:"field_block";}', 63, 6, 'admin/content/node-type/slider/fields', 'admin/content/node-type/slider', 'Block', 't', '', 128, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/menu/item/%/delete', 'a:1:{i:4;s:14:"menu_link_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'menu_item_delete_page', 'a:1:{i:0;i:4;}', 61, 6, '', 'admin/build/menu/item/%/delete', 'Delete menu item', 't', '', 4, '', '', '', 0, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/menu/item/%/edit', 'a:1:{i:4;s:14:"menu_link_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:4:{i:0;s:14:"menu_edit_item";i:1;s:4:"edit";i:2;i:4;i:3;N;}', 61, 6, '', 'admin/build/menu/item/%/edit', 'Edit menu item', 't', '', 4, '', '', '', 0, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/taxonomy/edit/vocabulary/%', 'a:1:{i:5;s:24:"taxonomy_vocabulary_load";}', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'taxonomy_admin_vocabulary_edit', 'a:1:{i:0;i:5;}', 62, 6, '', 'admin/content/taxonomy/edit/vocabulary/%', 'Edit vocabulary', 't', '', 4, '', '', '', 0, 'modules/taxonomy/taxonomy.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio/fields/field_featured', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:9:"portfolio";i:2;s:14:"field_featured";}', 63, 6, 'admin/content/node-type/portfolio/fields', 'admin/content/node-type/portfolio', 'Featured', 't', '', 128, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising/fields/field_image', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:11:"advertising";i:2;s:11:"field_image";}', 63, 6, 'admin/content/node-type/advertising/fields', 'admin/content/node-type/advertising', 'Image', 't', '', 128, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header/fields/field_image', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:6:"header";i:2;s:11:"field_image";}', 63, 6, 'admin/content/node-type/header/fields', 'admin/content/node-type/header', 'Image', 't', '', 128, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio/fields/field_image', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:9:"portfolio";i:2;s:11:"field_image";}', 63, 6, 'admin/content/node-type/portfolio/fields', 'admin/content/node-type/portfolio', 'Image', 't', '', 128, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/fields/field_image', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:6:"slider";i:2;s:11:"field_image";}', 63, 6, 'admin/content/node-type/slider/fields', 'admin/content/node-type/slider', 'Image', 't', '', 128, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/menu/item/%/reset', 'a:1:{i:4;s:14:"menu_link_load";}', '', 'user_access', 'a:1:{i:0;s:15:"administer menu";}', 'drupal_get_form', 'a:2:{i:0;s:23:"menu_reset_item_confirm";i:1;i:4;}', 61, 6, '', 'admin/build/menu/item/%/reset', 'Reset menu item', 't', '', 4, '', '', '', 0, 'modules/menu/menu.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising/fields/field_url', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:11:"advertising";i:2;s:9:"field_url";}', 63, 6, 'admin/content/node-type/advertising/fields', 'admin/content/node-type/advertising', 'URL', 't', '', 128, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/%/%/%', 'a:3:{i:3;s:16:"views_ui_js_load";i:4;N;i:5;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_ajax_form', 'a:3:{i:0;i:3;i:1;i:4;i:2;i:5;}', 56, 6, '', 'admin/build/views/%/%/%', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/taxonomy/%/add/term', 'a:1:{i:3;s:24:"taxonomy_vocabulary_load";}', '', 'user_access', 'a:1:{i:0;s:19:"administer taxonomy";}', 'taxonomy_add_term_page', 'a:1:{i:0;i:3;}', 59, 6, 'admin/content/taxonomy/%', 'admin/content/taxonomy/%', 'Add term', 't', '', 128, '', '', '', 0, 'modules/taxonomy/taxonomy.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/%/add-display/%', 'a:2:{i:3;s:16:"views_ui_js_load";i:5;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_add_display', 'a:2:{i:0;i:3;i:1;i:5;}', 58, 6, '', 'admin/build/views/%/add-display/%', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/%/analyze/%', 'a:2:{i:3;s:16:"views_ui_js_load";i:5;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_analyze_view', 'a:2:{i:0;i:3;i:1;i:5;}', 58, 6, '', 'admin/build/views/%/analyze/%', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/%/details/%', 'a:2:{i:3;s:16:"views_ui_js_load";i:5;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_edit_details', 'a:2:{i:0;i:3;i:1;i:5;}', 58, 6, '', 'admin/build/views/%/details/%', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/views/%/preview/%', 'a:2:{i:3;s:16:"views_ui_js_load";i:5;s:19:"views_ui_cache_load";}', '', 'user_access', 'a:1:{i:0;s:16:"administer views";}', 'views_ui_preview', 'a:2:{i:0;i:3;i:1;i:5;}', 58, 6, '', 'admin/build/views/%/preview/%', '', 't', '', 4, '', '', '', 0, 'sites/all/modules/views/includes/admin.inc');
INSERT INTO `menu_router` VALUES ('admin/build/imagecache/%/add/%', 'a:2:{i:3;s:25:"imagecache_ui_preset_load";i:5;N;}', '', 'user_access', 'a:1:{i:0;s:21:"administer imagecache";}', 'imagecache_ui_action_add_page', 'a:2:{i:0;i:3;i:1;i:5;}', 58, 6, '', 'admin/build/imagecache/%/add/%', '', 'imagecache_preset_title_callback', 'a:3:{i:0;s:30:"Add !actionname to !presetname";i:1;i:3;i:2;i:5;}', 4, '', '', '', 0, 'sites/all/modules/imagecache/imagecache_ui.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/build/imagecache/%/%/delete', 'a:2:{i:3;s:25:"imagecache_ui_preset_load";i:4;s:22:"imagecache_action_load";}', '', 'user_access', 'a:1:{i:0;s:21:"administer imagecache";}', 'drupal_get_form', 'a:3:{i:0;s:32:"imagecache_ui_action_delete_form";i:1;i:3;i:2;i:4;}', 57, 6, '', 'admin/build/imagecache/%/%/delete', '', 'imagecache_preset_title_callback', 'a:3:{i:0;s:37:"Delete !action for preset !presetname";i:1;i:3;i:2;i:4;}', 4, '', '', '', 0, 'sites/all/modules/imagecache/imagecache_ui.pages.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising/fields/field_image/remove', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:11:"advertising";i:2;s:11:"field_image";}', 127, 7, '', 'admin/content/node-type/advertising/fields/field_image/remove', 'Remove field', 't', '', 4, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/advertising/fields/field_url/remove', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:11:"advertising";i:2;s:9:"field_url";}', 127, 7, '', 'admin/content/node-type/advertising/fields/field_url/remove', 'Remove field', 't', '', 4, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header/fields/field_big/remove', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:6:"header";i:2;s:9:"field_big";}', 127, 7, '', 'admin/content/node-type/header/fields/field_big/remove', 'Remove field', 't', '', 4, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/header/fields/field_image/remove', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:6:"header";i:2;s:11:"field_image";}', 127, 7, '', 'admin/content/node-type/header/fields/field_image/remove', 'Remove field', 't', '', 4, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio/fields/field_featured/remove', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:9:"portfolio";i:2;s:14:"field_featured";}', 127, 7, '', 'admin/content/node-type/portfolio/fields/field_featured/remove', 'Remove field', 't', '', 4, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/portfolio/fields/field_image/remove', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:9:"portfolio";i:2;s:11:"field_image";}', 127, 7, '', 'admin/content/node-type/portfolio/fields/field_image/remove', 'Remove field', 't', '', 4, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/fields/field_big/remove', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:6:"slider";i:2;s:9:"field_big";}', 127, 7, '', 'admin/content/node-type/slider/fields/field_big/remove', 'Remove field', 't', '', 4, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/fields/field_block/remove', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:6:"slider";i:2;s:11:"field_block";}', 127, 7, '', 'admin/content/node-type/slider/fields/field_block/remove', 'Remove field', 't', '', 4, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
INSERT INTO `menu_router` VALUES ('admin/content/node-type/slider/fields/field_image/remove', '', '', 'user_access', 'a:1:{i:0;s:24:"administer content types";}', 'drupal_get_form', 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:6:"slider";i:2;s:11:"field_image";}', 127, 7, '', 'admin/content/node-type/slider/fields/field_image/remove', 'Remove field', 't', '', 4, '', '', '', 0, 'sites/all/modules/cck/includes/content.admin.inc');
DROP TABLE IF EXISTS `node`;
CREATE TABLE `node` (
  `nid` int(10) unsigned NOT NULL auto_increment,
  `vid` int(10) unsigned NOT NULL default '0',
  `type` varchar(32) NOT NULL default '',
  `language` varchar(12) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `uid` int(11) NOT NULL default '0',
  `status` int(11) NOT NULL default '1',
  `created` int(11) NOT NULL default '0',
  `changed` int(11) NOT NULL default '0',
  `comment` int(11) NOT NULL default '0',
  `promote` int(11) NOT NULL default '0',
  `moderate` int(11) NOT NULL default '0',
  `sticky` int(11) NOT NULL default '0',
  `tnid` int(10) unsigned NOT NULL default '0',
  `translate` int(11) NOT NULL default '0',
  PRIMARY KEY  (`nid`),
  UNIQUE KEY `vid` (`vid`),
  KEY `node_changed` (`changed`),
  KEY `node_created` (`created`),
  KEY `node_moderate` (`moderate`),
  KEY `node_promote_status` (`promote`,`status`),
  KEY `node_status_type` (`status`,`type`,`nid`),
  KEY `node_title_type` (`title`,`type`(4)),
  KEY `node_type` (`type`(4)),
  KEY `uid` (`uid`),
  KEY `tnid` (`tnid`),
  KEY `translate` (`translate`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 AUTO_INCREMENT=19 ;
INSERT INTO `node` VALUES (1, 1, 'blog', '', 'How to Become a Freelance', 1, 1, 1259832882, 1259860446, 2, 1, 0, 0, 0, 0);
INSERT INTO `node` VALUES (2, 2, 'blog', '', 'Make an iPhone App Using', 1, 1, 1259833980, 1259860484, 2, 1, 0, 0, 0, 0);
INSERT INTO `node` VALUES (3, 3, 'blog', '', 'Ordered and Unordered Lists', 1, 1, 1259860536, 1259860536, 2, 1, 0, 0, 0, 0);
INSERT INTO `node` VALUES (4, 4, 'advertising', '', 'Advertising 1', 1, 1, 1259864410, 1259864410, 0, 0, 0, 0, 0, 0);
INSERT INTO `node` VALUES (5, 5, 'advertising', '', 'Advertising 2', 1, 1, 1259864455, 1259864455, 0, 0, 0, 0, 0, 0);
INSERT INTO `node` VALUES (6, 6, 'advertising', '', 'Advertising 3', 1, 1, 1259864487, 1259864487, 0, 0, 0, 0, 0, 0);
INSERT INTO `node` VALUES (7, 7, 'advertising', '', 'Advertising 4', 1, 1, 1259864519, 1259864519, 0, 0, 0, 0, 0, 0);
INSERT INTO `node` VALUES (8, 8, 'testimonials', '', 'BVD is the best agency I', 1, 1, 1260211702, 1260211702, 0, 0, 0, 0, 0, 0);
INSERT INTO `node` VALUES (9, 9, 'testimonials', '', 'BVD is the best best best agency I', 1, 1, 1260211857, 1260211857, 0, 0, 0, 0, 0, 0);
INSERT INTO `node` VALUES (10, 10, 'header', '', 'We make beautiful websites at affordable prices', 1, 1, 1260226390, 1260226390, 2, 1, 0, 0, 0, 0);
INSERT INTO `node` VALUES (11, 11, 'slider', '', 'We make the best websites!', 1, 1, 1260230379, 1260230379, 2, 1, 0, 0, 0, 0);
INSERT INTO `node` VALUES (12, 12, 'slider', '', 'Marketing solutions', 1, 1, 1260230986, 1260230986, 2, 1, 0, 0, 0, 0);
INSERT INTO `node` VALUES (13, 13, 'slider', '', 'If You don''t know how? We''re here to help.', 1, 1, 1260231043, 1260231043, 2, 1, 0, 0, 0, 0);
INSERT INTO `node` VALUES (14, 14, 'slider', '', '24/7 online support', 1, 1, 1260231094, 1260231094, 2, 1, 0, 0, 0, 0);
INSERT INTO `node` VALUES (15, 15, 'portfolio', '', 'PRO Design', 1, 1, 1260307546, 1260307546, 0, 1, 0, 0, 0, 0);
INSERT INTO `node` VALUES (16, 16, 'portfolio', '', 'Freelance designer', 1, 1, 1260307821, 1260307821, 0, 1, 0, 0, 0, 0);
INSERT INTO `node` VALUES (17, 17, 'portfolio', '', 'Awesomeness', 1, 1, 1260307939, 1260308029, 0, 1, 0, 0, 0, 0);
INSERT INTO `node` VALUES (18, 18, 'portfolio', '', 'Idea - business design', 1, 1, 1260308096, 1260310600, 1, 1, 0, 0, 0, 0);
DROP TABLE IF EXISTS `node_access`;
CREATE TABLE `node_access` (
  `nid` int(10) unsigned NOT NULL default '0',
  `gid` int(10) unsigned NOT NULL default '0',
  `realm` varchar(255) NOT NULL default '',
  `grant_view` tinyint(3) unsigned NOT NULL default '0',
  `grant_update` tinyint(3) unsigned NOT NULL default '0',
  `grant_delete` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`nid`,`gid`,`realm`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `node_access` VALUES (0, 0, 'all', 1, 0, 0);
DROP TABLE IF EXISTS `node_comment_statistics`;
CREATE TABLE `node_comment_statistics` (
  `nid` int(10) unsigned NOT NULL default '0',
  `last_comment_timestamp` int(11) NOT NULL default '0',
  `last_comment_name` varchar(60) default NULL,
  `last_comment_uid` int(11) NOT NULL default '0',
  `comment_count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`nid`),
  KEY `node_comment_timestamp` (`last_comment_timestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `node_comment_statistics` VALUES (1, 1259857516, '', 1, 1);
INSERT INTO `node_comment_statistics` VALUES (2, 1260343136, '', 1, 4);
INSERT INTO `node_comment_statistics` VALUES (3, 1259860536, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (4, 1259864410, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (5, 1259864455, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (6, 1259864487, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (7, 1259864519, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (8, 1260211702, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (9, 1260211857, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (10, 1260226390, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (11, 1260230379, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (12, 1260230986, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (13, 1260231043, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (14, 1260231094, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (15, 1260307546, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (16, 1260307821, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (17, 1260307939, NULL, 1, 0);
INSERT INTO `node_comment_statistics` VALUES (18, 1260308096, NULL, 1, 0);
DROP TABLE IF EXISTS `node_counter`;
CREATE TABLE `node_counter` (
  `nid` int(11) NOT NULL default '0',
  `totalcount` bigint(20) unsigned NOT NULL default '0',
  `daycount` mediumint(8) unsigned NOT NULL default '0',
  `timestamp` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `node_revisions`;
CREATE TABLE `node_revisions` (
  `nid` int(10) unsigned NOT NULL default '0',
  `vid` int(10) unsigned NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `body` longtext NOT NULL,
  `teaser` longtext NOT NULL,
  `log` longtext NOT NULL,
  `timestamp` int(11) NOT NULL default '0',
  `format` int(11) NOT NULL default '0',
  PRIMARY KEY  (`vid`),
  KEY `nid` (`nid`),
  KEY `uid` (`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 AUTO_INCREMENT=19 ;
INSERT INTO `node_revisions` VALUES (1, 1, 1, 'How to Become a Freelance', 'Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre. Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.\r\nEpsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.\r\nEpsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre. Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre. Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.', 'Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre. Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.\r', '', 1259860446, 1);
INSERT INTO `node_revisions` VALUES (3, 3, 1, 'Ordered and Unordered Lists', 'Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre. Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre. Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.\r\nEpsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.', 'Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre. Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre. Epsum factorial non deposit quid pro quo hic escorol.', '', 1259860536, 1);
INSERT INTO `node_revisions` VALUES (2, 2, 1, 'Make an iPhone App Using', 'Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.\r\nEpsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre. Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.', 'Epsum factorial non deposit quid pro quo hic escorol. Olypian quarrels et gorilla congolium sic ad nauseum. Souvlaki ignitus carborundum e pluribus unum. Defacto lingo est igpay atinlay. Marquee selectus non provisio incongruous feline nolo contendre.\r', '', 1259860484, 1);
INSERT INTO `node_revisions` VALUES (4, 4, 1, 'Advertising 1', '', '', '', 1259864410, 1);
INSERT INTO `node_revisions` VALUES (5, 5, 1, 'Advertising 2', '', '', '', 1259864455, 1);
INSERT INTO `node_revisions` VALUES (6, 6, 1, 'Advertising 3', '', '', '', 1259864487, 1);
INSERT INTO `node_revisions` VALUES (7, 7, 1, 'Advertising 4', '', '', '', 1259864519, 1);
INSERT INTO `node_revisions` VALUES (8, 8, 1, 'BVD is the best agency I', 'These guys are simply awesome. I sent them my brief, they answered within few hours and one week later they deliverd me the best design ever!', 'These guys are simply awesome. I sent them my brief, they answered within few hours and one week later they deliverd me the best design ever!', '', 1260211702, 1);
INSERT INTO `node_revisions` VALUES (9, 9, 1, 'BVD is the best best best agency I', 'These guys are simply awesome. I sent them my brief, they answered within few hours and one week later they deliverd me the best design ever! These guys are simply awesome. I sent them my brief, they answered within few hours and one week later they deliverd me the best design ever!', 'These guys are simply awesome. I sent them my brief, they answered within few hours and one week later they deliverd me the best design ever! These guys are simply awesome. I sent them my brief, they answered within few hours and one week later they deliverd me the best design ever!', '', 1260211857, 1);
INSERT INTO `node_revisions` VALUES (10, 10, 1, 'We make beautiful websites at affordable prices', '<strong>Gratuitous octopus niacin, sodium glutimate.</strong><br /> Quote meon an estimate et non interruptus stadium.', '<strong>Gratuitous octopus niacin, sodium glutimate.</strong><br /> Quote meon an estimate et non interruptus stadium.', '', 1260226390, 1);
INSERT INTO `node_revisions` VALUES (11, 11, 1, 'We make the best websites!', '<ul class="listing">\r\n<li>Adobe Photoshop</li>\r\n<li>Adobe Illustrator</li>\r\n<li>Adobe Flash</li>\r\n<li>Adobe Fireworks</li>\r\n</ul>\r\n<ul class="listing"><!-- right list-->\r\n<li>Adobe Dreamweaver</li>\r\n<li>Adobe Swift 3D</li>\r\n<li>Adobe Photography</li>\r\n</ul>\r\n<p class="description">Gratuitous octopus niacin, sodium glutimate. Quote meon an estimate et non interruptus stadium. </p>', '<ul class="listing">\r\n<li>Adobe Photoshop</li>\r\n<li>Adobe Illustrator</li>\r\n<li>Adobe Flash</li>\r\n<li>Adobe Fireworks</li>\r\n</ul>\r\n<ul class="listing"><!-- right list-->\r\n<li>Adobe Dreamweaver</li>\r\n<li>Adobe Swift 3D</li>\r\n<li>Adobe Photography</li>\r\n</ul>\r\n<p class="description">Gratuitous octopus niacin, sodium glutimate. Quote meon an estimate et non interruptus stadium. </p>', '', 1260230379, 1);
INSERT INTO `node_revisions` VALUES (12, 12, 1, 'Marketing solutions', '<ul class="listing">\r\n<li>Adobe Photoshop</li>\r\n<li>Adobe Illustrator</li>\r\n<li>Adobe Flash</li>\r\n<li>Adobe Fireworks</li>\r\n</ul>\r\n<ul class="listing"><!-- right list-->\r\n<li>Adobe Dreamweaver</li>\r\n<li>Adobe Swift 3D</li>\r\n<li>Adobe Photography</li>\r\n</ul>\r\n<p class="description">Gratuitous octopus niacin, sodium glutimate. Quote meon an estimate et non interruptus stadium. </p>', '<ul class="listing">\r\n<li>Adobe Photoshop</li>\r\n<li>Adobe Illustrator</li>\r\n<li>Adobe Flash</li>\r\n<li>Adobe Fireworks</li>\r\n</ul>\r\n<ul class="listing"><!-- right list-->\r\n<li>Adobe Dreamweaver</li>\r\n<li>Adobe Swift 3D</li>\r\n<li>Adobe Photography</li>\r\n</ul>\r\n<p class="description">Gratuitous octopus niacin, sodium glutimate. Quote meon an estimate et non interruptus stadium. </p>', '', 1260230986, 1);
INSERT INTO `node_revisions` VALUES (13, 13, 1, 'If You don''t know how? We''re here to help.', '<ul class="listing">\r\n<li>Adobe Photoshop</li>\r\n<li>Adobe Illustrator</li>\r\n<li>Adobe Flash</li>\r\n<li>Adobe Fireworks</li>\r\n</ul>\r\n<ul class="listing"><!-- right list-->\r\n<li>Adobe Dreamweaver</li>\r\n<li>Adobe Swift 3D</li>\r\n<li>Adobe Photography</li>\r\n</ul>\r\n<p class="description">Gratuitous octopus niacin, sodium glutimate. Quote meon an estimate et non interruptus stadium. </p>', '<ul class="listing">\r\n<li>Adobe Photoshop</li>\r\n<li>Adobe Illustrator</li>\r\n<li>Adobe Flash</li>\r\n<li>Adobe Fireworks</li>\r\n</ul>\r\n<ul class="listing"><!-- right list-->\r\n<li>Adobe Dreamweaver</li>\r\n<li>Adobe Swift 3D</li>\r\n<li>Adobe Photography</li>\r\n</ul>\r\n<p class="description">Gratuitous octopus niacin, sodium glutimate. Quote meon an estimate et non interruptus stadium. </p>', '', 1260231043, 1);
INSERT INTO `node_revisions` VALUES (14, 14, 1, '24/7 online support', '<ul class="listing">\r\n<li>Adobe Photoshop</li>\r\n<li>Adobe Illustrator</li>\r\n<li>Adobe Flash</li>\r\n<li>Adobe Fireworks</li>\r\n</ul>\r\n<ul class="listing"><!-- right list-->\r\n<li>Adobe Dreamweaver</li>\r\n<li>Adobe Swift 3D</li>\r\n<li>Adobe Photography</li>\r\n</ul>\r\n<p class="description">Gratuitous octopus niacin, sodium glutimate. Quote meon an estimate et non interruptus stadium. </p>', '<ul class="listing">\r\n<li>Adobe Photoshop</li>\r\n<li>Adobe Illustrator</li>\r\n<li>Adobe Flash</li>\r\n<li>Adobe Fireworks</li>\r\n</ul>\r\n<ul class="listing"><!-- right list-->\r\n<li>Adobe Dreamweaver</li>\r\n<li>Adobe Swift 3D</li>\r\n<li>Adobe Photography</li>\r\n</ul>\r\n<p class="description">Gratuitous octopus niacin, sodium glutimate. Quote meon an estimate et non interruptus stadium. </p>', '', 1260231094, 1);
INSERT INTO `node_revisions` VALUES (15, 15, 1, 'PRO Design', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. ', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. ', '', 1260307546, 1);
INSERT INTO `node_revisions` VALUES (16, 16, 1, 'Freelance designer', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. ', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. ', '', 1260307821, 1);
INSERT INTO `node_revisions` VALUES (17, 17, 1, 'Awesomeness', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. ', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. Mauris eget dolor.\r\nPhasellus elementum accumsan risus. ', '', 1260308029, 1);
INSERT INTO `node_revisions` VALUES (18, 18, 1, 'Idea - business design', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris eget dolor. Phasellus elementum accumsan risus\r\n\r\nProin commodo, magna at mattis posuere, orci\r\njusto molestie nunc,\r\nvel vestibulum orci leo ut libero.\r\nDonec aliquam venenatis tortor.\r\nEtiam ac enim. ', 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Mauris eget dolor. Phasellus elementum accumsan risus\r\n\r\nProin commodo, magna at mattis posuere, orci\r\njusto molestie nunc,\r\nvel vestibulum orci leo ut libero.\r\nDonec aliquam venenatis tortor.\r\nEtiam ac enim. ', '', 1260310600, 2);
DROP TABLE IF EXISTS `node_type`;
CREATE TABLE `node_type` (
  `type` varchar(32) NOT NULL,
  `name` varchar(255) NOT NULL default '',
  `module` varchar(255) NOT NULL,
  `description` mediumtext NOT NULL,
  `help` mediumtext NOT NULL,
  `has_title` tinyint(3) unsigned NOT NULL,
  `title_label` varchar(255) NOT NULL default '',
  `has_body` tinyint(3) unsigned NOT NULL,
  `body_label` varchar(255) NOT NULL default '',
  `min_word_count` smallint(5) unsigned NOT NULL,
  `custom` tinyint(4) NOT NULL default '0',
  `modified` tinyint(4) NOT NULL default '0',
  `locked` tinyint(4) NOT NULL default '0',
  `orig_type` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `node_type` VALUES ('page', 'Page', 'node', 'A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an "About us" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site''s initial home page.', '', 1, 'Title', 1, 'Body', 0, 1, 1, 0, 'page');
INSERT INTO `node_type` VALUES ('story', 'Story', 'node', 'A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site''s initial home page, and provides the ability to post comments.', '', 1, 'Title', 1, 'Body', 0, 1, 1, 0, 'story');
INSERT INTO `node_type` VALUES ('blog', 'Blog entry', 'blog', 'A <em>blog entry</em> is a single post to an online journal, or <em>blog</em>.', '', 1, 'Title', 1, 'Body', 0, 0, 1, 1, 'blog');
INSERT INTO `node_type` VALUES ('advertising', 'Advertising', 'node', '', '', 1, 'Title', 1, 'Description', 0, 1, 1, 0, '');
INSERT INTO `node_type` VALUES ('testimonials', 'Testimonials', 'node', '', '', 1, 'Title', 1, 'Body', 0, 1, 1, 0, '');
INSERT INTO `node_type` VALUES ('header', 'Header', 'node', '', '', 1, 'Title', 1, 'Body', 0, 1, 1, 0, '');
INSERT INTO `node_type` VALUES ('slider', 'Slider', 'node', '', '', 1, 'Title', 1, 'Body', 0, 1, 1, 0, '');
INSERT INTO `node_type` VALUES ('portfolio', 'Portfolio', 'node', '', '', 1, 'Title', 1, 'Body', 0, 1, 1, 0, '');
DROP TABLE IF EXISTS `permission`;
CREATE TABLE `permission` (
  `pid` int(11) NOT NULL auto_increment,
  `rid` int(10) unsigned NOT NULL default '0',
  `perm` longtext,
  `tid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`pid`),
  KEY `rid` (`rid`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;
INSERT INTO `permission` VALUES (3, 1, 'access comments, post comments, access content, search content', 0);
INSERT INTO `permission` VALUES (4, 2, 'access comments, post comments, post comments without approval, access content, search content', 0);
DROP TABLE IF EXISTS `role`;
CREATE TABLE `role` (
  `rid` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`rid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;
INSERT INTO `role` VALUES (1, 'anonymous user');
INSERT INTO `role` VALUES (2, 'authenticated user');
DROP TABLE IF EXISTS `search_dataset`;
CREATE TABLE `search_dataset` (
  `sid` int(10) unsigned NOT NULL default '0',
  `type` varchar(16) default NULL,
  `data` longtext NOT NULL,
  `reindex` int(10) unsigned NOT NULL default '0',
  UNIQUE KEY `sid_type` (`sid`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `search_index`;
CREATE TABLE `search_index` (
  `word` varchar(50) NOT NULL default '',
  `sid` int(10) unsigned NOT NULL default '0',
  `type` varchar(16) default NULL,
  `score` float default NULL,
  UNIQUE KEY `word_sid_type` (`word`,`sid`,`type`),
  KEY `sid_type` (`sid`,`type`),
  KEY `word` (`word`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `search_node_links`;
CREATE TABLE `search_node_links` (
  `sid` int(10) unsigned NOT NULL default '0',
  `type` varchar(16) NOT NULL default '',
  `nid` int(10) unsigned NOT NULL default '0',
  `caption` longtext,
  PRIMARY KEY  (`sid`,`type`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `search_total`;
CREATE TABLE `search_total` (
  `word` varchar(50) NOT NULL default '',
  `count` float default NULL,
  PRIMARY KEY  (`word`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `semaphore`;
CREATE TABLE `semaphore` (
  `name` varchar(255) NOT NULL default '',
  `value` varchar(255) NOT NULL default '',
  `expire` double NOT NULL,
  PRIMARY KEY  (`name`),
  KEY `expire` (`expire`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `sessions`;
CREATE TABLE `sessions` (
  `uid` int(10) unsigned NOT NULL,
  `sid` varchar(64) NOT NULL default '',
  `hostname` varchar(128) NOT NULL default '',
  `timestamp` int(11) NOT NULL default '0',
  `cache` int(11) NOT NULL default '0',
  `session` longtext,
  PRIMARY KEY  (`sid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `system`;
CREATE TABLE `system` (
  `filename` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  `owner` varchar(255) NOT NULL default '',
  `status` int(11) NOT NULL default '0',
  `throttle` tinyint(4) NOT NULL default '0',
  `bootstrap` int(11) NOT NULL default '0',
  `schema_version` smallint(6) NOT NULL default '-1',
  `weight` int(11) NOT NULL default '0',
  `info` text,
  PRIMARY KEY  (`filename`),
  KEY `modules` (`type`(12),`status`,`weight`,`filename`),
  KEY `bootstrap` (`type`(12),`status`,`bootstrap`,`weight`,`filename`),
  KEY `type_name` (`type`(12),`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `system` VALUES ('themes/pushbutton/pushbutton.info', 'pushbutton', 'theme', 'themes/engines/phptemplate/phptemplate.engine', 0, 0, 0, -1, 0, 'a:13:{s:4:"name";s:10:"Pushbutton";s:11:"description";s:52:"Tabled, multi-column theme in blue and orange tones.";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/pushbutton/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/pushbutton/script.js";}s:10:"screenshot";s:32:"themes/pushbutton/screenshot.png";s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('themes/garland/minnelli/minnelli.info', 'minnelli', 'theme', 'themes/engines/phptemplate/phptemplate.engine', 0, 0, 0, -1, 0, 'a:14:{s:4:"name";s:8:"Minnelli";s:11:"description";s:56:"Tableless, recolorable, multi-column, fixed width theme.";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:10:"base theme";s:7:"garland";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:12:"minnelli.css";s:36:"themes/garland/minnelli/minnelli.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/garland/minnelli/script.js";}s:10:"screenshot";s:38:"themes/garland/minnelli/screenshot.png";s:3:"php";s:5:"4.3.5";s:6:"engine";s:11:"phptemplate";}');
INSERT INTO `system` VALUES ('themes/garland/garland.info', 'garland', 'theme', 'themes/engines/phptemplate/phptemplate.engine', 0, 0, 0, -1, 0, 'a:13:{s:4:"name";s:7:"Garland";s:11:"description";s:66:"Tableless, recolorable, multi-column, fluid width theme (default).";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:24:"themes/garland/script.js";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('themes/chameleon/marvin/marvin.info', 'marvin', 'theme', '', 0, 0, 0, -1, 0, 'a:13:{s:4:"name";s:6:"Marvin";s:11:"description";s:31:"Boxy tabled theme in all grays.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:10:"base theme";s:9:"chameleon";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:33:"themes/chameleon/marvin/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/chameleon/marvin/script.js";}s:10:"screenshot";s:38:"themes/chameleon/marvin/screenshot.png";s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('themes/chameleon/chameleon.info', 'chameleon', 'theme', 'themes/chameleon/chameleon.theme', 0, 0, 0, -1, 0, 'a:12:{s:4:"name";s:9:"Chameleon";s:11:"description";s:42:"Minimalist tabled theme with light colors.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:8:"features";a:4:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";}s:11:"stylesheets";a:1:{s:3:"all";a:2:{s:9:"style.css";s:26:"themes/chameleon/style.css";s:10:"common.css";s:27:"themes/chameleon/common.css";}}s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:7:"scripts";a:1:{s:9:"script.js";s:26:"themes/chameleon/script.js";}s:10:"screenshot";s:31:"themes/chameleon/screenshot.png";s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('themes/bluemarine/bluemarine.info', 'bluemarine', 'theme', 'themes/engines/phptemplate/phptemplate.engine', 0, 0, 0, -1, 0, 'a:13:{s:4:"name";s:10:"Bluemarine";s:11:"description";s:66:"Table-based multi-column theme with a marine and ash color scheme.";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/bluemarine/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/bluemarine/script.js";}s:10:"screenshot";s:32:"themes/bluemarine/screenshot.png";s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/system/system.module', 'system', 'module', '', 1, 0, 0, 6055, 0, 'a:10:{s:4:"name";s:6:"System";s:11:"description";s:54:"Handles general site configuration for administrators.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/aggregator/aggregator.module', 'aggregator', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:10:"Aggregator";s:11:"description";s:57:"Aggregates syndicated content (RSS, RDF, and Atom feeds).";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/block/block.module', 'block', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:5:"Block";s:11:"description";s:62:"Controls the boxes that are displayed around the main content.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/blog/blog.module', 'blog', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:4:"Blog";s:11:"description";s:69:"Enables keeping easily and regularly updated user web pages or blogs.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/blogapi/blogapi.module', 'blogapi', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:8:"Blog API";s:11:"description";s:79:"Allows users to post content using applications that support XML-RPC blog APIs.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/book/book.module', 'book', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:4:"Book";s:11:"description";s:63:"Allows users to structure site pages in a hierarchy or outline.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/color/color.module', 'color', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:5:"Color";s:11:"description";s:61:"Allows the user to change the color scheme of certain themes.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/comment/comment.module', 'comment', 'module', '', 1, 0, 0, 6003, 0, 'a:10:{s:4:"name";s:7:"Comment";s:11:"description";s:57:"Allows users to comment on and discuss published content.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/contact/contact.module', 'contact', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:7:"Contact";s:11:"description";s:61:"Enables the use of both personal and site-wide contact forms.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/dblog/dblog.module', 'dblog', 'module', '', 1, 0, 0, 6000, 0, 'a:10:{s:4:"name";s:16:"Database logging";s:11:"description";s:47:"Logs and records system events to the database.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/filter/filter.module', 'filter', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:6:"Filter";s:11:"description";s:60:"Handles the filtering of content in preparation for display.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/forum/forum.module', 'forum', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:5:"Forum";s:11:"description";s:50:"Enables threaded discussions about general topics.";s:12:"dependencies";a:2:{i:0;s:8:"taxonomy";i:1;s:7:"comment";}s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/help/help.module', 'help', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:4:"Help";s:11:"description";s:35:"Manages the display of online help.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/locale/locale.module', 'locale', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:6:"Locale";s:11:"description";s:119:"Adds language handling functionality and enables the translation of the user interface to languages other than English.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/menu/menu.module', 'menu', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:4:"Menu";s:11:"description";s:60:"Allows administrators to customize the site navigation menu.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/node/node.module', 'node', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:4:"Node";s:11:"description";s:66:"Allows content to be submitted to the site and displayed on pages.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/openid/openid.module', 'openid', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:6:"OpenID";s:11:"description";s:48:"Allows users to log into your site using OpenID.";s:7:"version";s:4:"6.17";s:7:"package";s:15:"Core - optional";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/path/path.module', 'path', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:4:"Path";s:11:"description";s:28:"Allows users to rename URLs.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/php/php.module', 'php', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:10:"PHP filter";s:11:"description";s:50:"Allows embedded PHP code/snippets to be evaluated.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/ping/ping.module', 'ping', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:4:"Ping";s:11:"description";s:51:"Alerts other sites when your site has been updated.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/poll/poll.module', 'poll', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:4:"Poll";s:11:"description";s:95:"Allows your site to capture votes on different topics in the form of multiple choice questions.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/profile/profile.module', 'profile', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:7:"Profile";s:11:"description";s:36:"Supports configurable user profiles.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/search/search.module', 'search', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:6:"Search";s:11:"description";s:36:"Enables site-wide keyword searching.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/statistics/statistics.module', 'statistics', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:10:"Statistics";s:11:"description";s:37:"Logs access statistics for your site.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/syslog/syslog.module', 'syslog', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:6:"Syslog";s:11:"description";s:41:"Logs and records system events to syslog.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/taxonomy/taxonomy.module', 'taxonomy', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:8:"Taxonomy";s:11:"description";s:38:"Enables the categorization of content.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/throttle/throttle.module', 'throttle', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:8:"Throttle";s:11:"description";s:66:"Handles the auto-throttling mechanism, to control site congestion.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/tracker/tracker.module', 'tracker', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:7:"Tracker";s:11:"description";s:43:"Enables tracking of recent posts for users.";s:12:"dependencies";a:1:{i:0;s:7:"comment";}s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/translation/translation.module', 'translation', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:19:"Content translation";s:11:"description";s:57:"Allows content to be translated into different languages.";s:12:"dependencies";a:1:{i:0;s:6:"locale";}s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/trigger/trigger.module', 'trigger', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:7:"Trigger";s:11:"description";s:90:"Enables actions to be fired on certain system events, such as when new content is created.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/update/update.module', 'update', 'module', '', 1, 0, 0, 6000, 0, 'a:10:{s:4:"name";s:13:"Update status";s:11:"description";s:88:"Checks the status of available updates for Drupal and your installed modules and themes.";s:7:"version";s:4:"6.17";s:7:"package";s:15:"Core - optional";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/upload/upload.module', 'upload', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:6:"Upload";s:11:"description";s:51:"Allows users to upload and attach files to content.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('modules/user/user.module', 'user', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:4:"User";s:11:"description";s:47:"Manages the user registration and login system.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.17";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1275505216";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/themes/businessportfolio/businessportfolio.info', 'businessportfolio', 'theme', 'themes/engines/phptemplate/phptemplate.engine', 1, 0, 0, -1, 0, 'a:12:{s:4:"name";s:18:"Business Portfolio";s:11:"description";s:19:"Multi-column theme.";s:7:"version";s:4:"6.14";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"regions";a:13:{s:9:"left_menu";s:9:"Left Menu";s:4:"left";s:4:"Left";s:7:"content";s:7:"Content";s:12:"testimonials";s:12:"Testimonials";s:8:"footer_1";s:15:"Footer 1 Column";s:8:"footer_2";s:15:"Footer 2 Column";s:8:"footer_3";s:15:"Footer 3 Column";s:8:"footer_4";s:15:"Footer 4 Column";s:11:"home_header";s:11:"Home Header";s:13:"home_slider_1";s:13:"Home Slider 1";s:13:"home_slider_2";s:13:"Home Slider 2";s:13:"home_slider_3";s:13:"Home Slider 3";s:13:"home_slider_4";s:13:"Home Slider 4";}s:9:"datestamp";s:10:"1253130027";s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:44:"sites/all/themes/businessportfolio/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:44:"sites/all/themes/businessportfolio/script.js";}s:10:"screenshot";s:49:"sites/all/themes/businessportfolio/screenshot.png";s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/admin_menu/admin_menu.module', 'admin_menu', 'module', '', 1, 0, 0, 6001, 0, 'a:10:{s:4:"name";s:19:"Administration menu";s:11:"description";s:123:"Provides a dropdown menu to most administrative tasks and other common destinations (to users with the proper permissions).";s:7:"package";s:14:"Administration";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.5";s:7:"project";s:10:"admin_menu";s:9:"datestamp";s:10:"1246537502";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/views/views.module', 'views', 'module', '', 1, 0, 0, 6009, 10, 'a:10:{s:4:"name";s:5:"Views";s:11:"description";s:55:"Create customized lists and queries from your database.";s:7:"package";s:5:"Views";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-2.11";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1276743614";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/views/views_export/views_export.module', 'views_export', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:14:"Views exporter";s:11:"description";s:40:"Allows exporting multiple views at once.";s:7:"package";s:5:"Views";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-2.11";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1276743614";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/views/views_ui.module', 'views_ui', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:8:"Views UI";s:11:"description";s:93:"Administrative interface to views. Without this module, you cannot create or edit your views.";s:7:"package";s:5:"Views";s:4:"core";s:3:"6.x";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:7:"version";s:8:"6.x-2.11";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1276743614";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/cck/content.module', 'content', 'module', '', 1, 0, 0, 6010, 0, 'a:10:{s:4:"name";s:7:"Content";s:11:"description";s:50:"Allows administrators to define new content types.";s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.7";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1276685405";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/cck/modules/content_copy/content_copy.module', 'content_copy', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:12:"Content Copy";s:11:"description";s:51:"Enables ability to import/export field definitions.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.7";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1276685405";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/cck/modules/content_permissions/content_permissions.module', 'content_permissions', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:19:"Content Permissions";s:11:"description";s:43:"Set field-level permissions for CCK fields.";s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"version";s:7:"6.x-2.7";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1276685405";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/cck/modules/fieldgroup/fieldgroup.module', 'fieldgroup', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:10:"Fieldgroup";s:11:"description";s:37:"Create display groups for CCK fields.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.7";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1276685405";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/cck/modules/nodereference/nodereference.module', 'nodereference', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:14:"Node Reference";s:11:"description";s:59:"Defines a field type for referencing one node from another.";s:12:"dependencies";a:3:{i:0;s:7:"content";i:1;s:4:"text";i:2;s:13:"optionwidgets";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.7";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1276685405";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/cck/modules/number/number.module', 'number', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:6:"Number";s:11:"description";s:28:"Defines numeric field types.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.7";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1276685405";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/cck/modules/optionwidgets/optionwidgets.module', 'optionwidgets', 'module', '', 1, 0, 0, 6001, 0, 'a:10:{s:4:"name";s:14:"Option Widgets";s:11:"description";s:82:"Defines selection, check box and radio button widgets for text and numeric fields.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.7";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1276685405";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/cck/modules/text/text.module', 'text', 'module', '', 1, 0, 0, 6003, 0, 'a:10:{s:4:"name";s:4:"Text";s:11:"description";s:32:"Defines simple text field types.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.7";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1276685405";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/cck/modules/userreference/userreference.module', 'userreference', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:14:"User Reference";s:11:"description";s:56:"Defines a field type for referencing a user from a node.";s:12:"dependencies";a:3:{i:0;s:7:"content";i:1;s:4:"text";i:2;s:13:"optionwidgets";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.7";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1276685405";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/filefield/filefield.module', 'filefield', 'module', '', 1, 0, 0, 6104, 0, 'a:10:{s:4:"name";s:9:"FileField";s:11:"description";s:26:"Defines a file field type.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:7:"6.x-3.7";s:7:"project";s:9:"filefield";s:9:"datestamp";s:10:"1277943012";s:10:"dependents";a:0:{}}');
INSERT INTO `system` VALUES ('sites/all/modules/filefield/filefield_meta/filefield_meta.module', 'filefield_meta', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:14:"FileField Meta";s:11:"description";s:48:"Add metadata gathering and storage to FileField.";s:12:"dependencies";a:2:{i:0;s:9:"filefield";i:1;s:6:"getid3";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:7:"6.x-3.7";s:7:"project";s:9:"filefield";s:9:"datestamp";s:10:"1277943012";s:10:"dependents";a:0:{}}');
INSERT INTO `system` VALUES ('sites/all/modules/imagecache/imagecache.module', 'imagecache', 'module', '', 1, 0, 0, 6001, 0, 'a:10:{s:4:"name";s:10:"ImageCache";s:11:"description";s:36:"Dynamic image manipulator and cache.";s:7:"package";s:10:"ImageCache";s:12:"dependencies";a:1:{i:0;s:8:"imageapi";}s:4:"core";s:3:"6.x";s:7:"version";s:14:"6.x-2.0-beta10";s:7:"project";s:10:"imagecache";s:9:"datestamp";s:10:"1250716281";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/imagecache/imagecache_ui.module', 'imagecache_ui', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:13:"ImageCache UI";s:11:"description";s:26:"ImageCache User Interface.";s:12:"dependencies";a:2:{i:0;s:10:"imagecache";i:1;s:8:"imageapi";}s:7:"package";s:10:"ImageCache";s:4:"core";s:3:"6.x";s:7:"version";s:14:"6.x-2.0-beta10";s:7:"project";s:10:"imagecache";s:9:"datestamp";s:10:"1250716281";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/imagefield/imagefield.module', 'imagefield', 'module', '', 1, 0, 0, 6006, 0, 'a:10:{s:4:"name";s:10:"ImageField";s:11:"description";s:28:"Defines an image field type.";s:4:"core";s:3:"6.x";s:12:"dependencies";a:2:{i:0;s:7:"content";i:1;s:9:"filefield";}s:7:"package";s:3:"CCK";s:7:"version";s:7:"6.x-3.7";s:7:"project";s:10:"imagefield";s:9:"datestamp";s:10:"1277942710";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/imageapi/imageapi.module', 'imageapi', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:8:"ImageAPI";s:11:"description";s:38:"ImageAPI supporting multiple toolkits.";s:7:"package";s:10:"ImageCache";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.1";s:7:"version";s:7:"6.x-1.8";s:7:"project";s:8:"imageapi";s:9:"datestamp";s:10:"1272675611";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}}');
INSERT INTO `system` VALUES ('sites/all/modules/imageapi/imageapi_gd.module', 'imageapi_gd', 'module', '', 1, 0, 0, 0, 0, 'a:10:{s:4:"name";s:12:"ImageAPI GD2";s:11:"description";s:49:"Uses PHP''s built-in GD2 image processing support.";s:7:"package";s:10:"ImageCache";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.8";s:7:"project";s:8:"imageapi";s:9:"datestamp";s:10:"1272675611";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/imageapi/imageapi_imagemagick.module', 'imageapi_imagemagick', 'module', '', 0, 0, 0, -1, 0, 'a:10:{s:4:"name";s:20:"ImageAPI ImageMagick";s:11:"description";s:33:"Command Line ImageMagick support.";s:7:"package";s:10:"ImageCache";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.8";s:7:"project";s:8:"imageapi";s:9:"datestamp";s:10:"1272675611";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/twitter/twitter.module', 'twitter', 'module', '', 1, 0, 0, 6007, 3, 'a:9:{s:4:"name";s:7:"Twitter";s:11:"description";s:56:"Adds integration with the Twitter microblogging service.";s:3:"php";s:3:"5.1";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.6";s:7:"project";s:7:"twitter";s:9:"datestamp";s:10:"1246548743";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}}');
INSERT INTO `system` VALUES ('sites/all/modules/twitter/twitter_actions/twitter_actions.module', 'twitter_actions', 'module', '', 1, 0, 0, 0, 0, 'a:9:{s:4:"name";s:15:"Twitter actions";s:11:"description";s:48:"Exposes Drupal actions to send Twitter messages.";s:12:"dependencies";a:1:{i:0;s:7:"twitter";}s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.6";s:7:"project";s:7:"twitter";s:9:"datestamp";s:10:"1246548743";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/wp_comments/wp_comments.module', 'wp_comments', 'module', '', 1, 0, 0, 0, 0, 'a:9:{s:4:"name";s:18:"WordPress Comments";s:11:"description";s:93:"Streamlines the appearance of the standard Drupal comment form to appear more like WordPress.";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.0";s:7:"project";s:11:"wp_comments";s:9:"datestamp";s:10:"1210057815";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
INSERT INTO `system` VALUES ('sites/all/modules/tweetbacks/tweetbacks.module', 'tweetbacks', 'module', '', 0, 0, 0, 0, 0, 'a:9:{s:4:"name";s:10:"Tweetbacks";s:11:"description";s:41:"Show Twitter posts referencing your site.";s:4:"core";s:3:"6.x";s:7:"version";s:11:"6.x-1.x-dev";s:7:"project";s:10:"tweetbacks";s:9:"datestamp";s:10:"1232065076";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}');
DROP TABLE IF EXISTS `term_data`;
CREATE TABLE `term_data` (
  `tid` int(10) unsigned NOT NULL auto_increment,
  `vid` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `description` longtext,
  `weight` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`tid`),
  KEY `taxonomy_tree` (`vid`,`weight`,`name`),
  KEY `vid_name` (`vid`,`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `term_hierarchy`;
CREATE TABLE `term_hierarchy` (
  `tid` int(10) unsigned NOT NULL default '0',
  `parent` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`tid`,`parent`),
  KEY `parent` (`parent`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `term_node`;
CREATE TABLE `term_node` (
  `nid` int(10) unsigned NOT NULL default '0',
  `vid` int(10) unsigned NOT NULL default '0',
  `tid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`tid`,`vid`),
  KEY `vid` (`vid`),
  KEY `nid` (`nid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `term_relation`;
CREATE TABLE `term_relation` (
  `trid` int(11) NOT NULL auto_increment,
  `tid1` int(10) unsigned NOT NULL default '0',
  `tid2` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`trid`),
  UNIQUE KEY `tid1_tid2` (`tid1`,`tid2`),
  KEY `tid2` (`tid2`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `term_synonym`;
CREATE TABLE `term_synonym` (
  `tsid` int(11) NOT NULL auto_increment,
  `tid` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`tsid`),
  KEY `tid` (`tid`),
  KEY `name_tid` (`name`,`tid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `twitter`;
CREATE TABLE `twitter` (
  `twitter_id` decimal(20,0) unsigned NOT NULL default '0',
  `screen_name` varchar(255) NOT NULL default '',
  `created_at` varchar(64) NOT NULL default '',
  `created_time` int(11) NOT NULL,
  `text` varchar(255) default NULL,
  `source` varchar(255) default NULL,
  `in_reply_to_status_id` decimal(20,0) unsigned default NULL,
  `in_reply_to_user_id` decimal(20,0) unsigned default NULL,
  `in_reply_to_screen_name` varchar(255) default NULL,
  `truncated` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`twitter_id`),
  KEY `screen_name` (`screen_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `twitter` VALUES (6532116967, 'BrianGilley', 'Thu Dec 10 14:11:01 +0000 2009', 1260454261, 'A severe pulled muscle in my back is making me feel 80 instead of 35. Anyone have any recommendations? (besides using a walker) :-/', 'web', NULL, NULL, NULL, 0);
INSERT INTO `twitter` VALUES (6532027253, 'BrianGilley', 'Thu Dec 10 14:07:28 +0000 2009', 1260454048, '@andybeal I''d have to read over the agreement in more detail, but wouldn''t this be false advertisement? Can''t stand #AT&T', 'web', 6531890093, 1912641, 'andybeal', 0);
INSERT INTO `twitter` VALUES (6502467219, 'BrianGilley', 'Wed Dec 09 17:23:47 +0000 2009', 1260379427, 'High margin niche industries rock! New biz., no competition, lead closing % at 70%, price per lead $1,500 to $3,000.', 'web', NULL, NULL, NULL, 0);
INSERT INTO `twitter` VALUES (6477403978, 'BrianGilley', 'Tue Dec 08 22:44:19 +0000 2009', 1260312259, 'Played Call of Duty: Modern Warfare 2 yesterday for the first time. Def. one of the best shooter games of all time.', 'web', NULL, NULL, NULL, 0);
INSERT INTO `twitter` VALUES (6477265325, 'BrianGilley', 'Tue Dec 08 22:38:07 +0000 2009', 1260311887, '@andy_denton Guess there will be no riding motorcycles on Sat either. Sigh...', 'web', 6476864232, 14604449, 'andy_denton', 0);
INSERT INTO `twitter` VALUES (6465358022, 'BrianGilley', 'Tue Dec 08 14:57:02 +0000 2009', 1260284222, '@rdempsey They go together. The goal is traffic, rankings, repeat followers (visitors)... all the same as SEO at the end of the day.', 'web', 6465272414, 4291171, 'rdempsey', 0);
INSERT INTO `twitter` VALUES (6465147779, 'BrianGilley', 'Tue Dec 08 14:48:36 +0000 2009', 1260283716, 'I love these kinds of clients leads where the entire request is only "I would like a quote" A quote for what? Potato chips? Jelly?', 'web', NULL, NULL, NULL, 0);
INSERT INTO `twitter` VALUES (6435199639, 'BrianGilley', 'Mon Dec 07 16:39:10 +0000 2009', 1260203950, 'RT @drupal Drupal Front Page: Fully packaged Drupal distributions now deployed on drupal.org http://ow.ly/165Bfb', 'web', NULL, NULL, NULL, 0);
INSERT INTO `twitter` VALUES (6417188969, 'BrianGilley', 'Mon Dec 07 01:47:58 +0000 2009', 1260150478, 'Watching Kung Fu Hustle & getting ready to watch Jet Li''s Fearless', '<a href="http://echofon.com/" rel="nofollow">Echofon</a>', NULL, NULL, NULL, 0);
INSERT INTO `twitter` VALUES (6390897129, 'BrianGilley', 'Sun Dec 06 04:36:12 +0000 2009', 1260074172, '@danawhite Tv timing is way off tonight on ufc live, or commercials, etc', '<a href="http://echofon.com/" rel="nofollow">Echofon</a>', NULL, 21586418, 'danawhite', 0);
INSERT INTO `twitter` VALUES (6390577706, 'BrianGilley', 'Sun Dec 06 04:23:39 +0000 2009', 1260073419, '@danawhite I agree. Herb is tha man', '<a href="http://echofon.com/" rel="nofollow">Echofon</a>', 6388111946, 21586418, 'danawhite', 0);
INSERT INTO `twitter` VALUES (6351539305, 'BrianGilley', 'Fri Dec 04 22:36:00 +0000 2009', 1259966160, '@ArnieK that article pisses me off!! Just kidding :)', 'web', 6351075232, 14218906, 'ArnieK', 0);
INSERT INTO `twitter` VALUES (6350549216, 'BrianGilley', 'Fri Dec 04 21:57:53 +0000 2009', 1259963873, '@pepperjamceo I''m jealous', 'web', 6350474485, 9082652, 'pepperjamceo', 0);
INSERT INTO `twitter` VALUES (6340929711, 'BrianGilley', 'Fri Dec 04 16:08:10 +0000 2009', 1259942890, 'Would anyone have or know of any WalMart marketing contacts - preferably senior level? I''d put you on my X-mas list for a referral. :)', 'web', NULL, NULL, NULL, 0);
INSERT INTO `twitter` VALUES (6339200578, 'BrianGilley', 'Fri Dec 04 15:07:59 +0000 2009', 1259939279, '@jefftippett Tell me about it. I immediately thought of Gin Santa when he showed it to me. But a Scotch Santa *would* be so much better.', 'web', 6338704213, 9802572, 'jefftippett', 0);
INSERT INTO `twitter` VALUES (6339008425, 'BrianGilley', 'Fri Dec 04 15:01:19 +0000 2009', 1259938879, '@danlondon lol. Thanks! That''s way better than being on a /big_jerks list any day', 'web', 6338782678, 14126162, 'danlondon', 0);
INSERT INTO `twitter` VALUES (6338733959, 'BrianGilley', 'Fri Dec 04 14:51:24 +0000 2009', 1259938284, '#Follow Friday a few people why don''t cha? @ArnieK @GarrettFrench @andybeal @jakebohall @savagemic @danlondon #FF', 'web', NULL, NULL, NULL, 0);
INSERT INTO `twitter` VALUES (6338641729, 'BrianGilley', 'Fri Dec 04 14:48:04 +0000 2009', 1259938084, 'My 5yr old son had "Beer Santa" instead of Dear Santa on his Santa list. Guess it''ll be a Corona instead of a cookie left for Santa this yr.', 'web', NULL, NULL, NULL, 0);
INSERT INTO `twitter` VALUES (6533850184, 'BrianGilley', 'Thu Dec 10 15:15:29 +0000 2009', 1260458129, '@glasner Wow! 5th one. That''s amazing. I got the PS3 from Best Buy a couple of months ago and also bought the extended 2yr. plan', 'web', 6373495196, 1089691, 'glasner', 0);
INSERT INTO `twitter` VALUES (6533810021, 'BrianGilley', 'Thu Dec 10 15:14:05 +0000 2009', 1260458045, '@glasner Hmm, I''ve never heard of that gel. I''ll give anything a try at this point. I''ll get some today! Thanks a lot for the suggestion', 'web', 6533523591, 1089691, 'glasner', 0);
INSERT INTO `twitter` VALUES (6533779279, 'BrianGilley', 'Thu Dec 10 15:12:59 +0000 2009', 1260457979, '@chappellisms Thanks! I have an Aeron chair, which works well. I do needs some suitable meds though. This pain is ridiculous.', 'web', 6532280699, 95654992, 'chappellisms', 0);
DROP TABLE IF EXISTS `twitter_account`;
CREATE TABLE `twitter_account` (
  `twitter_uid` decimal(20,0) unsigned NOT NULL default '0',
  `screen_name` varchar(255) default NULL,
  `name` varchar(64) NOT NULL default '',
  `description` varchar(255) default NULL,
  `location` varchar(255) default NULL,
  `followers_count` int(11) NOT NULL default '0',
  `profile_image_url` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  `protected` int(10) unsigned NOT NULL default '0',
  `last_refresh` int(11) NOT NULL default '0',
  PRIMARY KEY  (`twitter_uid`),
  KEY `screen_name` (`screen_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `twitter_account` VALUES (12771172, 'BrianGilley', 'BrianGilley', 'Head Geek @ SocialSEO.com. We do Drupal development, link building and viral/linkbait marketing.', 'Raleigh, NC', 432, 'http://a1.twimg.com/profile_images/539558146/twitter-img_normal.jpg', 'http://www.socialseo.com', 0, 1260472745);
DROP TABLE IF EXISTS `twitter_user`;
CREATE TABLE `twitter_user` (
  `uid` int(11) NOT NULL,
  `screen_name` varchar(255) NOT NULL default '',
  `password` varchar(64) default NULL,
  `import` int(10) unsigned NOT NULL default '1',
  PRIMARY KEY  (`uid`,`screen_name`),
  KEY `screen_name` (`screen_name`),
  KEY `uid` (`uid`),
  KEY `import` (`import`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `twitter_user` VALUES (0, 'BrianGilley', NULL, 1);
DROP TABLE IF EXISTS `url_alias`;
CREATE TABLE `url_alias` (
  `pid` int(10) unsigned NOT NULL auto_increment,
  `src` varchar(128) NOT NULL default '',
  `dst` varchar(128) NOT NULL default '',
  `language` varchar(12) NOT NULL default '',
  PRIMARY KEY  (`pid`),
  UNIQUE KEY `dst_language_pid` (`dst`,`language`,`pid`),
  KEY `src_language_pid` (`src`,`language`,`pid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `uid` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(60) NOT NULL default '',
  `pass` varchar(32) NOT NULL default '',
  `mail` varchar(64) default '',
  `mode` tinyint(4) NOT NULL default '0',
  `sort` tinyint(4) default '0',
  `threshold` tinyint(4) default '0',
  `theme` varchar(255) NOT NULL default '',
  `signature` varchar(255) NOT NULL default '',
  `signature_format` smallint(6) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `access` int(11) NOT NULL default '0',
  `login` int(11) NOT NULL default '0',
  `status` tinyint(4) NOT NULL default '0',
  `timezone` varchar(8) default NULL,
  `language` varchar(12) NOT NULL default '',
  `picture` varchar(255) NOT NULL default '',
  `init` varchar(64) default '',
  `data` longtext,
  PRIMARY KEY  (`uid`),
  UNIQUE KEY `name` (`name`),
  KEY `access` (`access`),
  KEY `created` (`created`),
  KEY `mail` (`mail`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;
INSERT INTO `users` VALUES (6, '', '', '', 0, 0, 0, '', '', 0, 0, 0, 0, 0, NULL, '', '', '', NULL);
INSERT INTO `users` VALUES (1, 'admin', 'c4ca4238a0b923820dcc509a6f75849b', 'me@localhost.com', 0, 0, 0, '', '', 0, 1259827618, 1279443559, 1279442902, 1, '7200', '', '', 'me@localhost.com', 'a:3:{s:14:"picture_delete";s:0:"";s:14:"picture_upload";s:0:"";s:13:"form_build_id";s:37:"form-50a2a028c26ff46cd095eb1bbfab254d";}');
DROP TABLE IF EXISTS `users_roles`;
CREATE TABLE `users_roles` (
  `uid` int(10) unsigned NOT NULL default '0',
  `rid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`uid`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `variable`;
CREATE TABLE `variable` (
  `name` varchar(128) NOT NULL default '',
  `value` longtext NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `variable` VALUES ('theme_default', 's:17:"businessportfolio";');
INSERT INTO `variable` VALUES ('filter_html_1', 'i:1;');
INSERT INTO `variable` VALUES ('node_options_forum', 'a:1:{i:0;s:6:"status";}');
INSERT INTO `variable` VALUES ('drupal_private_key', 's:64:"db5e00c0e2c7334e24e94221b482e0497ceb81a42ff9c7d1ca817c059cdb471b";');
INSERT INTO `variable` VALUES ('menu_masks', 'a:23:{i:0;i:127;i:1;i:63;i:2;i:62;i:3;i:61;i:4;i:59;i:5;i:58;i:6;i:57;i:7;i:56;i:8;i:31;i:9;i:30;i:10;i:29;i:11;i:28;i:12;i:24;i:13;i:21;i:14;i:15;i:15;i:14;i:16;i:11;i:17;i:7;i:18;i:6;i:19;i:5;i:20;i:3;i:21;i:2;i:22;i:1;}');
INSERT INTO `variable` VALUES ('install_task', 's:4:"done";');
INSERT INTO `variable` VALUES ('menu_expanded', 'a:0:{}');
INSERT INTO `variable` VALUES ('site_name', 's:24:"Business Portfolio Theme";');
INSERT INTO `variable` VALUES ('site_mail', 's:16:"me@localhost.com";');
INSERT INTO `variable` VALUES ('date_default_timezone', 's:4:"7200";');
INSERT INTO `variable` VALUES ('user_email_verification', 'i:1;');
INSERT INTO `variable` VALUES ('clean_url', 's:1:"1";');
INSERT INTO `variable` VALUES ('install_time', 'i:1259827914;');
INSERT INTO `variable` VALUES ('node_options_page', 'a:1:{i:0;s:6:"status";}');
INSERT INTO `variable` VALUES ('comment_page', 'i:0;');
INSERT INTO `variable` VALUES ('theme_settings', 'a:24:{s:11:"toggle_logo";i:1;s:11:"toggle_name";i:1;s:13:"toggle_slogan";i:0;s:14:"toggle_mission";i:1;s:24:"toggle_node_user_picture";i:0;s:27:"toggle_comment_user_picture";i:1;s:13:"toggle_search";i:1;s:14:"toggle_favicon";i:1;s:20:"toggle_primary_links";i:1;s:22:"toggle_secondary_links";i:1;s:28:"toggle_node_info_advertising";i:1;s:21:"toggle_node_info_blog";i:1;s:23:"toggle_node_info_header";i:1;s:21:"toggle_node_info_page";i:0;s:26:"toggle_node_info_portfolio";i:1;s:23:"toggle_node_info_slider";i:1;s:22:"toggle_node_info_story";i:1;s:29:"toggle_node_info_testimonials";i:1;s:12:"default_logo";i:1;s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";i:1;s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";}');
INSERT INTO `variable` VALUES ('drupal_http_request_fails', 'b:0;');
INSERT INTO `variable` VALUES ('css_js_query_string', 's:20:"rOG00000000000000000";');
INSERT INTO `variable` VALUES ('install_profile', 's:17:"BusinessPortfolio";');
INSERT INTO `variable` VALUES ('file_directory_temp', 's:4:"/tmp";');
INSERT INTO `variable` VALUES ('javascript_parsed', 'a:0:{}');
INSERT INTO `variable` VALUES ('admin_menu_margin_top', 'i:1;');
INSERT INTO `variable` VALUES ('admin_menu_position_fixed', 'i:1;');
INSERT INTO `variable` VALUES ('admin_menu_tweak_modules', 'i:0;');
INSERT INTO `variable` VALUES ('admin_menu_tweak_tabs', 'i:0;');
INSERT INTO `variable` VALUES ('wipe', 's:16:"Wipe and rebuild";');
INSERT INTO `variable` VALUES ('site_slogan', 's:0:"";');
INSERT INTO `variable` VALUES ('site_mission', 's:0:"";');
INSERT INTO `variable` VALUES ('site_footer', 's:118:"<a class="footer_logo" href="#">Business Portfolio</a><p>Copyright 2009. All rights reserved. Valid (X)HTML / CSS.</p>";');
INSERT INTO `variable` VALUES ('anonymous', 's:9:"Anonymous";');
INSERT INTO `variable` VALUES ('site_frontpage', 's:4:"node";');
INSERT INTO `variable` VALUES ('views_block_hashes', 'a:0:{}');
INSERT INTO `variable` VALUES ('admin_theme', 's:7:"garland";');
INSERT INTO `variable` VALUES ('node_admin_theme', 'i:0;');
INSERT INTO `variable` VALUES ('node_options_advertising', 'a:1:{i:0;s:6:"status";}');
INSERT INTO `variable` VALUES ('form_build_id_advertising', 's:37:"form-da6d82bcb1504cdd73188c71a322aad5";');
INSERT INTO `variable` VALUES ('comment_advertising', 's:1:"0";');
INSERT INTO `variable` VALUES ('comment_default_mode_advertising', 's:1:"4";');
INSERT INTO `variable` VALUES ('comment_default_order_advertising', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_default_per_page_advertising', 's:2:"50";');
INSERT INTO `variable` VALUES ('comment_controls_advertising', 's:1:"3";');
INSERT INTO `variable` VALUES ('comment_anonymous_advertising', 'i:0;');
INSERT INTO `variable` VALUES ('comment_subject_field_advertising', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_preview_advertising', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_form_location_advertising', 's:1:"0";');
INSERT INTO `variable` VALUES ('content_schema_version', 'i:6009;');
INSERT INTO `variable` VALUES ('content_extra_weights_advertising', 'a:5:{s:5:"title";s:2:"-5";s:10:"body_field";s:2:"-2";s:20:"revision_information";s:2:"-1";s:16:"comment_settings";s:1:"1";s:4:"menu";s:1:"0";}');
INSERT INTO `variable` VALUES ('file_directory_path', 's:19:"sites/default/files";');
INSERT INTO `variable` VALUES ('file_downloads', 's:1:"1";');
INSERT INTO `variable` VALUES ('twitter_global_name', 's:11:"BrianGilley";');
INSERT INTO `variable` VALUES ('twitter_global_password', 's:7:"alpha90";');
INSERT INTO `variable` VALUES ('twitter_import', 'i:1;');
INSERT INTO `variable` VALUES ('twitter_expire', 's:7:"7257600";');
INSERT INTO `variable` VALUES ('twitter_types', 'a:8:{s:4:"blog";s:4:"blog";s:5:"story";s:5:"story";s:11:"advertising";i:0;s:6:"header";i:0;s:4:"page";i:0;s:9:"portfolio";i:0;s:6:"slider";i:0;s:12:"testimonials";i:0;}');
INSERT INTO `variable` VALUES ('twitter_default_format', 's:25:"New post: !title !tinyurl";');
INSERT INTO `variable` VALUES ('twitter_api_url', 's:11:"twitter.com";');
INSERT INTO `variable` VALUES ('twitter_set_source', 'i:1;');
INSERT INTO `variable` VALUES ('cron_last', 'i:1260472745;');
INSERT INTO `variable` VALUES ('node_options_testimonials', 'a:1:{i:0;s:6:"status";}');
INSERT INTO `variable` VALUES ('form_build_id_testimonials', 's:37:"form-06149cad4e5fcb553094020b0293db8e";');
INSERT INTO `variable` VALUES ('comment_testimonials', 's:1:"0";');
INSERT INTO `variable` VALUES ('comment_default_mode_testimonials', 's:1:"4";');
INSERT INTO `variable` VALUES ('comment_default_order_testimonials', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_default_per_page_testimonials', 's:2:"50";');
INSERT INTO `variable` VALUES ('comment_controls_testimonials', 's:1:"3";');
INSERT INTO `variable` VALUES ('comment_anonymous_testimonials', 'i:0;');
INSERT INTO `variable` VALUES ('comment_subject_field_testimonials', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_preview_testimonials', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_form_location_testimonials', 's:1:"0";');
INSERT INTO `variable` VALUES ('node_options_header', 'a:2:{i:0;s:6:"status";i:1;s:7:"promote";}');
INSERT INTO `variable` VALUES ('form_build_id_header', 's:37:"form-e6176ee8593b7be3d8bacfee3dbfecd8";');
INSERT INTO `variable` VALUES ('comment_header', 's:1:"2";');
INSERT INTO `variable` VALUES ('comment_default_mode_header', 's:1:"4";');
INSERT INTO `variable` VALUES ('comment_default_order_header', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_default_per_page_header', 's:2:"50";');
INSERT INTO `variable` VALUES ('comment_controls_header', 's:1:"3";');
INSERT INTO `variable` VALUES ('comment_anonymous_header', 'i:0;');
INSERT INTO `variable` VALUES ('comment_subject_field_header', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_preview_header', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_form_location_header', 's:1:"0";');
INSERT INTO `variable` VALUES ('content_extra_weights_header', 'a:5:{s:5:"title";s:2:"-5";s:10:"body_field";s:2:"-2";s:20:"revision_information";s:1:"0";s:16:"comment_settings";s:1:"1";s:4:"menu";s:2:"-4";}');
INSERT INTO `variable` VALUES ('node_options_slider', 'a:2:{i:0;s:6:"status";i:1;s:7:"promote";}');
INSERT INTO `variable` VALUES ('form_build_id_slider', 's:37:"form-281a7a035443aeaa83f11083522c7629";');
INSERT INTO `variable` VALUES ('comment_slider', 's:1:"2";');
INSERT INTO `variable` VALUES ('comment_default_mode_slider', 's:1:"4";');
INSERT INTO `variable` VALUES ('comment_default_order_slider', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_default_per_page_slider', 's:2:"50";');
INSERT INTO `variable` VALUES ('comment_controls_slider', 's:1:"3";');
INSERT INTO `variable` VALUES ('comment_anonymous_slider', 'i:0;');
INSERT INTO `variable` VALUES ('comment_subject_field_slider', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_preview_slider', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_form_location_slider', 's:1:"0";');
INSERT INTO `variable` VALUES ('content_extra_weights_slider', 'a:5:{s:5:"title";s:2:"-5";s:10:"body_field";s:2:"-2";s:20:"revision_information";s:1:"1";s:16:"comment_settings";s:1:"2";s:4:"menu";s:2:"-4";}');
INSERT INTO `variable` VALUES ('node_options_portfolio', 'a:2:{i:0;s:6:"status";i:1;s:7:"promote";}');
INSERT INTO `variable` VALUES ('form_build_id_portfolio', 's:37:"form-a563dc5b4e65df49f4f408e1657146d4";');
INSERT INTO `variable` VALUES ('comment_portfolio', 's:1:"0";');
INSERT INTO `variable` VALUES ('comment_default_mode_portfolio', 's:1:"4";');
INSERT INTO `variable` VALUES ('comment_default_order_portfolio', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_default_per_page_portfolio', 's:2:"50";');
INSERT INTO `variable` VALUES ('comment_controls_portfolio', 's:1:"3";');
INSERT INTO `variable` VALUES ('comment_anonymous_portfolio', 'i:0;');
INSERT INTO `variable` VALUES ('comment_subject_field_portfolio', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_preview_portfolio', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_form_location_portfolio', 's:1:"0";');
INSERT INTO `variable` VALUES ('content_extra_weights_portfolio', 'a:5:{s:5:"title";s:2:"-5";s:10:"body_field";s:2:"-1";s:20:"revision_information";s:1:"0";s:16:"comment_settings";s:1:"1";s:4:"menu";s:2:"-4";}');
INSERT INTO `variable` VALUES ('user_register', 's:1:"1";');
INSERT INTO `variable` VALUES ('user_registration_help', 's:0:"";');
INSERT INTO `variable` VALUES ('user_mail_register_admin_created_subject', 's:52:"An administrator created an account for you at !site";');
INSERT INTO `variable` VALUES ('user_mail_register_admin_created_body', 's:468:"!username,\r\n\r\nA site administrator at !site has created an account for you. You may now log in to !login_uri using the following username and password:\r\n\r\nusername: !username\r\npassword: !password\r\n\r\nYou may also log in by clicking on this link or copying and pasting it in your browser:\r\n\r\n!login_url\r\n\r\nThis is a one-time login, so it can be used only once.\r\n\r\nAfter logging in, you will be redirected to !edit_uri so you can change your password.\r\n\r\n\r\n--  !site team";');
INSERT INTO `variable` VALUES ('user_mail_register_no_approval_required_subject', 's:38:"Account details for !username at !site";');
INSERT INTO `variable` VALUES ('user_mail_register_no_approval_required_body', 's:442:"!username,\r\n\r\nThank you for registering at !site. You may now log in to !login_uri using the following username and password:\r\n\r\nusername: !username\r\npassword: !password\r\n\r\nYou may also log in by clicking on this link or copying and pasting it in your browser:\r\n\r\n!login_url\r\n\r\nThis is a one-time login, so it can be used only once.\r\n\r\nAfter logging in, you will be redirected to !edit_uri so you can change your password.\r\n\r\n\r\n--  !site team";');
INSERT INTO `variable` VALUES ('user_mail_register_pending_approval_subject', 's:63:"Account details for !username at !site (pending admin approval)";');
INSERT INTO `variable` VALUES ('user_mail_register_pending_approval_body', 's:273:"!username,\r\n\r\nThank you for registering at !site. Your application for an account is currently pending approval. Once it has been approved, you will receive another e-mail containing information about how to log in, set your password, and other details.\r\n\r\n\r\n--  !site team";');
INSERT INTO `variable` VALUES ('user_mail_password_reset_subject', 's:52:"Replacement login information for !username at !site";');
INSERT INTO `variable` VALUES ('user_mail_password_reset_body', 's:419:"!username,\r\n\r\nA request to reset the password for your account has been made at !site.\r\n\r\nYou may now log in to !uri_brief by clicking on this link or copying and pasting it in your browser:\r\n\r\n!login_url\r\n\r\nThis is a one-time login, so it can be used only once. It expires after one day and nothing will happen if it''s not used.\r\n\r\nAfter logging in, you will be redirected to !edit_uri so you can change your password.";');
INSERT INTO `variable` VALUES ('user_mail_status_activated_notify', 'i:1;');
INSERT INTO `variable` VALUES ('user_mail_status_activated_subject', 's:49:"Account details for !username at !site (approved)";');
INSERT INTO `variable` VALUES ('user_mail_status_activated_body', 's:434:"!username,\r\n\r\nYour account at !site has been activated.\r\n\r\nYou may now log in by clicking on this link or copying and pasting it in your browser:\r\n\r\n!login_url\r\n\r\nThis is a one-time login, so it can be used only once.\r\n\r\nAfter logging in, you will be redirected to !edit_uri so you can change your password.\r\n\r\nOnce you have set your own password, you will be able to log in to !login_uri in the future using:\r\n\r\nusername: !username\r\n";');
INSERT INTO `variable` VALUES ('user_mail_status_blocked_notify', 'i:0;');
INSERT INTO `variable` VALUES ('user_mail_status_blocked_subject', 's:48:"Account details for !username at !site (blocked)";');
INSERT INTO `variable` VALUES ('user_mail_status_blocked_body', 's:53:"!username,\r\n\r\nYour account on !site has been blocked.";');
INSERT INTO `variable` VALUES ('user_mail_status_deleted_notify', 'i:0;');
INSERT INTO `variable` VALUES ('user_mail_status_deleted_subject', 's:48:"Account details for !username at !site (deleted)";');
INSERT INTO `variable` VALUES ('user_mail_status_deleted_body', 's:53:"!username,\r\n\r\nYour account on !site has been deleted.";');
INSERT INTO `variable` VALUES ('user_signatures', 's:1:"0";');
INSERT INTO `variable` VALUES ('user_pictures', 's:1:"1";');
INSERT INTO `variable` VALUES ('user_picture_path', 's:8:"pictures";');
INSERT INTO `variable` VALUES ('user_picture_default', 's:31:"sites/default/files/defuser.png";');
INSERT INTO `variable` VALUES ('user_picture_dimensions', 's:5:"48x48";');
INSERT INTO `variable` VALUES ('user_picture_file_size', 's:2:"30";');
INSERT INTO `variable` VALUES ('user_picture_guidelines', 's:0:"";');
INSERT INTO `variable` VALUES ('theme_businessportfolio_settings', 'a:16:{s:11:"toggle_logo";i:1;s:11:"toggle_name";i:1;s:13:"toggle_slogan";i:0;s:14:"toggle_mission";i:1;s:24:"toggle_node_user_picture";i:0;s:27:"toggle_comment_user_picture";i:1;s:13:"toggle_search";i:1;s:14:"toggle_favicon";i:1;s:20:"toggle_primary_links";i:1;s:22:"toggle_secondary_links";i:1;s:12:"default_logo";i:1;s:9:"logo_path";s:0:"";s:11:"logo_upload";s:0:"";s:15:"default_favicon";i:1;s:12:"favicon_path";s:0:"";s:14:"favicon_upload";s:0:"";}');
INSERT INTO `variable` VALUES ('node_options_blog', 'a:2:{i:0;s:6:"status";i:1;s:7:"promote";}');
INSERT INTO `variable` VALUES ('form_build_id_blog', 's:37:"form-4b53eabfe26fa8fa6e305be83f0a8a09";');
INSERT INTO `variable` VALUES ('comment_blog', 's:1:"2";');
INSERT INTO `variable` VALUES ('comment_default_mode_blog', 's:1:"4";');
INSERT INTO `variable` VALUES ('comment_default_order_blog', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_default_per_page_blog', 's:2:"50";');
INSERT INTO `variable` VALUES ('comment_controls_blog', 's:1:"3";');
INSERT INTO `variable` VALUES ('comment_anonymous_blog', 'i:0;');
INSERT INTO `variable` VALUES ('comment_subject_field_blog', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_preview_blog', 's:1:"1";');
INSERT INTO `variable` VALUES ('comment_form_location_blog', 's:1:"1";');
INSERT INTO `variable` VALUES ('node_cron_comments_scale', 'd:0.25;');
INSERT INTO `variable` VALUES ('node_cron_views_scale', 'd:1;');
INSERT INTO `variable` VALUES ('node_cron_last', 's:10:"1260310600";');
INSERT INTO `variable` VALUES ('tweetbacks_count_only', 'i:0;');
INSERT INTO `variable` VALUES ('tweetbacks_max', 's:1:"1";');
INSERT INTO `variable` VALUES ('tweetbacks_show_avatar', 'i:0;');
INSERT INTO `variable` VALUES ('tweetbacks_styling', 'i:1;');
INSERT INTO `variable` VALUES ('tweetbacks_title', 'i:1;');
INSERT INTO `variable` VALUES ('tweetbacks_blocked', 's:0:"";');
INSERT INTO `variable` VALUES ('tweetbacks_stats', 'i:0;');
INSERT INTO `variable` VALUES ('update_last_check', 'i:1279443435;');
DROP TABLE IF EXISTS `views_display`;
CREATE TABLE `views_display` (
  `vid` int(10) unsigned NOT NULL default '0',
  `id` varchar(64) NOT NULL default '',
  `display_title` varchar(64) NOT NULL default '',
  `display_plugin` varchar(64) NOT NULL default '',
  `position` int(11) default '0',
  `display_options` longtext,
  PRIMARY KEY  (`vid`,`id`),
  KEY `vid` (`vid`,`position`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `views_display` VALUES (1, 'default', ' latestblogentries', 'default', 1, 'a:6:{s:6:"fields";a:3:{s:7:"created";a:9:{s:5:"label";s:9:"Post date";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:11:"date_format";s:6:"custom";s:18:"custom_date_format";s:3:"d:m";s:7:"exclude";i:0;s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";}s:5:"title";a:8:{s:5:"label";s:5:"Title";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:1;s:7:"exclude";i:0;s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";}s:6:"teaser";a:8:{s:5:"label";s:6:"Teaser";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:1;s:10:"max_length";s:3:"100";s:13:"word_boundary";i:1;s:8:"ellipsis";i:0;s:10:"strip_tags";i:1;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:6:"teaser";s:5:"table";s:14:"node_revisions";s:5:"field";s:6:"teaser";s:8:"override";a:1:{s:6:"button";s:8:"Override";}s:12:"relationship";s:4:"none";}}s:7:"filters";a:2:{s:4:"type";a:9:{s:8:"operator";s:2:"in";s:5:"value";a:1:{s:4:"blog";s:4:"blog";}s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";}s:6:"status";a:9:{s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";}}s:5:"title";s:19:"Latest Blog Entries";s:5:"sorts";a:1:{s:7:"created";a:7:{s:5:"order";s:4:"DESC";s:11:"granularity";s:6:"second";s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:8:"override";a:1:{s:6:"button";s:8:"Override";}s:12:"relationship";s:4:"none";}}s:14:"items_per_page";i:3;s:6:"offset";i:0;}');
INSERT INTO `views_display` VALUES (1, 'block_1', 'Block', 'block', 2, 'a:0:{}');
INSERT INTO `views_display` VALUES (2, 'default', 'recent comments', 'default', 1, 'a:5:{s:5:"title";s:15:"Recent Comments";s:14:"items_per_page";i:3;s:6:"offset";i:0;s:6:"fields";a:3:{s:4:"name";a:8:{s:5:"label";s:6:"Author";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_user";i:0;s:7:"exclude";i:0;s:2:"id";s:4:"name";s:5:"table";s:8:"comments";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";}s:7:"comment";a:7:{s:5:"label";s:4:"Body";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:1;s:10:"max_length";s:3:"100";s:13:"word_boundary";i:1;s:8:"ellipsis";i:0;s:10:"strip_tags";i:1;s:4:"html";i:0;}s:7:"exclude";i:1;s:2:"id";s:7:"comment";s:5:"table";s:8:"comments";s:5:"field";s:7:"comment";s:12:"relationship";s:4:"none";}s:7:"subject";a:9:{s:5:"label";s:5:"Title";s:5:"alter";a:15:{s:10:"alter_text";i:1;s:4:"text";s:9:"[comment]";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:15:"link_to_comment";i:1;s:7:"exclude";i:0;s:2:"id";s:7:"subject";s:5:"table";s:8:"comments";s:5:"field";s:7:"subject";s:12:"relationship";s:4:"none";s:8:"override";a:1:{s:6:"button";s:8:"Override";}}}s:5:"sorts";a:1:{s:9:"timestamp";a:6:{s:5:"order";s:4:"DESC";s:11:"granularity";s:6:"second";s:2:"id";s:9:"timestamp";s:5:"table";s:8:"comments";s:5:"field";s:9:"timestamp";s:12:"relationship";s:4:"none";}}}');
INSERT INTO `views_display` VALUES (2, 'block_1', 'Block', 'block', 2, 'a:0:{}');
INSERT INTO `views_display` VALUES (3, 'block_1', 'Block', 'block', 2, 'a:0:{}');
INSERT INTO `views_display` VALUES (4, 'default', 'testimonials', 'default', 1, 'a:7:{s:5:"title";s:12:"Testimonials";s:6:"fields";a:2:{s:5:"title";a:8:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:7:"exclude";i:0;s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";}s:4:"body";a:7:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:4:"body";s:5:"table";s:14:"node_revisions";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";}}s:7:"filters";a:1:{s:4:"type";a:9:{s:8:"operator";s:2:"in";s:5:"value";a:1:{s:12:"testimonials";s:12:"testimonials";}s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";}}s:14:"items_per_page";i:1;s:6:"offset";i:0;s:5:"sorts";a:1:{s:3:"nid";a:3:{s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";}}s:9:"arguments";a:0:{}}');
INSERT INTO `views_display` VALUES (4, 'block_1', 'Block', 'block', 2, 'a:2:{s:5:"sorts";a:1:{s:6:"random";a:6:{s:5:"order";s:3:"ASC";s:2:"id";s:6:"random";s:5:"table";s:5:"views";s:5:"field";s:6:"random";s:8:"override";a:1:{s:6:"button";s:11:"Use default";}s:12:"relationship";s:4:"none";}}s:8:"defaults";a:1:{s:5:"sorts";b:0;}}');
INSERT INTO `views_display` VALUES (5, 'page_1', 'Page', 'page', 2, 'a:1:{s:4:"path";s:12:"testimonials";}');
INSERT INTO `views_display` VALUES (3, 'default', 'Advertising', 'default', 1, 'a:6:{s:5:"title";s:11:"Advertising";s:14:"items_per_page";i:4;s:6:"offset";i:0;s:6:"fields";a:2:{s:15:"field_image_fid";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:25:"Advertising_88x88_default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_image_fid";s:5:"table";s:21:"node_data_field_image";s:5:"field";s:15:"field_image_fid";s:12:"relationship";s:4:"none";}s:15:"field_url_value";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:7:"default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_url_value";s:5:"table";s:19:"node_data_field_url";s:5:"field";s:15:"field_url_value";s:12:"relationship";s:4:"none";}}s:7:"filters";a:2:{s:4:"type";a:9:{s:8:"operator";s:2:"in";s:5:"value";a:1:{s:11:"advertising";s:11:"advertising";}s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";}s:6:"status";a:9:{s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";}}s:5:"sorts";a:1:{s:7:"created";a:6:{s:5:"order";s:4:"DESC";s:11:"granularity";s:6:"second";s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";}}}');
INSERT INTO `views_display` VALUES (5, 'default', 'testimonials', 'default', 1, 'a:11:{s:6:"fields";a:2:{s:5:"title";a:8:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:7:"exclude";i:0;s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";}s:4:"body";a:7:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:4:"body";s:5:"table";s:14:"node_revisions";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";}}s:8:"defaults";a:10:{s:6:"fields";b:0;s:5:"sorts";b:0;s:7:"filters";b:0;s:6:"access";b:0;s:5:"cache";b:0;s:5:"title";b:0;s:14:"items_per_page";b:0;s:6:"offset";b:0;s:9:"use_pager";b:0;s:13:"pager_element";b:0;}s:5:"sorts";a:0:{}s:7:"filters";a:1:{s:4:"type";a:9:{s:8:"operator";s:2:"in";s:5:"value";a:1:{s:12:"testimonials";s:12:"testimonials";}s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";}}s:6:"access";a:1:{s:4:"type";s:4:"none";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:5:"title";s:12:"Testimonials";s:14:"items_per_page";i:10;s:6:"offset";i:0;s:9:"use_pager";s:1:"1";s:13:"pager_element";i:0;}');
INSERT INTO `views_display` VALUES (6, 'default', 'home', 'default', 1, 'a:6:{s:5:"title";s:4:"Home";s:14:"items_per_page";i:1;s:6:"offset";i:0;s:6:"fields";a:4:{s:5:"title";a:8:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:7:"exclude";i:0;s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";}s:15:"field_big_value";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:7:"default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_big_value";s:5:"table";s:19:"node_data_field_big";s:5:"field";s:15:"field_big_value";s:12:"relationship";s:4:"none";}s:4:"body";a:7:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:4:"body";s:5:"table";s:14:"node_revisions";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";}s:15:"field_image_fid";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:22:"Header_471x370_default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_image_fid";s:5:"table";s:21:"node_data_field_image";s:5:"field";s:15:"field_image_fid";s:12:"relationship";s:4:"none";}}s:7:"filters";a:2:{s:4:"type";a:9:{s:8:"operator";s:2:"in";s:5:"value";a:1:{s:6:"header";s:6:"header";}s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";}s:6:"status";a:9:{s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";}}s:5:"sorts";a:1:{s:3:"nid";a:5:{s:5:"order";s:4:"DESC";s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";}}}');
INSERT INTO `views_display` VALUES (6, 'block_1', 'Block', 'block', 2, 'a:0:{}');
INSERT INTO `views_display` VALUES (8, 'block_1', 'Block', 'block', 2, 'a:2:{s:17:"block_description";s:0:"";s:13:"block_caching";i:-1;}');
INSERT INTO `views_display` VALUES (8, 'default', 'Slider 1', 'default', 1, 'a:11:{s:6:"fields";a:4:{s:5:"title";a:8:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:7:"exclude";i:0;s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";}s:15:"field_big_value";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:7:"default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_big_value";s:5:"table";s:19:"node_data_field_big";s:5:"field";s:15:"field_big_value";s:12:"relationship";s:4:"none";}s:4:"body";a:7:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:4:"body";s:5:"table";s:14:"node_revisions";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";}s:15:"field_image_fid";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:22:"Slider_392x218_default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_image_fid";s:5:"table";s:21:"node_data_field_image";s:5:"field";s:15:"field_image_fid";s:12:"relationship";s:4:"none";}}s:8:"defaults";a:10:{s:6:"fields";b:0;s:5:"sorts";b:0;s:7:"filters";b:0;s:6:"access";b:0;s:5:"cache";b:0;s:5:"title";b:0;s:14:"items_per_page";b:0;s:6:"offset";b:0;s:9:"use_pager";b:0;s:13:"pager_element";b:0;}s:5:"sorts";a:1:{s:3:"nid";a:5:{s:5:"order";s:4:"DESC";s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";}}s:7:"filters";a:3:{s:4:"type";a:9:{s:8:"operator";s:2:"in";s:5:"value";a:1:{s:6:"slider";s:6:"slider";}s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";}s:6:"status";a:9:{s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";}s:17:"field_block_value";a:11:{s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:4:"case";i:1;s:2:"id";s:17:"field_block_value";s:5:"table";s:21:"node_data_field_block";s:5:"field";s:17:"field_block_value";s:8:"override";a:1:{s:6:"button";s:8:"Override";}s:12:"relationship";s:4:"none";}}s:6:"access";a:1:{s:4:"type";s:4:"none";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:5:"title";s:8:"Slider 1";s:14:"items_per_page";i:1;s:6:"offset";i:0;s:9:"use_pager";b:0;s:13:"pager_element";i:0;}');
INSERT INTO `views_display` VALUES (9, 'default', 'Slider 2', 'default', 1, 'a:11:{s:6:"fields";a:4:{s:5:"title";a:8:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:7:"exclude";i:0;s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";}s:15:"field_big_value";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:7:"default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_big_value";s:5:"table";s:19:"node_data_field_big";s:5:"field";s:15:"field_big_value";s:12:"relationship";s:4:"none";}s:4:"body";a:7:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:4:"body";s:5:"table";s:14:"node_revisions";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";}s:15:"field_image_fid";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:22:"Slider_392x218_default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_image_fid";s:5:"table";s:21:"node_data_field_image";s:5:"field";s:15:"field_image_fid";s:12:"relationship";s:4:"none";}}s:8:"defaults";a:10:{s:6:"fields";b:0;s:5:"sorts";b:0;s:7:"filters";b:0;s:6:"access";b:0;s:5:"cache";b:0;s:5:"title";b:0;s:14:"items_per_page";b:0;s:6:"offset";b:0;s:9:"use_pager";b:0;s:13:"pager_element";b:0;}s:5:"sorts";a:1:{s:3:"nid";a:5:{s:5:"order";s:4:"DESC";s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";}}s:7:"filters";a:3:{s:4:"type";a:9:{s:8:"operator";s:2:"in";s:5:"value";a:1:{s:6:"slider";s:6:"slider";}s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";}s:6:"status";a:9:{s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";}s:17:"field_block_value";a:11:{s:8:"operator";s:1:"=";s:5:"value";s:1:"2";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:4:"case";i:1;s:2:"id";s:17:"field_block_value";s:5:"table";s:21:"node_data_field_block";s:5:"field";s:17:"field_block_value";s:8:"override";a:1:{s:6:"button";s:8:"Override";}s:12:"relationship";s:4:"none";}}s:6:"access";a:1:{s:4:"type";s:4:"none";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:5:"title";s:8:"Slider 2";s:14:"items_per_page";i:1;s:6:"offset";i:0;s:9:"use_pager";b:0;s:13:"pager_element";i:0;}');
INSERT INTO `views_display` VALUES (9, 'block_1', 'Block', 'block', 2, 'a:2:{s:17:"block_description";s:0:"";s:13:"block_caching";i:-1;}');
INSERT INTO `views_display` VALUES (10, 'default', 'Slider 3', 'default', 1, 'a:11:{s:6:"fields";a:4:{s:5:"title";a:8:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:7:"exclude";i:0;s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";}s:15:"field_big_value";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:7:"default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_big_value";s:5:"table";s:19:"node_data_field_big";s:5:"field";s:15:"field_big_value";s:12:"relationship";s:4:"none";}s:4:"body";a:7:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:4:"body";s:5:"table";s:14:"node_revisions";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";}s:15:"field_image_fid";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:22:"Slider_392x218_default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_image_fid";s:5:"table";s:21:"node_data_field_image";s:5:"field";s:15:"field_image_fid";s:12:"relationship";s:4:"none";}}s:8:"defaults";a:10:{s:6:"fields";b:0;s:5:"sorts";b:0;s:7:"filters";b:0;s:6:"access";b:0;s:5:"cache";b:0;s:5:"title";b:0;s:14:"items_per_page";b:0;s:6:"offset";b:0;s:9:"use_pager";b:0;s:13:"pager_element";b:0;}s:5:"sorts";a:1:{s:3:"nid";a:5:{s:5:"order";s:4:"DESC";s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";}}s:7:"filters";a:3:{s:4:"type";a:9:{s:8:"operator";s:2:"in";s:5:"value";a:1:{s:6:"slider";s:6:"slider";}s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";}s:6:"status";a:9:{s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";}s:17:"field_block_value";a:11:{s:8:"operator";s:1:"=";s:5:"value";s:1:"3";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:4:"case";i:1;s:2:"id";s:17:"field_block_value";s:5:"table";s:21:"node_data_field_block";s:5:"field";s:17:"field_block_value";s:8:"override";a:1:{s:6:"button";s:8:"Override";}s:12:"relationship";s:4:"none";}}s:6:"access";a:1:{s:4:"type";s:4:"none";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:5:"title";s:8:"Slider 3";s:14:"items_per_page";i:1;s:6:"offset";i:0;s:9:"use_pager";b:0;s:13:"pager_element";i:0;}');
INSERT INTO `views_display` VALUES (10, 'block_1', 'Block', 'block', 2, 'a:2:{s:17:"block_description";s:0:"";s:13:"block_caching";i:-1;}');
INSERT INTO `views_display` VALUES (11, 'default', 'Slider 4', 'default', 1, 'a:11:{s:6:"fields";a:4:{s:5:"title";a:8:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:7:"exclude";i:0;s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";}s:15:"field_big_value";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:7:"default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_big_value";s:5:"table";s:19:"node_data_field_big";s:5:"field";s:15:"field_big_value";s:12:"relationship";s:4:"none";}s:4:"body";a:7:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:4:"body";s:5:"table";s:14:"node_revisions";s:5:"field";s:4:"body";s:12:"relationship";s:4:"none";}s:15:"field_image_fid";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:22:"Slider_392x218_default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_image_fid";s:5:"table";s:21:"node_data_field_image";s:5:"field";s:15:"field_image_fid";s:12:"relationship";s:4:"none";}}s:8:"defaults";a:10:{s:6:"fields";b:0;s:5:"sorts";b:0;s:7:"filters";b:0;s:6:"access";b:0;s:5:"cache";b:0;s:5:"title";b:0;s:14:"items_per_page";b:0;s:6:"offset";b:0;s:9:"use_pager";b:0;s:13:"pager_element";b:0;}s:5:"sorts";a:1:{s:3:"nid";a:5:{s:5:"order";s:4:"DESC";s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";}}s:7:"filters";a:3:{s:4:"type";a:9:{s:8:"operator";s:2:"in";s:5:"value";a:1:{s:6:"slider";s:6:"slider";}s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";}s:6:"status";a:9:{s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";}s:17:"field_block_value";a:11:{s:8:"operator";s:1:"=";s:5:"value";s:1:"4";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:4:"case";i:1;s:2:"id";s:17:"field_block_value";s:5:"table";s:21:"node_data_field_block";s:5:"field";s:17:"field_block_value";s:8:"override";a:1:{s:6:"button";s:8:"Override";}s:12:"relationship";s:4:"none";}}s:6:"access";a:1:{s:4:"type";s:4:"none";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:5:"title";s:8:"Slider 4";s:14:"items_per_page";i:1;s:6:"offset";i:0;s:9:"use_pager";b:0;s:13:"pager_element";i:0;}');
INSERT INTO `views_display` VALUES (11, 'block_1', 'Block', 'block', 2, 'a:2:{s:17:"block_description";s:0:"";s:13:"block_caching";i:-1;}');
INSERT INTO `views_display` VALUES (12, 'default', 'Portfolio', 'default', 1, 'a:8:{s:5:"title";s:9:"Portfolio";s:14:"items_per_page";i:5;s:6:"offset";i:0;s:6:"fields";a:8:{s:6:"teaser";a:7:{s:5:"label";s:6:"Teaser";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:1;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:1;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:6:"teaser";s:5:"table";s:14:"node_revisions";s:5:"field";s:6:"teaser";s:12:"relationship";s:4:"none";}s:5:"title";a:8:{s:5:"label";s:5:"Title";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:1;s:7:"exclude";i:0;s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";}s:20:"field_featured_value";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:7:"default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:20:"field_featured_value";s:5:"table";s:24:"node_data_field_featured";s:5:"field";s:20:"field_featured_value";s:12:"relationship";s:4:"none";}s:15:"field_image_fid";a:12:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:22:"Portfolio_98x98_linked";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_image_fid";s:5:"table";s:21:"node_data_field_image";s:5:"field";s:15:"field_image_fid";s:12:"relationship";s:4:"none";s:8:"override";a:1:{s:6:"button";s:8:"Override";}}s:17:"field_image_fid_1";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:24:"Portfolio_280x220_linked";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:17:"field_image_fid_1";s:5:"table";s:21:"node_data_field_image";s:5:"field";s:15:"field_image_fid";s:12:"relationship";s:4:"none";}s:4:"body";a:8:{s:5:"label";s:4:"Body";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:1;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:1;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:4:"body";s:5:"table";s:14:"node_revisions";s:5:"field";s:4:"body";s:8:"override";a:1:{s:6:"button";s:8:"Override";}s:12:"relationship";s:4:"none";}s:4:"name";a:10:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_user";i:1;s:19:"overwrite_anonymous";i:0;s:14:"anonymous_text";s:0:"";s:7:"exclude";i:0;s:2:"id";s:4:"name";s:5:"table";s:5:"users";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";}s:7:"created";a:9:{s:5:"label";s:9:"Post date";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:11:"date_format";s:5:"small";s:18:"custom_date_format";s:0:"";s:7:"exclude";i:0;s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";}s:4:"type";a:9:{s:8:"operator";s:2:"in";s:5:"value";a:1:{s:9:"portfolio";s:9:"portfolio";}s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";}}s:5:"sorts";a:2:{s:20:"field_featured_value";a:6:{s:5:"order";s:4:"DESC";s:5:"delta";i:-1;s:2:"id";s:20:"field_featured_value";s:5:"table";s:24:"node_data_field_featured";s:5:"field";s:20:"field_featured_value";s:12:"relationship";s:4:"none";}s:3:"nid";a:5:{s:5:"order";s:4:"DESC";s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";}}s:9:"use_pager";s:1:"1";s:13:"pager_element";i:0;}');
INSERT INTO `views_display` VALUES (12, 'page_1', 'Page', 'page', 2, 'a:1:{s:4:"path";s:9:"portfolio";}');
INSERT INTO `views_display` VALUES (13, 'default', 'Tweets', 'default', 1, 'a:16:{s:6:"fields";a:4:{s:4:"text";a:12:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:1;s:10:"max_length";s:3:"100";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:9:"link_urls";i:1;s:14:"link_usernames";i:1;s:13:"link_hashtags";i:0;s:12:"hashtags_url";s:38:"http://search.twitter.com/search?q=%23";s:7:"exclude";i:0;s:2:"id";s:4:"text";s:5:"table";s:7:"twitter";s:5:"field";s:4:"text";s:12:"relationship";s:4:"none";s:8:"override";a:1:{s:6:"button";s:8:"Override";}}s:12:"created_time";a:8:{s:5:"label";s:0:"";s:11:"date_format";s:8:"time ago";s:18:"custom_date_format";s:0:"";s:7:"exclude";i:0;s:2:"id";s:12:"created_time";s:5:"table";s:7:"twitter";s:5:"field";s:12:"created_time";s:12:"relationship";s:4:"none";}s:11:"screen_name";a:8:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:11:"screen_name";s:5:"table";s:7:"twitter";s:5:"field";s:11:"screen_name";s:8:"override";a:1:{s:6:"button";s:8:"Override";}s:12:"relationship";s:4:"none";}s:13:"screen_name_1";a:8:{s:5:"label";s:10:"Login name";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:13:"screen_name_1";s:5:"table";s:15:"twitter_account";s:5:"field";s:11:"screen_name";s:8:"override";a:1:{s:6:"button";s:8:"Override";}s:12:"relationship";s:4:"none";}}s:8:"defaults";a:14:{s:6:"fields";b:0;s:5:"sorts";b:0;s:9:"arguments";b:0;s:7:"filters";b:0;s:6:"access";b:0;s:5:"cache";b:0;s:14:"items_per_page";b:0;s:6:"offset";b:0;s:9:"use_pager";b:0;s:13:"pager_element";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:5:"sorts";a:1:{s:12:"created_time";a:5:{s:5:"order";s:4:"DESC";s:2:"id";s:12:"created_time";s:5:"table";s:7:"twitter";s:5:"field";s:12:"created_time";s:12:"relationship";s:4:"none";}}s:9:"arguments";a:1:{s:3:"uid";a:25:{s:14:"default_action";s:7:"default";s:12:"style_plugin";s:15:"default_summary";s:13:"style_options";a:0:{}s:8:"wildcard";s:3:"all";s:21:"wildcard_substitution";s:10:"All author";s:5:"title";s:11:"%1''s tweets";s:21:"default_argument_type";s:4:"user";s:16:"default_argument";s:0:"";s:13:"validate_type";s:4:"none";s:13:"validate_fail";s:9:"not found";s:12:"break_phrase";i:0;s:3:"not";i:0;s:2:"id";s:3:"uid";s:5:"table";s:5:"users";s:5:"field";s:3:"uid";s:12:"relationship";s:4:"none";s:21:"default_argument_user";i:1;s:22:"default_argument_fixed";s:0:"";s:20:"default_argument_php";s:0:"";s:27:"validate_argument_node_type";a:4:{s:4:"poll";i:0;s:4:"page";i:0;s:6:"review";i:0;s:5:"story";i:0;}s:29:"validate_argument_node_access";i:0;s:26:"validate_argument_nid_type";s:3:"nid";s:28:"validate_argument_vocabulary";a:0:{}s:22:"validate_argument_type";s:3:"tid";s:21:"validate_argument_php";s:0:"";}}s:7:"filters";a:1:{s:9:"protected";a:9:{s:8:"operator";s:1:"=";s:5:"value";i:0;s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:9:"protected";s:5:"table";s:15:"twitter_account";s:5:"field";s:9:"protected";s:12:"relationship";s:4:"none";}}s:6:"access";a:3:{s:4:"type";s:4:"none";s:4:"role";a:0:{}s:4:"perm";s:0:"";}s:5:"cache";a:1:{s:4:"type";s:4:"none";}s:14:"items_per_page";i:10;s:6:"offset";i:0;s:9:"use_pager";s:4:"mini";s:13:"pager_element";i:0;s:12:"style_plugin";s:5:"table";s:13:"style_options";a:7:{s:8:"grouping";s:0:"";s:8:"override";i:1;s:6:"sticky";i:0;s:5:"order";s:3:"asc";s:7:"columns";a:3:{s:17:"profile_image_url";s:17:"profile_image_url";s:4:"text";s:4:"text";s:12:"created_time";s:4:"text";}s:4:"info";a:3:{s:17:"profile_image_url";a:2:{s:8:"sortable";i:0;s:9:"separator";s:0:"";}s:4:"text";a:2:{s:8:"sortable";i:0;s:9:"separator";s:9:" &#8212; ";}s:12:"created_time";a:2:{s:8:"sortable";i:0;s:9:"separator";s:0:"";}}s:7:"default";s:2:"-1";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:0:{}s:5:"title";s:15:"Twitter Updates";}');
INSERT INTO `views_display` VALUES (13, 'block', 'User block', 'block', 3, 'a:13:{s:14:"items_per_page";i:5;s:8:"defaults";a:10:{s:14:"items_per_page";b:0;s:6:"offset";b:0;s:9:"use_pager";b:0;s:13:"pager_element";b:0;s:8:"use_more";b:0;s:13:"use_more_text";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:6:"offset";i:0;s:9:"use_pager";s:4:"mini";s:13:"pager_element";i:0;s:8:"use_more";i:1;s:13:"use_more_text";s:4:"more";s:12:"style_plugin";s:4:"list";s:13:"style_options";a:7:{s:8:"grouping";s:0:"";s:8:"override";i:1;s:6:"sticky";i:0;s:5:"order";s:3:"asc";s:7:"columns";a:3:{s:17:"profile_image_url";s:17:"profile_image_url";s:4:"text";s:4:"text";s:12:"created_time";s:4:"text";}s:4:"info";a:3:{s:17:"profile_image_url";a:2:{s:8:"sortable";i:0;s:9:"separator";s:0:"";}s:4:"text";a:2:{s:8:"sortable";i:0;s:9:"separator";s:9:" &#8212; ";}s:12:"created_time";a:2:{s:8:"sortable";i:0;s:9:"separator";s:0:"";}}s:7:"default";s:2:"-1";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:2:{s:6:"inline";a:2:{s:4:"text";s:4:"text";s:12:"created_time";s:12:"created_time";}s:9:"separator";s:9:" &#8212; ";}s:17:"block_description";s:11:"User Tweets";s:13:"block_caching";i:-1;}');
INSERT INTO `views_display` VALUES (13, 'page', 'User page', 'page', 2, 'a:5:{s:6:"fields";a:3:{s:17:"profile_image_url";a:8:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:17:"profile_image_url";s:5:"table";s:15:"twitter_account";s:5:"field";s:17:"profile_image_url";s:8:"override";a:1:{s:6:"button";s:11:"Use default";}s:12:"relationship";s:4:"none";}s:4:"text";a:6:{s:5:"label";s:0:"";s:7:"exclude";i:0;s:2:"id";s:4:"text";s:5:"table";s:7:"twitter";s:5:"field";s:4:"text";s:12:"relationship";s:4:"none";}s:12:"created_time";a:8:{s:5:"label";s:0:"";s:11:"date_format";s:8:"time ago";s:18:"custom_date_format";s:0:"";s:7:"exclude";i:0;s:2:"id";s:12:"created_time";s:5:"table";s:7:"twitter";s:5:"field";s:12:"created_time";s:12:"relationship";s:4:"none";}}s:8:"defaults";a:1:{s:6:"fields";b:0;}s:4:"path";s:13:"user/%/tweets";s:4:"menu";a:5:{s:4:"type";s:3:"tab";s:5:"title";s:7:"Twitter";s:11:"description";s:0:"";s:6:"weight";s:1:"1";s:4:"name";s:10:"navigation";}s:11:"tab_options";a:4:{s:4:"type";s:4:"none";s:5:"title";s:0:"";s:11:"description";s:0:"";s:6:"weight";i:0;}}');
INSERT INTO `views_display` VALUES (13, 'block2', 'Global block', 'block', 4, 'a:14:{s:9:"arguments";a:0:{}s:8:"defaults";a:11:{s:9:"arguments";b:0;s:14:"items_per_page";b:0;s:6:"offset";b:0;s:9:"use_pager";b:0;s:13:"pager_element";b:0;s:8:"use_more";b:0;s:13:"use_more_text";b:0;s:12:"style_plugin";b:0;s:13:"style_options";b:0;s:10:"row_plugin";b:0;s:11:"row_options";b:0;}s:14:"items_per_page";i:1;s:6:"offset";i:0;s:9:"use_pager";s:1:"0";s:13:"pager_element";i:0;s:8:"use_more";i:0;s:13:"use_more_text";s:4:"more";s:12:"style_plugin";s:7:"default";s:13:"style_options";a:1:{s:8:"grouping";s:0:"";}s:10:"row_plugin";s:6:"fields";s:11:"row_options";a:2:{s:6:"inline";a:2:{s:4:"text";s:4:"text";s:12:"created_time";s:12:"created_time";}s:9:"separator";s:9:" &#8212; ";}s:17:"block_description";s:10:"All Tweets";s:13:"block_caching";i:-1;}');
DROP TABLE IF EXISTS `views_object_cache`;
CREATE TABLE `views_object_cache` (
  `sid` varchar(64) default NULL,
  `name` varchar(32) default NULL,
  `obj` varchar(32) default NULL,
  `updated` int(10) unsigned NOT NULL default '0',
  `data` longtext,
  KEY `sid_obj_name` (`sid`,`obj`,`name`),
  KEY `updated` (`updated`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
INSERT INTO `views_object_cache` VALUES ('928d66823e246c019eedde2226947a4e', 'portfolio', 'view', 1260472948, 'O:4:"view":27:{s:8:"db_table";s:10:"views_view";s:10:"base_table";s:4:"node";s:5:"built";b:0;s:8:"executed";b:0;s:4:"args";a:0:{}s:10:"build_info";a:0:{}s:8:"use_ajax";b:0;s:6:"result";a:0:{}s:5:"pager";a:5:{s:9:"use_pager";b:0;s:14:"items_per_page";i:10;s:7:"element";i:0;s:6:"offset";i:0;s:12:"current_page";i:0;}s:17:"attachment_before";s:0:"";s:16:"attachment_after";s:0:"";s:12:"exposed_data";a:0:{}s:13:"exposed_input";a:0:{}s:8:"old_view";a:0:{}s:3:"vid";s:2:"12";s:4:"name";s:9:"portfolio";s:11:"description";s:9:"Portfolio";s:3:"tag";s:0:"";s:8:"view_php";s:0:"";s:12:"is_cacheable";s:1:"0";s:7:"display";a:2:{s:7:"default";O:13:"views_display":7:{s:8:"db_table";s:13:"views_display";s:3:"vid";s:2:"12";s:2:"id";s:7:"default";s:13:"display_title";s:9:"Portfolio";s:14:"display_plugin";s:7:"default";s:8:"position";s:1:"1";s:15:"display_options";a:8:{s:5:"title";s:9:"Portfolio";s:14:"items_per_page";i:5;s:6:"offset";i:0;s:6:"fields";a:8:{s:6:"teaser";a:7:{s:5:"label";s:6:"Teaser";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:1;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:1;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:6:"teaser";s:5:"table";s:14:"node_revisions";s:5:"field";s:6:"teaser";s:12:"relationship";s:4:"none";}s:5:"title";a:8:{s:5:"label";s:5:"Title";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:1;s:7:"exclude";i:0;s:2:"id";s:5:"title";s:5:"table";s:4:"node";s:5:"field";s:5:"title";s:12:"relationship";s:4:"none";}s:20:"field_featured_value";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:7:"default";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:20:"field_featured_value";s:5:"table";s:24:"node_data_field_featured";s:5:"field";s:20:"field_featured_value";s:12:"relationship";s:4:"none";}s:15:"field_image_fid";a:12:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:22:"Portfolio_98x98_linked";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:15:"field_image_fid";s:5:"table";s:21:"node_data_field_image";s:5:"field";s:15:"field_image_fid";s:12:"relationship";s:4:"none";s:8:"override";a:1:{s:6:"button";s:8:"Override";}}s:17:"field_image_fid_1";a:11:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_node";i:0;s:10:"label_type";s:4:"none";s:6:"format";s:24:"Portfolio_280x220_linked";s:8:"multiple";a:4:{s:5:"group";b:1;s:15:"multiple_number";s:0:"";s:13:"multiple_from";s:0:"";s:17:"multiple_reversed";b:0;}s:7:"exclude";i:0;s:2:"id";s:17:"field_image_fid_1";s:5:"table";s:21:"node_data_field_image";s:5:"field";s:15:"field_image_fid";s:12:"relationship";s:4:"none";}s:4:"body";a:8:{s:5:"label";s:4:"Body";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:1;s:10:"max_length";s:3:"300";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:1;s:4:"html";i:0;}s:7:"exclude";i:0;s:2:"id";s:4:"body";s:5:"table";s:14:"node_revisions";s:5:"field";s:4:"body";s:8:"override";a:1:{s:6:"button";s:8:"Override";}s:12:"relationship";s:4:"none";}s:4:"name";a:10:{s:5:"label";s:0:"";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:12:"link_to_user";i:1;s:19:"overwrite_anonymous";i:0;s:14:"anonymous_text";s:0:"";s:7:"exclude";i:0;s:2:"id";s:4:"name";s:5:"table";s:5:"users";s:5:"field";s:4:"name";s:12:"relationship";s:4:"none";}s:7:"created";a:9:{s:5:"label";s:9:"Post date";s:5:"alter";a:15:{s:10:"alter_text";i:0;s:4:"text";s:0:"";s:9:"make_link";i:0;s:4:"path";s:0:"";s:10:"link_class";s:0:"";s:3:"alt";s:0:"";s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:4:"help";s:0:"";s:4:"trim";i:0;s:10:"max_length";s:0:"";s:13:"word_boundary";i:1;s:8:"ellipsis";i:1;s:10:"strip_tags";i:0;s:4:"html";i:0;}s:11:"date_format";s:5:"small";s:18:"custom_date_format";s:0:"";s:7:"exclude";i:0;s:2:"id";s:7:"created";s:5:"table";s:4:"node";s:5:"field";s:7:"created";s:12:"relationship";s:4:"none";}}s:7:"filters";a:2:{s:6:"status";a:9:{s:8:"operator";s:1:"=";s:5:"value";s:1:"1";s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:6:"status";s:5:"table";s:4:"node";s:5:"field";s:6:"status";s:12:"relationship";s:4:"none";}s:4:"type";a:9:{s:8:"operator";s:2:"in";s:5:"value";a:1:{s:9:"portfolio";s:9:"portfolio";}s:5:"group";s:1:"0";s:7:"exposed";b:0;s:6:"expose";a:2:{s:8:"operator";b:0;s:5:"label";s:0:"";}s:2:"id";s:4:"type";s:5:"table";s:4:"node";s:5:"field";s:4:"type";s:12:"relationship";s:4:"none";}}s:5:"sorts";a:2:{s:20:"field_featured_value";a:6:{s:5:"order";s:4:"DESC";s:5:"delta";i:-1;s:2:"id";s:20:"field_featured_value";s:5:"table";s:24:"node_data_field_featured";s:5:"field";s:20:"field_featured_value";s:12:"relationship";s:4:"none";}s:3:"nid";a:5:{s:5:"order";s:4:"DESC";s:2:"id";s:3:"nid";s:5:"table";s:4:"node";s:5:"field";s:3:"nid";s:12:"relationship";s:4:"none";}}s:9:"use_pager";s:1:"1";s:13:"pager_element";i:0;}}s:6:"page_1";O:13:"views_display":7:{s:8:"db_table";s:13:"views_display";s:3:"vid";s:2:"12";s:2:"id";s:6:"page_1";s:13:"display_title";s:4:"Page";s:14:"display_plugin";s:4:"page";s:8:"position";s:1:"2";s:15:"display_options";a:1:{s:4:"path";s:9:"portfolio";}}}s:4:"type";s:6:"Normal";s:6:"loaded";b:1;s:6:"locked";b:0;s:5:"query";N;s:16:"changed_sections";a:1:{s:31:"default-field-field_image_fid_1";b:1;}s:7:"changed";b:1;}');
DROP TABLE IF EXISTS `views_view`;
CREATE TABLE `views_view` (
  `vid` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(32) NOT NULL default '',
  `description` varchar(255) default '',
  `tag` varchar(255) default '',
  `view_php` blob,
  `base_table` varchar(64) NOT NULL default '',
  `is_cacheable` tinyint(4) default '0',
  PRIMARY KEY  (`vid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 AUTO_INCREMENT=14 ;
INSERT INTO `views_view` VALUES (1, 'latestblogentries', 'latest blog entries', '', '', 'node', 0);
INSERT INTO `views_view` VALUES (2, 'recentcomments', 'recent comments', '', '', 'comments', 0);
INSERT INTO `views_view` VALUES (3, 'advertising', 'Advertising', '', '', 'node', 0);
INSERT INTO `views_view` VALUES (4, 'testimonials', 'Testimonials', '', '', 'node', 0);
INSERT INTO `views_view` VALUES (5, 'testimonialslist', 'Testimonials', '', '', 'node', 0);
INSERT INTO `views_view` VALUES (6, 'header', 'header', '', '', 'node', 0);
INSERT INTO `views_view` VALUES (12, 'portfolio', 'Portfolio', '', '', 'node', 0);
INSERT INTO `views_view` VALUES (8, 'slider_1', 'Slider 1', '', '', 'node', 0);
INSERT INTO `views_view` VALUES (9, 'slider_2', 'Slider 2', '', '', 'node', 0);
INSERT INTO `views_view` VALUES (10, 'slider_3', 'Slider 3', '', '', 'node', 0);
INSERT INTO `views_view` VALUES (11, 'slider_4', 'Slider 4', '', '', 'node', 0);
INSERT INTO `views_view` VALUES (13, 'tweets', 'Displays Twitter.com status messages for users who have associated Twitter accounts.', '', '', 'twitter', 0);
DROP TABLE IF EXISTS `vocabulary`;
CREATE TABLE `vocabulary` (
  `vid` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `description` longtext,
  `help` varchar(255) NOT NULL default '',
  `relations` tinyint(3) unsigned NOT NULL default '0',
  `hierarchy` tinyint(3) unsigned NOT NULL default '0',
  `multiple` tinyint(3) unsigned NOT NULL default '0',
  `required` tinyint(3) unsigned NOT NULL default '0',
  `tags` tinyint(3) unsigned NOT NULL default '0',
  `module` varchar(255) NOT NULL default '',
  `weight` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`vid`),
  KEY `list` (`weight`,`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `vocabulary_node_types`;
CREATE TABLE `vocabulary_node_types` (
  `vid` int(10) unsigned NOT NULL default '0',
  `type` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`type`,`vid`),
  KEY `vid` (`vid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `watchdog`;
CREATE TABLE `watchdog` (
  `wid` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `type` varchar(16) NOT NULL default '',
  `message` longtext NOT NULL,
  `variables` longtext NOT NULL,
  `severity` tinyint(3) unsigned NOT NULL default '0',
  `link` varchar(255) NOT NULL default '',
  `location` text NOT NULL,
  `referer` text,
  `hostname` varchar(128) NOT NULL default '',
  `timestamp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`wid`),
  KEY `type` (`type`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
